<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\151\154\171"; private const CONFIG_DIRECTORY = "\x2f\x72\x6f\157\x74\x2f\x2e\x63\x6f\156\x66\151\147\x2f\x72\143\154\157\x6e\x65\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\150\x6f\x6d\x65\57\143\154\160\57\x2e\143\x6f\156\146\x69\147\x2f"; private const CLP_USER = "\x63\154\x70"; public const CREDENTIALS_DIRECTORY = "\x2f\150\157\155\145\x2f\x63\x6c\160\x2f\56\x63\x6f\x6e\146\151\147\x2f\x72\143\154\x6f\x6e\x65\x2f\x63\162\x65\x64\x65\x6e\164\151\141\154\x73\x2f"; private const CONFIG_FILE = "\57\162\157\157\164\57\x2e\x63\x6f\156\x66\151\147\57\x72\143\154\x6f\156\145\x2f\162\x63\154\x6f\156\x65\x2e\x63\x6f\156\x66"; private const CRON_JOB_FILE = "\57\x65\164\143\57\143\162\x6f\x6e\x2e\144\x2f\x63\154\160\x2d\x72\143\154\157\x6e\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto Cbb90; E759b: D254c: goto E1760; efc24: $this->configFile = self::CONFIG_FILE; goto E759b; Cbb90: if (!(true === is_null($this->configFile))) { goto D254c; } goto efc24; E1760: return $this->configFile; goto c2bf2; c2bf2: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\x6c\141\x67" => $flag, "\166\x61\x6c\x75\145" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto Fefd4; ab7ed: $configFile = $this->getConfigFile(); goto d5d85; d5d85: $rcloneCopyCommand = new RcloneCopyCommand(); goto dafd6; e3d3c: $rcloneCopyCommand->setSource($source); goto c0fd0; Fefd4: $flags = $this->getFlags(); goto ab7ed; f58d6: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto b7312; c0fd0: $rcloneCopyCommand->setDestination($destination); goto bedea; dafd6: $rcloneCopyCommand->setConfigFile($configFile); goto e3d3c; bedea: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto f58d6; b7312: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto e1404; Cb30f: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto C2d58; e1404: $flags = $this->getFlags(); goto E1ab3; B17bc: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto d7bdc; D6350: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto B322c; d7bdc: e866d: goto e5684; dbdbf: return $files; goto Cfecb; f2c23: $rcloneLsJsonCommand->setRemotePath($remotePath); goto E774a; E1ab3: $configFile = $this->getConfigFile(); goto Cb30f; E774a: if (!(true === $directoriesOnly)) { goto e866d; } goto B17bc; e5684: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto D6350; B322c: $files = $rcloneLsJsonCommand->getFiles(); goto dbdbf; C2d58: $rcloneLsJsonCommand->setConfigFile($configFile); goto f2c23; Cfecb: } public function purge(string $remotePath) { goto c9fd9; c9fd9: $flags = $this->getFlags(); goto B5c22; f0c3d: $rclonePurgeCommand->setRemotePath($remotePath); goto Efa1c; B5c22: $rclonePurgeCommand = new RclonePurgeCommand(); goto f0c3d; Efa1c: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto F1feb; F1feb: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto D2027; D2027: } public function writeConfig(string $config) : void { goto c1294; eab54: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto B032d; B032d: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto cf6ca; c1294: $configFile = $this->getConfigFile(); goto eab54; B7bcc: $writeConfigFileCommand->setContent($config); goto b1025; cf6ca: $writeConfigFileCommand = new WriteFileCommand(); goto E8de7; E8de7: $writeConfigFileCommand->setFile($configFile); goto B7bcc; b1025: $this->commandExecutor->execute($createConfigDirectoryCommand); goto A0a77; A0a77: $this->commandExecutor->execute($writeConfigFileCommand); goto ce617; ce617: } public function writeCredentialsFile(string $file, string $content) : void { goto F7e84; B790f: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto B2bdd; F7e84: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto bb1a2; f847a: $this->commandExecutor->execute($credentialsDirectoryCommand); goto ebaa9; fb788: $chownConfigDirectoryCommand = new ChownCommand(); goto C4fda; c8167: $chownConfigDirectoryCommand->setRecursive(true); goto bc75e; bc75e: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto aad7e; C4fda: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c8167; bb1a2: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto fb788; C8f9b: $chmodConfigDirectoryCommand->setFileChmod(770); goto f847a; a6545: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto F27c4; Bc016: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto C8f9b; aad7e: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto B790f; F27c4: file_put_contents($file, $content); goto E1dfc; B2bdd: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Bc016; ebaa9: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto a6545; E1dfc: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto fa78c; e2c7d: $cronJobContent .= sprintf("\x30\x20\45\163\40\52\40\52\40\52\40\143\154\x70\40\x2f\x75\x73\x72\57\x62\x69\x6e\57\142\141\x73\x68\x20\x2d\143\x20\42\x2f\x75\x73\162\57\142\x69\156\57\x63\x6c\x70\143\x74\x6c\x20\162\x65\155\x6f\x74\145\x2d\x62\141\x63\153\x75\160\x3a\x63\162\x65\x61\164\145\40\x2d\55\x64\145\154\141\x79\75\164\162\165\x65\42\40\x26\x3e\x20\57\x64\x65\166\x2f\156\165\154\x6c", $executionTime); goto b62d7; b62d7: ddd22: goto fe1c5; D763c: goto ddd22; goto F7080; C5fe1: if (self::FREQUENCY_DAILY == $frequency) { goto F2cb9; } goto Aa662; F7080: F2cb9: goto e2c7d; F75fd: $this->commandExecutor->execute($writeCronJobFileCommand); goto e3378; e961e: $writeCronJobFileCommand->setContent($cronJobContent); goto F75fd; fdd34: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto e961e; fe1c5: $writeCronJobFileCommand = new WriteFileCommand(); goto fdd34; fa78c: $cronJobContent = sprintf("\115\101\x49\114\124\x4f\75\42\42\45\163", PHP_EOL); goto C5fe1; Aa662: $cronJobContent .= sprintf("\60\x20\52\57\45\163\x20\52\40\x2a\40\52\40\x63\x6c\x70\40\x2f\165\x73\x72\57\142\151\156\x2f\142\141\x73\x68\40\x2d\x63\40\42\x2f\165\163\x72\x2f\142\x69\156\57\143\x6c\160\x63\164\x6c\40\162\x65\x6d\x6f\x74\x65\55\142\x61\143\153\x75\x70\72\143\162\x65\x61\x74\x65\40\x2d\55\144\x65\154\141\171\75\164\x72\x75\145\x22\x20\x26\76\x20\57\144\x65\166\57\x6e\165\154\154", $frequency); goto D763c; e3378: } private function addFlagsToCommand(array $flags, $command) : void { goto dfb70; dfb70: if (!(false === empty($flags))) { goto fdda2; } goto D3cc4; ccf69: fdda2: goto B54cd; D3cc4: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\154\x61\147"], $flagData["\166\141\154\165\145"]); daa87: } goto F80f0; F80f0: daff9: goto ccf69; B54cd: } public function deleteCronJob() : void { goto cf784; Df030: $this->commandExecutor->execute($deleteCronJobFileCommand); goto b1df1; f0f53: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Df030; cf784: $deleteCronJobFileCommand = new DeleteFileCommand(); goto f0f53; b1df1: } public function deleteCredentials() : void { goto Cfbf2; a6788: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Aaa45; Aaa45: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto da5fa; Cfbf2: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto a6788; da5fa: } }
