<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto b8aca; ca740: $this->validator = $validator; goto A7fc2; b8aca: $this->siteEntityManager = $siteEntityManager; goto Dab50; Dab50: $this->databaseEntityManager = $databaseEntityManager; goto B8439; A7fc2: parent::__construct(); goto Ceaaa; d5790: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ca740; B8439: $this->databaseUserEntityManager = $databaseUserEntityManager; goto d5790; Ceaaa: } protected function configure() : void { goto A359d; A359d: $this->setName("\144\142\72\x61\x64\144"); goto c2737; C75b8: $this->addOption("\144\157\155\141\x69\x6e\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto d135a; d135a: $this->addOption("\x64\x61\x74\x61\142\x61\163\x65\x4e\x61\155\145", null, InputOption::VALUE_REQUIRED); goto C4667; c2737: $this->setDescription("\143\x6c\x70\x63\164\154\40\144\x62\72\141\144\144\x20\x2d\55\x64\157\155\x61\x69\x6e\x4e\141\155\x65\75\x77\x77\x77\56\x64\157\x6d\x61\151\x6e\56\x63\x6f\155\40\x2d\55\144\x61\x74\x61\x62\141\x73\145\x4e\x61\155\x65\75\x6d\x79\55\144\x61\164\141\142\141\x73\x65\40\x2d\55\x64\x61\x74\x61\x62\141\x73\145\x55\x73\145\162\116\x61\155\x65\75\x6a\157\x68\156\40\55\55\x64\141\x74\141\142\141\x73\x65\x55\x73\145\162\x50\x61\163\x73\167\x6f\x72\144\75\x27\41\x73\145\x63\x72\x65\x74\x50\x61\163\163\x77\157\162\x64\x21\x27"); goto C75b8; C4667: $this->addOption("\144\x61\164\x61\142\141\163\145\x55\x73\145\x72\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto Bbeb5; Bbeb5: $this->addOption("\144\x61\x74\x61\x62\x61\x73\x65\x55\163\x65\x72\120\141\x73\163\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto Ff262; Ff262: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ad482; d54ac: return $this->renderConstraints($constraints, $output); goto A7f81; A7f81: goto De336; goto E1939; F8394: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto b2726; Cb389: return BaseCommand::SUCCESS; goto D458c; a1fff: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto f5fa1; B5b72: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Dd9c9; Aee57: $constraints = new ConstraintViolationList(); goto F2042; fcc54: $databaseManager->createUser($databaseUserEntity); goto C7141; d3aea: $databaseEntity->addUser($databaseUserEntity); goto d5c92; ac50d: $databaseName = trim($input->getOption("\x64\141\x74\141\142\141\163\145\116\141\155\145")); goto E982c; E6827: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto E4acd; } goto Aee57; E982c: $databaseUserName = trim($input->getOption("\x64\x61\x74\x61\142\141\x73\145\x55\x73\x65\162\116\x61\155\145")); goto ce3b0; a4835: $domainName = trim($input->getOption("\x64\157\x6d\x61\x69\156\x4e\141\x6d\x65")); goto ac50d; Fdff7: $output->writeln(sprintf("\x3c\x69\x6e\x66\157\x3e\104\x61\164\141\x62\141\163\x65\74\x2f\151\156\x66\x6f\76\x20\x3c\143\157\x6d\x6d\x65\156\164\x3e\45\x73\74\x2f\143\x6f\155\x6d\x65\x6e\164\76\x20\x3c\151\x6e\146\x6f\x3e\x68\x61\163\x20\x62\145\x65\156\40\141\144\144\x65\144\56\x3c\57\x69\156\146\x6f\x3e", $databaseName)); goto Cb389; f285a: throw new \Exception(sprintf("\x44\157\155\x61\151\x6e\116\141\155\x65\40\x22\x25\163\x22\40\x64\157\x65\163\40\156\x6f\164\40\145\170\x69\163\x74\x2e", $domainName)); goto f0896; E1939: E4acd: goto Ecac7; Ff313: $databaseEntity->setName($databaseName); goto eeb4b; efbd1: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Ff313; D458c: De336: goto A74d4; Dd9c9: if (!(false === is_null($activeDatabaseServerEntity))) { goto Cc8b8; } goto Aeaaf; d5c92: $siteEntity->addDatabase($databaseEntity); goto f5ee1; C7141: $this->siteEntityManager->updateEntity($siteEntity); goto Fdff7; F07cf: $databaseUserEntity->setDatabase($databaseEntity); goto d3aea; f5fa1: if (!(true === is_null($siteEntity))) { goto f9e11; } goto f285a; ce9bd: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto c3ea4; F2042: $constraints->addAll($databaseConstraints); goto cda3a; f5ee1: $databaseConstraints = $this->validator->validate($databaseEntity); goto F6db4; c3ea4: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto F07cf; A74d4: Cc8b8: goto A42b4; Aeaaf: $databaseEntity = $this->databaseEntityManager->createEntity(); goto efbd1; Ecac7: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Cc5a2; ad482: $this->validateInput($input); goto a4835; ce3b0: $databaseUserPassword = trim($input->getOption("\x64\141\x74\x61\142\x61\163\145\x55\163\145\162\x50\x61\163\x73\x77\157\162\144")); goto a1fff; b2726: $databaseUserEntity->setUserName($databaseUserName); goto ce9bd; cda3a: $constraints->addAll($databaseUserConstraints); goto d54ac; Cc5a2: $databaseManager->createDatabase($databaseEntity); goto fcc54; F6db4: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto E6827; A42b4: return BaseCommand::FAILURE; goto ccaa3; eeb4b: $databaseEntity->setSite($siteEntity); goto F8394; f0896: f9e11: goto B5b72; ccaa3: } catch (\Exception $e) { goto d056c; A22dd: $output->writeln(sprintf("\74\x65\162\162\x6f\x72\76\x25\163\74\x2f\x65\162\162\x6f\x72\76", $errorMessage)); goto cb66c; d056c: $errorMessage = $e->getMessage(); goto A22dd; cb66c: return BaseCommand::FAILURE; goto F873e; F873e: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\145", "\x64\141\x74\x61\142\x61\163\x65\116\x61\x6d\145", $constraints); $this->changePropertyPath("\165\163\145\162\x4e\141\155\145", "\144\141\164\x61\142\x61\163\145\x55\x73\x65\x72\116\141\155\x65", $constraints); } }
