<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto E1f26; D4cba: $this->databaseServerEntityManager = $databaseServerEntityManager; goto c34dd; c34dd: $this->commandExecutor = new CommandExecutor(); goto c63cd; c63cd: $this->validator = $validator; goto d3439; d3439: parent::__construct(); goto a0f10; a8cd2: $this->databaseEntityManager = $databaseEntityManager; goto D4cba; E1f26: $this->siteEntityManager = $siteEntityManager; goto a8cd2; a0f10: } protected function configure() : void { goto Aa5ab; Aa5ab: $this->setName("\x64\142\72\142\141\143\153\x75\160"); goto F6743; E333e: $this->addOption("\x69\x67\156\x6f\162\145\x44\141\x74\x61\x62\141\x73\x65\x73", null, InputOption::VALUE_OPTIONAL); goto a5eb1; a5eb1: $this->addOption("\162\x65\x74\145\156\164\151\x6f\x6e\120\x65\162\x69\x6f\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto b5a50; F6743: $this->setDescription("\x63\x6c\160\x63\x74\x6c\40\144\x62\x3a\142\141\x63\153\x75\x70\40\55\x2d\151\x67\156\157\162\145\x44\x61\x74\x61\142\141\x73\x65\163\x3d\x27\x64\142\61\54\144\x62\62\x27\x20\x2d\55\162\x65\x74\x65\156\164\151\x6f\x6e\x50\145\162\x69\157\x64\75\x37"); goto E333e; b5a50: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto cff58; b54b7: $siteEntities = $this->siteEntityManager->findAll(); goto A2566; cff58: $this->validateInput($input); goto b78eb; b78eb: $ignoredDatabases = explode("\54", $input->getOption("\151\147\x6e\157\x72\x65\104\x61\164\141\x62\x61\163\x65\163")); goto b9f51; e2645: Fb6cd: goto Fa8a4; Fa8a4: Ddeb4: goto B7aac; e9c9c: foreach ($siteEntities as $siteEntity) { goto a4b88; e06aa: Cc26d: goto e1283; a4b88: $databaseEntities = $siteEntity->getDatabases(); goto Dd311; Dd311: if (!count($databaseEntities)) { goto d1b37; } goto af448; e1283: d1b37: goto da34b; af448: foreach ($databaseEntities as $databaseEntity) { goto f3423; F882e: fbee0: goto fba52; fba52: Afe6d: goto Eb8cc; Ec79a: $this->createDatabaseDump($databaseEntity); goto F882e; f3423: $databaseName = $databaseEntity->getName(); goto Cc350; Cc350: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto fbee0; } goto Ec79a; Eb8cc: } goto e06aa; da34b: Ef0cb: goto A9d7d; A9d7d: } goto e2645; A2566: if (!count($siteEntities)) { goto Ddeb4; } goto e9c9c; b9f51: $this->retentionPeriod = (int) $input->getOption("\162\x65\x74\x65\156\164\x69\157\156\120\145\x72\x69\157\144"); goto b54b7; B7aac: return BaseCommand::SUCCESS; goto C8354; C8354: } catch (\Exception $e) { goto Db47c; E278e: return BaseCommand::FAILURE; goto D4ca3; B6ec1: $output->writeln(sprintf("\74\145\x72\x72\x6f\x72\x3e\45\x73\x3c\x2f\x65\162\x72\x6f\x72\76", $errorMessage)); goto E278e; Db47c: $errorMessage = $e->getMessage(); goto B6ec1; D4ca3: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto dda24; Ad9ec: $databaseExporter->setFile($outputFile); goto A1201; Ecf14: $this->resetPermissions($databaseEntity); goto dac87; A569d: $databaseName = $databaseEntity->getName(); goto d2136; dda24: $dateTime = new \DateTime("\156\x6f\x77", new \DateTimeZone("\x55\x54\103")); goto B4aeb; B4aeb: $siteEntity = $databaseEntity->getSite(); goto e86a2; d2136: $backupDirectory = sprintf("\x2f\150\x6f\155\x65\x2f\45\x73\x2f\x62\141\x63\x6b\x75\x70\x73\57\144\141\x74\141\142\x61\163\145\163\x2f", $siteUser); goto a873a; dac87: $this->cleanUpBackups($databaseEntity); goto c2f37; e86a2: $siteUser = $siteEntity->getUser(); goto A569d; D82a5: $databaseExporter->export(); goto Ecf14; a873a: $outputDirectory = sprintf("\45\x73\x2f\45\163\57\45\163\x2f", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\131\55\x6d\55\144")); goto D851f; A1201: $databaseExporter->createOutputDirectory(); goto D82a5; D851f: $outputFile = sprintf("\x25\163\x2f\x25\163", rtrim($outputDirectory, "\57"), sprintf("\x25\x73\x5f\45\x73\56\x73\161\x6c\x2e\147\172", $databaseName, $dateTime->getTimestamp())); goto a7040; a7040: $databaseExporter = new DatabaseExporter($databaseEntity); goto Ad9ec; c2f37: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto A12c9; B7bf6: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto F573a; F8043: $backupDirectory = sprintf("\57\x68\157\x6d\x65\57\x25\x73\x2f\142\x61\143\153\x75\x70\163\x2f\x64\x61\164\141\142\141\163\145\x73\57", $siteUser); goto C36d1; Db6bb: $backupDirectoryChmodCommand->setFile($backupDirectory); goto abb08; A12c9: $siteEntity = $databaseEntity->getSite(); goto Afced; C36d1: $backupDirectoryChownCommand = new ChownCommand(); goto c8887; f90e4: $backupDirectoryChmodCommand = new FindChmodCommand(); goto Db6bb; C5ed4: $backupDirectoryChmodCommand->setFileChmod(760); goto d82fe; c8887: $backupDirectoryChownCommand->setFile($backupDirectory); goto A67f3; d82fe: $this->commandExecutor->execute($backupDirectoryChownCommand); goto B7bf6; E6580: $backupDirectoryChownCommand->setUser($siteUser); goto Cb7c5; abb08: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto C5ed4; Cb7c5: $backupDirectoryChownCommand->setGroup($siteUser); goto f90e4; Afced: $siteUser = $siteEntity->getUser(); goto F8043; A67f3: $backupDirectoryChownCommand->setRecursive(true); goto E6580; F573a: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto e9f85; e5fb2: $databaseBackupDirectory = sprintf("\x2f\x68\x6f\155\145\57\x25\x73\57\142\x61\143\153\x75\160\x73\57\144\141\164\x61\x62\141\x73\x65\163\x2f", $siteUser); goto Cee2b; D9ee0: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto Ec920; e9f85: $siteEntity = $databaseEntity->getSite(); goto d2e84; Ec920: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto c5173; Cee2b: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto D9ee0; d2e84: $siteUser = $siteEntity->getUser(); goto e5fb2; c5173: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto Daefc; Daefc: } }
