<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\157\157\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto ab695; e26fd: $this->databaseEntityManager = $databaseEntityManager; goto e82fb; ab695: $this->siteEntityManager = $siteEntityManager; goto e26fd; e82fb: $this->databaseServerEntityManager = $databaseServerEntityManager; goto d8258; F4a82: parent::__construct(); goto D8ae6; d8258: $this->sshUserEntityManager = $sshUserEntityManager; goto C338e; C338e: $this->commandExecutor = new CommandExecutor(); goto F4a82; D8ae6: } protected function configure() : void { goto D009f; D009f: $this->setName("\144\x62\x3a\x69\x6d\160\157\162\x74"); goto Bf5cb; D6e3e: $this->addOption("\x66\151\154\145", null, InputOption::VALUE_REQUIRED); goto d6f59; F894a: $this->addOption("\144\141\x74\x61\142\141\x73\x65\x4e\141\155\x65", null, InputOption::VALUE_REQUIRED); goto D6e3e; Bf5cb: $this->setDescription("\143\154\160\x63\x74\154\40\144\x62\72\151\x6d\x70\x6f\x72\x74\x20\55\x2d\144\141\x74\x61\x62\x61\x73\145\x4e\141\x6d\145\75\x6d\171\55\x64\141\x74\141\x62\141\x73\145\x20\55\55\x66\x69\x6c\145\x3d\144\x75\x6d\x70\56\x73\161\154\56\x67\x7a"); goto F894a; d6f59: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto bf4c8; Ec5e4: $siteUser = $siteEntity->getUser(); goto e0e82; Dc34e: goto Bb0c2; goto e6007; d2d70: $isSuperUser = true; goto B4e4b; B4e4b: $siteUser = self::SYSTEM_USER_ROOT; goto A4e7b; Cfe67: $importFile = $input->getOption("\x66\151\x6c\x65"); goto ac7a4; e0e82: e47d3: goto C656c; C656c: goto De7d4; goto f62ea; ab3f5: $databaseImporter->import($importFile); goto Ebc15; E1ca2: $this->checkIfFileExists($importFile); goto Ae4c9; b2243: $databaseImporter = new DatabaseImporter($databaseEntity); goto ab3f5; B5041: if (!(false === str_contains($importFile, "\57"))) { goto cf8b2; } goto B71c4; Ec253: B3d96: goto B5041; ac7a4: $systemUserName = $_SERVER["\x53\125\104\x4f\x5f\125\x53\x45\122"] ?? ''; goto d5d0e; e2f47: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto A7a12; } goto b2243; C3e4c: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto c7297; F8da3: throw new \Exception(sprintf("\x44\141\164\141\142\141\163\x65\40\42\x25\163\x22\x20\144\157\145\x73\40\156\157\164\40\x65\x78\x69\163\x74\x2e", $databaseName)); goto Dc34e; Cb946: if (!(false === is_null($sshUserEntity))) { goto e47d3; } goto a8c8a; e6007: cabd7: goto c3b90; ed1f8: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto Cb946; E9e86: return BaseCommand::FAILURE; goto Eb241; Ebc15: $output->writeln(sprintf("\74\x69\156\146\157\x3e\111\x6d\160\x6f\x72\x74\40\151\156\x74\157\x20\144\x61\164\x61\x62\141\163\145\x3c\57\151\x6e\x66\157\76\40\74\x63\x6f\x6d\155\x65\x6e\164\76\45\163\74\57\x63\157\x6d\x6d\145\156\x74\x3e\x20\x3c\x69\x6e\146\x6f\x3e\167\141\163\40\163\x75\x63\x63\145\x73\163\x66\165\154\x2e\x3c\x2f\151\156\x66\157\76", $databaseName)); goto db80e; d30cb: $systemUserName = self::SYSTEM_USER_ROOT; goto Ec253; a98c7: if (false === is_null($siteEntity)) { goto be90b; } goto ed1f8; A4e7b: cc32d: goto C3911; d5d0e: if (!("\144\145\x76" == $_ENV["\101\x50\x50\137\105\116\126"])) { goto B3d96; } goto d30cb; C4239: A7a12: goto Cfc96; bf4c8: $this->validateInput($input); goto D162d; c7297: $isSuperUser = false; goto Da4a4; B71c4: $importFile = sprintf("\45\163\57\45\x73", rtrim(getcwd(), "\x2f"), $importFile); goto Cf6b8; Cf6b8: cf8b2: goto E1ca2; Ae4a4: $siteUser = null; goto a98c7; Ae4c9: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto e5816; aa282: $siteUser = $siteEntity->getUser(); goto C6724; Da4a4: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto cc32d; } goto d2d70; e5816: if (false === is_null($databaseEntity)) { goto cabd7; } goto F8da3; c3b90: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto Ae4a4; D162d: $databaseName = $input->getOption("\144\x61\164\141\x62\141\163\x65\x4e\x61\x6d\145"); goto Cfe67; C6724: De7d4: goto C3e4c; Cfc96: Bb0c2: goto E9e86; a8c8a: $siteEntity = $sshUserEntity->getSite(); goto Ec5e4; C3911: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto e2f47; f62ea: be90b: goto aa282; db80e: return BaseCommand::SUCCESS; goto C4239; Eb241: } catch (\Exception $e) { goto a1887; Bc634: return BaseCommand::FAILURE; goto C1b1b; Ea0c4: $output->writeln(sprintf("\74\145\x72\162\x6f\162\76\45\x73\74\57\145\x72\162\x6f\x72\76", $errorMessage)); goto Bc634; a1887: $errorMessage = $this->maskString($e->getMessage()); goto Ea0c4; C1b1b: } } private function checkIfFileExists(string $importFile) { try { goto D0a97; ded96: $this->commandExecutor->execute($checkIfFileExistsCommand); goto b7e08; B1beb: $checkIfFileExistsCommand->setFile($importFile); goto ded96; D0a97: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto B1beb; b7e08: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\151\154\x65\40\x22\45\x73\x22\x20\144\157\145\x73\40\x6e\157\x74\x20\145\170\x69\163\164\56", $importFile)); } } }
