<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto E80f1; Ecfd8: parent::__construct(); goto e87bd; dc14a: $this->commandExecutor = new CommandExecutor(); goto Bc1bc; E80f1: $this->siteEntityManager = $siteEntityManager; goto dc14a; Bc1bc: $this->logger = $logger; goto C46b7; C46b7: $this->validator = $validator; goto Ecfd8; e87bd: } protected function configure() : void { goto a2ed9; a2ed9: $this->setName("\x72\145\x6d\157\x74\x65\55\142\x61\x63\153\x75\x70\72\x63\x72\145\141\164\x65"); goto f0ab4; C36aa: $this->addOption("\144\x65\x6c\141\171", null, InputOption::VALUE_OPTIONAL, false); goto F9561; f0ab4: $this->setDescription("\143\x6c\160\x63\x74\x6c\40\x72\x65\x6d\x6f\x74\x65\x2d\142\141\x63\153\165\x70\x3a\143\162\x65\141\164\145"); goto C36aa; F9561: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto c9570; F47e2: F21ea: goto d3c75; d3940: aad7a: goto Bcdef; Aaa2f: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto C2956; } goto Fe86b; c9570: $this->validateInput($input); goto Bd382; Bcdef: Bbe8d: goto d920c; fc36b: $delay = (bool) $input->getOption("\144\x65\x6c\141\x79"); goto f87bf; d4991: C2956: goto be3e4; be3e4: return BaseCommand::SUCCESS; goto D8f75; Cfd59: $this->backupDatabases(clone $input, clone $output); goto E8cb7; Fe86b: $siteEntities = $this->siteEntityManager->findAll(); goto afbef; d3c75: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); D78d7: } goto d3940; E8cb7: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F21ea; } goto fc36b; Bd382: $isEnabled = (bool) $this->getConfigValue("\162\x65\x6d\157\164\145\x5f\x62\141\143\x6b\x75\160\137\145\156\141\x62\154\x65\x64"); goto c3733; f87bf: $this->refreshDropboxAccessToken($delay); goto F47e2; c3733: $this->storageProvider = $this->getConfigValue("\x72\x65\x6d\157\x74\145\x5f\x62\x61\143\x6b\165\160\137\163\164\157\162\141\x67\145\x5f\160\162\x6f\x76\151\144\x65\x72"); goto Aaa2f; afbef: if (!count($siteEntities)) { goto Bbe8d; } goto Cfd59; d920c: $this->cleanBackups(); goto d4991; D8f75: } catch (\Exception $e) { goto E440d; f63fe: $output->writeln(sprintf("\x3c\145\x72\162\x6f\162\76\45\x73\x3c\x2f\145\x72\162\157\x72\x3e", $errorMessage)); goto B5152; E440d: $errorMessage = $e->getMessage(); goto f63fe; B5152: return BaseCommand::FAILURE; goto Cd5ab; Cd5ab: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto E6edb; E6edb: $application = $this->getApplication(); goto bd462; Ffef6: $exitCode = $command->run($input, $output); goto Ffb37; bd462: $command = $application->find("\144\x62\x3a\x62\x61\143\x6b\165\160"); goto Ffef6; Ffb37: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto Bd2c8; d36c9: try { try { goto F2db9; e01f2: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto ac7ee; e30fd: $destination = $this->getDestination($siteEntity); goto Dfc9a; Ed41c: $siteExcludes = $this->getSiteExcludes($siteEntity); goto Cadb2; a878f: $rclone->copy($destinationFile, $destination); goto a2791; F6661: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto e01f2; F2db9: $excludes = ["\x2e\x73\x73\150", "\164\155\160", "\x6c\157\x67\x73"]; goto Ed41c; A399e: $vhostFile = sprintf("\x2f\x65\164\143\57\156\147\x69\x6e\x78\57\163\151\x74\x65\x73\x2d\x65\x6e\x61\x62\x6c\x65\x64\57\x25\x73\x2e\x63\157\x6e\x66", $domainName); goto b2b02; Ad41a: E5613: goto b37f0; dd9f5: d14df: goto f096d; Cf0d9: $tarCreator = new TarCreator(); goto F892a; c4023: $siteSettingsFile = sprintf("\57\150\x6f\x6d\x65\x2f\45\163\x2f\x73\151\x74\x65\55\163\x65\164\x74\x69\x6e\x67\x73\56\x6a\x73\x6f\x6e", $siteUser); goto c7228; b2b02: $destinationFile = sprintf("\57\x68\x6f\155\x65\x2f\x25\x73\x2f\x74\x6d\160\57\142\x61\143\153\165\160\56\x74\141\162", $siteUser); goto c4023; Cadb2: if (!(false === empty($siteExcludes))) { goto E5613; } goto A9e99; b37f0: $siteUser = $siteEntity->getUser(); goto bba77; A9e99: $excludes = array_merge($excludes, $siteExcludes); goto Ad41a; bba77: $domainName = $siteEntity->getDomainName(); goto bbe11; c7228: $siteVhostFile = sprintf("\57\150\157\155\145\x2f\x25\163\57\163\151\x74\x65\55\x76\x68\157\163\164", $siteUser); goto F6661; bbe11: $homeDirectory = sprintf("\x2f\150\157\x6d\x65\x2f\x25\x73\x2f", $siteUser); goto A399e; f096d: a29b2: goto a878f; F892a: $tarCreator->create($sources, $destinationFile, $excludes); goto e30fd; F9640: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto Aaff7; Cac0d: goto a29b2; goto B7685; D2b92: $rclone->addFlag("\55\55\144\x72\x69\x76\x65\55\x69\x6d\x70\x65\x72\x73\157\x6e\x61\164\x65", $email); goto Cac0d; Aaff7: $email = $this->getConfigValue("\x72\145\155\157\x74\145\137\142\x61\143\x6b\165\x70\137\145\x6d\141\151\x6c"); goto D2b92; B7685: } goto dd9f5; Dfc9a: $rclone = new Rclone(); goto F9640; ac7ee: $sources = [$homeDirectory, $vhostFile]; goto Cf0d9; a2791: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto C7fda; Ffcb2: $this->commandExecutor->execute($deleteFileCommand, 60); goto A9b1c; C7fda: $deleteFileCommand = new DeleteFileCommand(); goto d4c7c; A9b1c: Ea568: goto A2826; d4c7c: $deleteFileCommand->setFile($file); goto Ffcb2; A2826: } cc2b9: } } catch (\Exception $e) { goto Fc5e0; Fc5e0: $errorMessage = $e->getMessage(); goto B6351; B6351: $subject = sprintf("\x52\x65\x6d\x6f\x74\x65\40\x42\141\x63\x6b\165\x70\x20\146\141\x69\154\x65\144\x3a\x20\x25\163", $domainName); goto d8d3a; d8d3a: $this->addNotification($subject, $errorMessage); goto A3368; A3368: } goto e31e6; e0383: if (!(false === $isSiteExcluded)) { goto c37b5; } goto d36c9; e31e6: c37b5: goto Fbcc5; Bd2c8: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto e0383; Fbcc5: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto F824c; f18ff: $writeFileCommand = new WriteFileCommand(); goto b4bfc; fa27d: $writeFileCommand->setContent($fileContent); goto Ead9c; c3f0a: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto B600a; D0240: $settings["\x6e\157\x64\x65\x6a\163\x53\145\164\x74\x69\156\x67\x73"] = $nodejsSettings; goto bb8c9; bb8c9: goto f3f48; goto dd815; db701: $nodejsSettings = ["\x76\x65\x72\x73\x69\157\156" => $nodejsSettingsEntity->getNodejsVersion(), "\160\x6f\x72\164" => $nodejsSettingsEntity->getPort()]; goto D0240; B600a: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto db701; dd815: case SiteEntity::TYPE_PHP: goto F864e; F864e: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto Cd2d6; Cd2d6: $phpSettings = ["\166\145\x72\163\x69\x6f\x6e" => $phpSettingsEntity->getPhpVersion(), "\155\145\155\157\x72\171\x4c\151\155\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\155\x61\170\x45\x78\x65\143\165\164\x69\x6f\156\x54\151\155\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\x78\111\x6e\160\165\164\124\151\155\145" => $phpSettingsEntity->getMaxInputTime(), "\155\141\x78\111\x6e\160\x75\x74\x56\141\162\x73" => $phpSettingsEntity->getMaxInputVars(), "\160\157\x73\x74\115\141\170\123\x69\172\145" => $phpSettingsEntity->getPostMaxSize(), "\165\x70\x6c\157\141\x64\x4d\141\170\106\151\154\x65\x53\x69\x7a\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\x64\151\164\151\157\156\x61\154\x43\x6f\156\x66\151\x67\165\162\141\164\151\157\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto f2a78; c6760: goto f3f48; goto B2a49; f2a78: $settings["\x70\150\x70\x53\x65\164\164\151\x6e\147\x73"] = $phpSettings; goto c6760; B2a49: case SiteEntity::TYPE_PYTHON: goto Abefa; Cbff3: goto f3f48; goto Bcc00; Abefa: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto a44e2; a44e2: $pythonSettings = ["\166\145\x72\163\x69\157\x6e" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\162\x74" => $pythonSettingsEntity->getPort()]; goto Bf1c0; Bf1c0: $settings["\160\171\x74\x68\x6f\x6e\123\145\164\164\x69\x6e\147\x73"] = $pythonSettings; goto Cbff3; Bcc00: case SiteEntity::TYPE_REVERSE_PROXY: goto Da00c; f822c: goto f3f48; goto Edcb2; be6d6: $settings["\x72\x65\x76\x65\x72\163\x65\x50\x72\x6f\x78\x79\123\145\164\164\x69\x6e\147\x73"] = $reverseProxySettings; goto f822c; Da00c: $reverseProxySettings = ["\x75\x72\154" => $siteEntity->getReverseProxyUrl()]; goto be6d6; Edcb2: } goto c52e2; Dcaba: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto f18ff; B3499: f3f48: goto Dcaba; b4bfc: $writeFileCommand->setFile($siteSettingsFile); goto fa27d; Ead9c: $this->commandExecutor->execute($writeFileCommand, 15); goto e0a42; c52e2: b050f: goto B3499; Be83b: $settings = ["\x74\x79\x70\x65" => $siteType, "\x64\x6f\x6d\x61\151\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\162\157\x6f\x74\104\x69\x72\x65\143\x74\157\x72\x79" => $siteEntity->getRootDirectory(), "\163\x69\x74\145\125\x73\x65\162" => $siteEntity->getUser(), "\x70\141\x67\x65\123\x70\x65\145\144" => $siteEntity->getPageSpeedSettings()]; goto c3f0a; F824c: $siteType = $siteEntity->getType(); goto Be83b; e0a42: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto E19e6; E19e6: $vhost = $siteEntity->getVhostTemplate(); goto f9cdc; ece27: $this->commandExecutor->execute($writeFileCommand, 15); goto A0d9d; f9cdc: $writeFileCommand = new WriteFileCommand(); goto d8048; C158f: $writeFileCommand->setContent($vhost); goto ece27; d8048: $writeFileCommand->setFile($siteVhostFile); goto C158f; A0d9d: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto A7465; Fcc39: foreach ($excludes as $exclude) { goto cbf56; cbf56: $exclude = rtrim($exclude, "\57"); goto D17b5; fedfc: $isSiteExcluded = true; goto a97d6; Adf0a: ad4d8: goto ddb0e; D17b5: if (!($homeDirectory == $exclude)) { goto c49b9; } goto fedfc; A73e1: c49b9: goto Adf0a; a97d6: goto b16a3; goto A73e1; ddb0e: } goto e81d2; A7465: $isSiteExcluded = false; goto ea40b; C65a5: $siteUser = $siteEntity->getUser(); goto cabd9; C0bcf: D816e: goto db30e; ea40b: $excludes = $this->getExcludes(); goto dda46; e81d2: b16a3: goto C0bcf; cabd9: $homeDirectory = sprintf("\x2f\x68\157\x6d\145\57\45\163", $siteUser); goto Fcc39; db30e: return $isSiteExcluded; goto Aff15; dda46: if (!(false === empty($excludes))) { goto D816e; } goto C65a5; Aff15: } private function getExcludes() : array { goto e33c7; ee7d9: $this->excludes = json_decode($excludes); goto ff2a7; ebd45: D24c5: goto A980d; ff2a7: e0699: goto ebd45; e33c7: if (!(true === empty($this->excludes))) { goto D24c5; } goto c9b44; E9e64: if (!(false === empty($excludes))) { goto e0699; } goto ee7d9; A980d: return $this->excludes; goto B4423; c9b44: $excludes = $this->getConfigValue("\162\145\155\x6f\164\145\137\x62\x61\143\153\165\160\137\145\x78\143\x6c\165\144\145\x73"); goto E9e64; B4423: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto Dd4f5; edf66: $siteUser = $siteEntity->getUser(); goto d9c2a; ea247: F8bd6: goto F0a63; Df2a7: $excludes = $this->getExcludes(); goto c9323; cf064: foreach ($excludes as $exclude) { goto f063d; e277a: if (!(false === empty($exclude))) { goto A1ea3; } goto dbc3c; f063d: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto a91eb; } goto c8dc3; c8dc3: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto e277a; d3295: A1ea3: goto Aaba4; Aaba4: a91eb: goto A3920; dbc3c: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto d3295; A3920: dadb4: goto ce188; ce188: } goto C294f; F0a63: return $siteExcludes; goto a15e7; C294f: B80fd: goto ea247; Dd4f5: $siteExcludes = []; goto Df2a7; c9323: if (!(false === empty($excludes))) { goto F8bd6; } goto edf66; d9c2a: $homeDirectory = sprintf("\57\150\x6f\155\x65\57\45\163\57", $siteUser); goto cf064; a15e7: } private function getServerDateTime() : \DateTime { goto ccd0e; A5ce5: e62d0: goto Ae593; Ae593: return $this->serverDateTime; goto e8e49; ec4cc: B1c70: goto A5ce5; Fa50a: if (!(false === empty($timezone))) { goto B1c70; } goto d7a62; d7a62: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto ec4cc; aad44: $this->serverDateTime = new \DateTime("\x6e\157\x77"); goto babf6; babf6: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\x43")); goto Fa50a; ccd0e: if (!(true === is_null($this->serverDateTime))) { goto e62d0; } goto C213f; C213f: $timezone = $this->getConfigValue("\x74\151\155\x65\x7a\x6f\x6e\145"); goto aad44; e8e49: } private function getDestination(SiteEntity $siteEntity) : string { goto fba03; A122d: D17c8: goto C106b; b3f84: $destination = ltrim($destination, "\x2f"); goto Aefb6; Db861: $storageDirectory = $this->getConfigValue("\162\145\x6d\157\164\145\137\142\x61\x63\x6b\x75\x70\137\163\164\x6f\x72\x61\x67\145\137\x64\x69\x72\x65\143\x74\x6f\162\171"); goto eb10e; Aefb6: D364b: goto b6ae5; Ccd37: $siteUser = $siteEntity->getUser(); goto Db861; f37fe: $destination = sprintf("\45\x73\57\x25\163\57\x25\163\57\45\163\x2f\150\x6f\155\x65\57\x25\163\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f"), $serverDateTime->format("\131\55\155\x2d\x64"), $serverDateTime->format("\x48\56\151"), $siteUser); goto F34b5; F34b5: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto D364b; } goto b3f84; Ceccb: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\x65\155\x6f\x74\x65\137\142\141\143\x6b\x75\160\x5f\x62\165\143\x6b\x65\x74"); goto c2191; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\145\155\x6f\x74\145\137\142\x61\x63\153\165\160\x5f\163\160\141\x63\x65"); goto c2191; } goto A122d; C106b: c2191: goto Ccd37; fba03: $destination = ''; goto Ceccb; eb10e: $serverDateTime = $this->getServerDateTime(); goto f37fe; b6ae5: return $destination; goto F6ea3; F6ea3: } private function cleanBackups() : void { goto b36ad; C657f: B7b8a: goto fe7db; ad9b6: if (!($retentionPeriod && false === empty($storageDirectory))) { goto B7b8a; } goto bd953; b36ad: $retentionPeriod = (int) $this->getConfigValue("\162\145\155\x6f\164\x65\x5f\142\141\143\153\x75\160\x5f\x72\x65\x74\145\156\x74\x69\x6f\156\x5f\160\x65\162\x69\157\144"); goto Ab0c2; bd953: try { goto d1c8c; A3f13: b0e64: goto C54bc; d1c8c: $dateTime = new \DateTime(); goto fb3fd; c4d92: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto b0e64; } goto Dcca9; D792e: A4cea: goto a63f7; a63f7: b4fd8: goto d8d7a; F6c2c: $rclone = new Rclone(); goto B2a81; a4e65: $deleteDateTime->modify(sprintf("\x2d\45\163\40\144\141\171\163", $retentionPeriod)); goto bed77; Ff711: Fbdaf: goto cad14; a0539: if (!(false === empty($directories))) { goto B0439; } goto F186d; Dcca9: $remotePath = ltrim($remotePath, "\x2f"); goto A3f13; C54bc: $directories = (array) $rclone->lsJson($remotePath, true); goto a0539; B2a81: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\137\142\x61\143\153\165\x70\137\x62\x75\x63\153\145\x74"); goto b4fd8; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\x6d\157\164\145\137\142\x61\x63\153\165\160\137\163\160\141\143\x65"); goto b4fd8; case StorageProvider::GOOGLE_DRIVE: goto dd67d; dd67d: $email = $this->getConfigValue("\162\145\x6d\157\x74\145\137\x62\141\143\x6b\165\160\x5f\145\x6d\x61\151\x6c"); goto a10dd; c1498: goto b4fd8; goto A52ac; a10dd: $rclone->addFlag("\x2d\55\144\162\x69\166\x65\x2d\151\x6d\160\x65\162\x73\x6f\x6e\x61\x74\145", $email); goto c1498; A52ac: } goto D792e; d8d7a: $remotePath = sprintf("\45\163\57\x25\163\57", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto c4d92; bed77: $deleteDateTime->setTimezone(new \DateTimeZone("\125\124\103")); goto e80e6; e80e6: $deleteDateTime->setTime(0, 0, 0, 0); goto cf0f2; cf0f2: $remotePath = ''; goto F6c2c; F186d: foreach ($directories as $directory) { goto F75b9; A1084: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto df789; c85d6: E15ca: goto b7e8d; Bf766: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto ffa0a; } goto fc2f8; ccb7b: $purgeRemotePath = sprintf("\x25\163\x2f\x25\x73\57", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto Bf766; d63ae: $purgeRemotePath = sprintf("\x2f\45\163", ltrim($purgeRemotePath, "\57")); goto c85d6; b7e8d: $rclone->purge($purgeRemotePath); goto A09a8; a006c: d1602: goto ba902; B7cf2: if (!(false === is_null($directoryName))) { goto E0065; } goto A1084; F98e0: f4a1d: goto B53e6; A09a8: Cb5cf: goto a006c; ce7ea: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto Cb5cf; } goto ccb7b; fc2f8: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto f3d3b; ba902: E0065: goto F98e0; f3d3b: ffa0a: goto A87dc; A87dc: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto E15ca; } goto d63ae; F75b9: $directoryName = $directory["\x4e\x61\x6d\145"] ?? null; goto B7cf2; df789: if (!(true === $isValidDate)) { goto d1602; } goto ce7ea; B53e6: } goto Ff711; fb3fd: $deleteDateTime = clone $dateTime; goto a4e65; cad14: B0439: goto A5462; A5462: } catch (\Exception $e) { goto e8f6b; B8993: $this->addNotification($subject, $errorMessage); goto dfd0b; e8f6b: $errorMessage = $e->getMessage(); goto cab0c; cab0c: $subject = sprintf("\122\x65\155\157\x74\x65\x20\x42\141\143\x6b\165\x70\40\x63\x6c\145\x61\156\165\x70\x20\x66\x61\x69\x6c\x65\x64\56"); goto B8993; dfd0b: } goto C657f; Ab0c2: $storageDirectory = $this->getConfigValue("\162\145\x6d\157\x74\145\x5f\142\x61\143\x6b\165\x70\137\x73\x74\x6f\x72\141\x67\x65\x5f\x64\151\x72\x65\143\x74\157\162\x79"); goto ad9b6; fe7db: } private function refreshDropboxAccessToken(bool $delay) { try { goto C089e; c73dd: $dropboxClient = new DropboxClient(); goto f6217; c239a: d096e: goto A22cb; a648c: sleep(rand(5, 60)); goto c239a; deda8: $rclone->writeConfig($rcloneConfig); goto Fefcc; bb7a6: $rcloneConfig = $rcloneConfigBuilder->build(); goto C8d87; C089e: if (!(true === $delay)) { goto d096e; } goto a648c; C4d4a: goto F7691; goto D851b; C8d87: $rclone = new Rclone(); goto deda8; a0d56: if (false === empty($token)) { goto D8b50; } goto Eaa9a; D851b: D8b50: goto bcab3; bcab3: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Ae9d6; A22cb: $refreshToken = $this->getConfigValue("\162\145\x6d\157\x74\x65\137\142\x61\x63\x6b\x75\x70\137\162\x65\146\x72\145\163\150\137\164\x6f\x6b\145\x6e"); goto c73dd; Da3b8: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto bb7a6; Eaa9a: throw new \Exception("\101\143\x63\145\163\163\40\124\157\153\145\156\40\x63\141\x6e\156\157\164\40\x62\145\x20\145\x6d\x70\164\x79\x2e"); goto C4d4a; f6217: $token = $dropboxClient->getAccessToken($refreshToken); goto a0d56; Fefcc: F7691: goto cc7a1; Ae9d6: $rcloneConfigTemplate->setToken($token); goto Da3b8; cc7a1: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\146\x72\x65\163\x68\x69\x6e\x67\x20\104\162\157\160\142\x6f\x78\40\x41\x63\x63\145\x73\x73\x20\x54\157\153\x65\x6e\40\x46\x61\151\154\145\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto cb99e; cb99e: $notification = new Notification(); goto f6f38; f6f38: $notification->setSubject($subject); goto fa4c7; c3043: NotificationQueue::addNotification($notification); goto B021d; fa4c7: $notification->setMessage($errorMessage); goto Fbd57; Fbd57: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto c3043; B021d: } }
