<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\ReverseProxySite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\ReverseProxyTemplate as ReverseProxyVhostTemplate; use App\Site\Creator\ReverseProxySite as ReverseProxySiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddReverseProxyCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\122\x65\x76\x65\162\x73\x65\120\162\x6f\x78\171"; protected function configure() : void { goto f716f; a03e4: $this->addOption("\162\x65\166\x65\162\x73\145\120\x72\157\x78\171\125\x72\x6c", null, InputOption::VALUE_REQUIRED); goto e5152; E45d8: $this->addOption("\x73\x69\164\x65\125\163\x65\x72\120\141\163\x73\167\157\162\144", null, InputOption::VALUE_REQUIRED); goto D72ea; e435d: $this->addOption("\144\157\x6d\141\x69\x6e\x4e\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto a03e4; d12fe: $this->setDescription("\143\x6c\160\143\164\154\x20\163\151\164\x65\72\141\x64\144\72\x72\145\166\x65\x72\163\x65\x2d\160\162\x6f\x78\x79\x20\55\x2d\144\x6f\155\x61\x69\x6e\x4e\141\155\x65\75\167\167\167\56\x64\157\x6d\141\151\156\x2e\143\157\155\40\x2d\x2d\162\145\x76\x65\x72\163\145\120\162\x6f\x78\171\x55\162\154\x3d\x27\150\x74\x74\160\x3a\x2f\57\61\x32\67\56\x30\56\60\x2e\x31\x3a\70\60\x30\60\47\40\55\x2d\x73\151\x74\x65\125\x73\x65\162\75\152\157\150\x6e\40\x2d\x2d\163\x69\164\145\x55\x73\145\162\x50\141\163\x73\167\x6f\162\x64\x3d\x27\41\163\x65\143\162\x65\x74\120\141\163\x73\167\157\162\144\41\47"); goto C1244; C1244: $this->setComment("\x41\x64\144\x69\156\x67\x20\x61\40\122\145\x76\145\162\163\x65\x20\120\162\157\x78\171"); goto e435d; e5152: $this->addOption("\x73\x69\x74\145\x55\x73\145\162", null, InputOption::VALUE_REQUIRED); goto E45d8; f716f: $this->setName("\x73\151\x74\x65\72\x61\144\x64\x3a\162\145\166\x65\162\x73\x65\55\160\162\x6f\170\171"); goto d12fe; D72ea: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto A0905; abfa9: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto b6561; D3796: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto cfec5; A0905: $this->validateInput($input); goto F1a92; A21cf: $siteEntity->setType(SiteEntity::TYPE_REVERSE_PROXY); goto d9907; Bbaf2: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a1816; d43fe: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto A876b; eb6a1: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto D82f3; E6534: $this->siteEntityManager->updateEntity($siteEntity); goto e8024; e0e2f: $siteEntity->setUserPassword($siteUserPassword); goto c21e8; cb300: $vhostTemplate->build(); goto eb6a1; ce097: $reversProxySiteCreator->createUser(); goto C3193; F4622: goto a54e6; goto C1ac2; Ffe71: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto eca3a; A9f5b: $siteUser = trim($input->getOption("\x73\151\164\145\125\163\x65\x72")); goto b4452; b483b: a2324: goto f1326; E1e4d: goto f78c9; goto D3f2c; b6561: $certificateEntity->setCsr($csr); goto d7ad2; E8b37: $subdomain = false === empty($subdomain) ? $subdomain : null; goto ff83d; F69ea: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto ca6cd; C006d: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E8b37; fa001: fbb83: goto c238e; Cae3c: D2ac9: goto ced90; E038f: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto b922a; C3c51: $certificateEntity->setDefaultCertificate(true); goto abfa9; d61f6: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto C3c51; c652d: $siteEntity->setUser($siteUser); goto e0e2f; faca9: $reverseProxySite->setRootDirectory($siteEntity->getRootDirectory()); goto A2a1c; B730e: $reversProxySiteCreator->reloadNginxService(); goto f43f5; f4a68: if (true === isset($_ENV["\x41\120\120\x5f\x48\x54\124\x50\x33"]) && "\164\x72\165\x65" === $_ENV["\x41\x50\120\137\x48\x54\x54\120\63"]) { goto da434; } goto ece88; C8fbf: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto cb300; A2a1c: $reverseProxySite->setCertificate($certificateEntity); goto Ddd98; f1f06: $rootDirectory = $domainName; goto e21c0; A6be6: $certificateEntity->setCertificate($selfSignedCertificate); goto F123d; c21e8: $siteEntity->setRootDirectory($rootDirectory); goto Ffe71; Ec226: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A14df; c238e: a54e6: goto C3c30; Fd410: goto fbb83; goto Ca3fa; d7ad2: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto A6be6; F465c: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Ef98f; c10b0: if (false === is_null($vhostTemplateEntity)) { goto f5b80; } goto af6ae; Aba55: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto F465c; Ca3fa: D472e: goto Bbaf2; Eeacf: $reverseProxySite->setRegistrableDomain($registrableDomain); goto af5af; Ef98f: $csr = $csrGenerator->generate(); goto d61f6; ded12: $constraints = new ConstraintViolationList(); goto e90e6; D0b06: if (0 == count($siteConstraints)) { goto D472e; } goto ded12; db2c0: $reverseProxySite = new ReverseProxySite(); goto d501d; e3c0e: $subjectAlternativeNames[] = $registrableDomain; goto Dd409; d9907: $siteEntity->setDomainName($domainName); goto c652d; e74a3: $reverseProxySite->setVhostTemplate($siteEntity->getVhostTemplate()); goto Ff0d5; F1a92: $domainName = mb_strtolower(trim($input->getOption("\x64\x6f\x6d\141\151\x6e\x4e\141\155\x65"))); goto c7fb6; c7fb6: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto f1f06; Ff0d5: $reversProxySiteCreator = new ReverseProxySiteCreator($reverseProxySite); goto ce097; d10a2: return SiteCommand::SUCCESS; goto fa001; dd1b9: $rsaKeyGenerator = new RsaKeyGenerator(); goto D3796; cfec5: $subjectAlternativeNames = []; goto e7d52; be4b1: $siteConstraints = $this->validator->validate($siteEntity); goto D0b06; e21c0: $reverseProxyUrl = trim($input->getOption("\162\x65\x76\x65\x72\163\145\120\x72\157\x78\x79\125\x72\154")); goto A9f5b; e8024: $output->writeln(sprintf("\74\151\156\146\157\76\x53\x69\x74\145\x3c\57\151\156\146\157\x3e\x20\74\143\157\155\155\145\x6e\164\76\x25\x73\74\57\143\157\155\155\145\x6e\164\76\x20\74\151\156\146\x6f\76\150\141\163\x20\x62\145\145\x6e\x20\141\x64\144\145\144\56\x3c\57\x69\x6e\x66\x6f\76", $domainName)); goto d10a2; e90e6: $constraints->addAll($siteConstraints); goto aceda; C3193: $reversProxySiteCreator->createRootDirectory(); goto D3628; Be4d4: $vhostTemplate = new ReverseProxyVhostTemplate($reverseProxySite); goto d43fe; F87f2: $reverseProxySite->setUserPassword($siteEntity->getUserPassword()); goto C603a; A14df: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto C006d; ced90: Fa223: goto Aaed3; A876b: $vhostTemplate->resetProcessors(); goto C03f1; af6ae: throw new \Exception(sprintf("\x56\150\157\163\164\x20\x54\x65\x6d\160\x6c\x61\x74\x65\40\x22\45\163\42\40\144\157\145\163\40\x6e\x6f\164\40\145\x78\x69\163\164\56", $vhostTemplate)); goto F4622; C603a: $reverseProxySite->setDomainName($domainName); goto Eeacf; ece88: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\x2e\x2e\57\x72\x65\x73\157\165\162\x63\x65\x73\x2f\156\x67\x69\x6e\x78\x2f\x76\150\x6f\x73\x74\x5f\x74\145\x6d\x70\154\x61\x74\x65\57\162\145\144\x69\x72\145\x63\164"); goto E1e4d; D82f3: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto E6534; B6321: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto C8fbf; b922a: if (!(false === empty($redirectionVhostTemplate))) { goto D2ac9; } goto D80b8; aceda: return $this->renderConstraints($constraints, $output); goto Fd410; b4452: $siteUserPassword = trim($input->getOption("\163\x69\164\145\x55\163\x65\162\x50\x61\163\163\167\x6f\162\x64")); goto Ec226; C1ac2: f5b80: goto F69ea; Fc4c6: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\56\56\x2f\x72\145\x73\x6f\165\162\x63\145\163\x2f\x6e\x67\x69\156\170\x2f\x76\150\157\x73\164\x5f\164\x65\155\160\154\141\164\x65\x2f\162\145\144\151\x72\145\143\164\55\x68\164\x74\x70\63"); goto B3bad; F123d: $siteEntity->setCertificate($certificateEntity); goto db2c0; Dd409: B092d: goto Aba55; dcff5: $reversProxySiteCreator->createPrivateKeyAndCertificate(); goto a8950; ff83d: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto c10b0; D80b8: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto Cae3c; a1816: $certificateEntity->setSite($siteEntity); goto dd1b9; eca3a: if (!(true === is_null($subdomain) || "\167\167\x77" == $subdomain)) { goto Fa223; } goto f4a68; C03f1: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto B6321; d501d: $reverseProxySite->setUser($siteEntity->getUser()); goto F87f2; B3bad: f78c9: goto E038f; ca6cd: $siteEntity = $this->siteEntityManager->createEntity(); goto A21cf; Ddd98: $reverseProxySite->setReverseProxyUrl($reverseProxyUrl); goto e74a3; af5af: $reverseProxySite->setSubdomain($subdomain); goto faca9; d13a1: $subjectAlternativeNames[] = sprintf("\x77\167\x77\x2e\x25\x73", $domainName); goto b483b; a8950: $reversProxySiteCreator->createNginxVhost(); goto B730e; Aaed3: $siteEntity->setVhostTemplate($vhostTemplate); goto be4b1; f43f5: $reversProxySiteCreator->resetPermissions(); goto Be4d4; D3628: $reversProxySiteCreator->createLogrotateFile(); goto dcff5; f1326: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto B092d; } goto e3c0e; e7d52: if (!(true === is_null($subdomain))) { goto a2324; } goto d13a1; D3f2c: da434: goto Fc4c6; C3c30: } catch (\Exception $e) { goto a1b1e; d9d8a: return SiteCommand::FAILURE; goto D1ae8; a1b1e: $errorMessage = $e->getMessage(); goto Db13f; Db13f: $output->writeln(sprintf("\x3c\145\x72\162\157\x72\76\x25\163\74\57\145\162\162\x6f\162\76", $errorMessage)); goto d9d8a; D1ae8: } } }
