<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto cc9a2; a983b: $this->siteEntityManager = $siteEntityManager; goto da44e; F31f0: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto F1c54; E219c: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F31f0; F1c54: $this->validator = $validator; goto C703a; da44e: $this->certificateEntityManager = $certificateEntityManager; goto E219c; C703a: parent::__construct(); goto Ce579; cc9a2: $this->domainNameParser = $domainNameParser; goto a983b; Ce579: } protected function configure() : void { $this->setName("\x73\x69\x74\145\72\x74\x6d\160"); } protected function getSite(string $domainName) : ?Site { goto d245d; ef33c: $site->setBasicAuth($siteEntity->getBasicAuth()); goto c9173; Cc19d: $site->setSshUsers($siteEntity->getSshUsers()); goto d7f61; f88d0: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto c6573; F31e9: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto b667b; c6573: $site = new NodejsSite(); goto F31e9; b667b: goto bcfeb; goto A2b69; A2b69: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto bcfeb; case SiteEntity::TYPE_PHP: goto D17d2; D17d2: $site = new PhpSite(); goto Dcc25; Dcc25: $site->setPhpSettings($siteEntity->getPhpSettings()); goto c4046; ea106: goto bcfeb; goto eae1c; c4046: $site->setVarnishCache($siteEntity->getVarnishCache()); goto ea106; eae1c: case SiteEntity::TYPE_PYTHON: goto ab252; ab252: $site = new PythonSite(); goto Bb037; Bb037: $site->setPythonSettings($siteEntity->getPythonSettings()); goto b5f36; b5f36: goto bcfeb; goto Fbbc7; Fbbc7: case SiteEntity::TYPE_REVERSE_PROXY: goto C48c4; c7fc7: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto A26d4; A26d4: goto bcfeb; goto F62c3; C48c4: $site = new ReverseProxySite(); goto c7fc7; F62c3: } goto e0d8c; e0d8c: d13c6: goto Fae20; e0622: $site->setUser($siteEntity->getUser()); goto ddb8e; Cfd11: $site->setDatabases($siteDatabases); goto ef33c; Ac4fc: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto f5952; a878d: $site->setRegistrableDomain($registrableDomain); goto A440e; Ce278: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto Ebe52; Fae20: bcfeb: goto Ea3a0; a8d62: a7712: goto adf78; Cc83a: $site->setFtpUsers($siteEntity->getFtpUsers()); goto Cc19d; a7b18: $siteEntity = $this->getSiteEntity($domainName); goto abeb6; a7c46: $site->setCertificates($siteEntity->getCertificates()); goto D2b2b; A19c6: $siteType = $siteEntity->getType(); goto f88d0; a2e12: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Dbc85; Ef6db: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto C49c2; A440e: $site->setSubdomain($subdomain); goto Be2d4; d7f61: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto Ce278; C49c2: $subdomain = $resolvedDomainName->subDomain()->toString(); goto ec2b2; ba2b8: throw new \Exception(sprintf("\x53\151\164\x65\40\x22\45\163\42\x20\144\x6f\145\x73\x20\156\157\164\x20\x65\170\151\163\x74\x2e", $domainName)); goto Ed6c9; E46eb: $siteDatabases = $this->getSiteDatabases($siteEntity); goto e0622; f9a26: aaeff: goto A19c6; d245d: $site = null; goto a7b18; Cef47: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ef6db; Ebe52: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Ac4fc; D2b2b: $site->setCronJobs($siteEntity->getCronJobs()); goto Cc83a; Ea3a0: if (!(false === is_null($site))) { goto b226a; } goto Cef47; Ed6c9: goto a7712; goto f9a26; ddb8e: $site->setDomainName($siteEntity->getDomainName()); goto a878d; c9173: $site->setBlockedBots($siteEntity->getBlockedBots()); goto a2e12; Dbc85: $site->setCertificate($siteEntity->getCertificate()); goto a7c46; f5952: b226a: goto a8d62; adf78: return $site; goto A9556; abeb6: if (false === is_null($siteEntity)) { goto aaeff; } goto ba2b8; ec2b2: $subdomain = false === empty($subdomain) ? $subdomain : null; goto E46eb; Be2d4: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Cfd11; A9556: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto B23ac; de672: foreach ($databaseEntities as $databaseEntity) { goto Fe80a; e0084: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto e59d3; } goto Ab5c6; Ab5c6: $siteDatabases->add($databaseEntity); goto f3e5f; E898c: Ed5df: goto aec03; Fe80a: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto e0084; f3e5f: e59d3: goto E898c; aec03: } goto Cea43; E5f34: return $siteDatabases; goto fb2da; ac84d: $databaseEntities = $siteEntity->getDatabases(); goto de672; Cea43: c7b92: goto E5f34; B23ac: $siteDatabases = new ArrayCollection(); goto E374d; E374d: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ac84d; fb2da: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Bd99f; cd425: a55e2: goto E4a5d; b8be5: return $siteDeleter; goto e3a0d; Bd99f: $siteDeleter = null; goto e1531; e1531: $siteType = $site->getType(); goto df509; E4a5d: C629f: goto b8be5; df509: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto C629f; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto C629f; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto C629f; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto C629f; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto C629f; } goto cd425; e3a0d: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto c7805; b7f60: $siteType = $site->getType(); goto c96a3; dfdbc: return $siteUpdater; goto cd143; E3d01: Db943: goto dfdbc; C0fda: Ed69a: goto E3d01; c7805: $siteUpdater = null; goto b7f60; c96a3: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Db943; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Db943; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Db943; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Db943; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Db943; } goto C0fda; cd143: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\145\162", "\x73\x69\x74\145\x55\x73\x65\162", $constraints); $this->changePropertyPath("\165\163\x65\x72\x50\141\163\163\167\x6f\x72\x64", "\163\x69\x74\145\x55\163\145\162\120\x61\163\163\x77\x6f\162\144", $constraints); } }
