<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto Fb982; ae305: $this->databaseServerEntityManager = $databaseServerEntityManager; goto a107f; a107f: parent::__construct($translator, $logger); goto B213c; Fb982: $this->configManager = $configManager; goto ae305; B213c: } public function settings(Request $request) : Response { goto dc755; Dcbf2: ab328: goto F63ef; b840d: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto ed2a9; bf950: return $response; goto d6499; A513e: return $response; goto Be307; Eade9: $customDomainData = ["\144\157\155\141\151\x6e\116\141\155\x65" => false === is_null($customDomainName) ? $customDomainName : '']; goto b840d; F63ef: Bd145: goto Fba81; E903d: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto Cb572; b430b: $customDomainForm->handleRequest($request); goto a91d6; Fba81: $response = $this->render("\101\x64\155\x69\x6e\57\123\145\164\164\151\x6e\147\x73\57\151\x6e\144\x65\x78\x2e\x68\x74\x6d\x6c\56\164\x77\x69\147", ["\143\x75\163\x74\157\x6d\x44\157\155\x61\x69\x6e\x46\x6f\162\155" => $customDomainForm->createView(), "\x66\x6f\162\155\105\x72\162\157\162\163" => $this->formErrors]); goto A513e; ed2a9: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto Bd145; } goto b430b; a91d6: if (!(true === $customDomainForm->isSubmitted())) { goto ab328; } goto E903d; dc755: $customDomainName = $this->configManager->get("\143\165\x73\x74\x6f\x6d\x5f\144\157\x6d\141\151\156"); goto Eade9; Cb572: if (!(false === is_null($response))) { goto B0828; } goto bf950; d6499: B0828: goto Dcbf2; Be307: } private function createCustomDomainForm(array $data) : Form { goto e0b6e; c9c73: return $form; goto Ec635; e0b6e: $form = $this->createForm("\101\160\x70\134\106\157\x72\155\134\101\x64\x6d\x69\156\103\165\163\x74\x6f\x6d\x44\x6f\x6d\141\151\156\123\145\x74\x74\x69\x6e\147\x73\x54\x79\x70\x65", $data, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\141\x64\155\x69\x6e\137\x73\x65\164\x74\x69\156\x67\x73"), "\155\x65\x74\x68\x6f\x64" => "\120\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto E743a; E743a: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\x61\x73\x73" => "\x62\x74\x6e\40\142\x74\156\55\x62\x6c\x75\x65\x20\142\164\x6e\55\x6c\147"], "\x6c\141\142\145\x6c" => "\123\x61\166\145"]); goto c9c73; Ec635: } private function handleCustomDomainForm(Request $request, Form $form) { goto Eee33; Eee33: if (true === $form->isValid()) { goto e051d; } goto C4b0b; f0949: goto bf986; goto C36b1; D10f5: bf986: goto da905; C36b1: e051d: goto Ec3e1; C4b0b: $this->formErrors = $this->getErrorMessages($form); goto f0949; Ec3e1: try { goto b20a6; F73cc: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\160\162\151\x76\141\164\145\137\x6b\x65\171"); goto b9903; C971b: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto de4b2; C1ef6: $vhostTemplate = file_get_contents($vhostTemplateFile); goto F2e46; b0d8d: if (false === empty($domainName)) { goto Dc3cf; } goto B79ea; E4a6a: $session = $request->getSession(); goto F8b1d; dae0a: b0855: goto fc678; F2e46: $distinguishedNameDomains = $domains; goto e3ba8; D3676: $domains = [$domainName]; goto F73cc; Dcb8f: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto C34d2; Ebb7e: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto D7580; B99ca: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\40\45\x73", $domain, $validationErrorMessage))); cb94a: } goto Ba2e6; D00a7: $session->getFlashBag()->set("\163\165\143\x63\145\x73\x73", $this->translator->trans("\x43\154\157\x75\x64\120\x61\156\145\154\x20\x43\x75\x73\164\157\155\40\x44\x6f\155\141\151\x6e\40\x68\141\x73\40\142\145\x65\x6e\x20\163\141\x76\x65\x64\x2e")); goto ba814; Aa447: $csr = $csrGenerator->generate(); goto ee44d; F45a3: $letsEncryptClient = new LetsEncryptClient($privateKey); goto a561e; C8dde: $adminCustomDomain = new AdminCustomDomain(); goto b0d8d; B78b7: $eventData = ["\144\x6f\155\141\x69\x6e\x4e\141\155\145" => $domainName]; goto c5050; d0c76: $adminCustomDomain = new AdminCustomDomain(); goto fee16; de4b2: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Aa447; C34d2: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto bc842; Fb17b: $session->getFlashBag()->set("\163\165\143\x63\x65\163\x73", $this->translator->trans("\x43\x6c\x6f\165\x64\x50\x61\156\145\x6c\x20\103\165\163\164\x6f\x6d\x20\x44\157\155\x61\x69\156\40\150\x61\163\x20\142\x65\145\x6e\40\x73\141\166\x65\x64\56")); goto C6452; C6031: $adminCustomDomain->delete(); goto D147f; Fb27f: $certificate = new Certificate(); goto Ee203; ed627: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto Dcb8f; C6452: $response = $this->redirect($this->generateUrl("\143\154\160\137\141\144\x6d\x69\x6e\137\163\145\x74\x74\151\x6e\147\163")); goto A2765; B4a11: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto f2589; c2ab0: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto f3cfa; E98a6: $certificate->setCertificate($selfSignedCertificate); goto ed627; D5bb8: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C6f08; d2187: Dc3cf: goto D3676; Ba2e6: c84d3: goto C3286; bc842: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto Ae518; F8b1d: $domainName = $form->get("\144\157\155\141\x69\156\x4e\141\155\145")->getData(); goto C8dde; e3ba8: $commonName = array_shift($distinguishedNameDomains); goto c2ab0; b20a6: $user = $this->getUser(); goto E4a6a; E2e46: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto A78c7; D147f: $this->configManager->delete("\143\165\x73\x74\x6f\155\x5f\x64\157\x6d\141\x69\156"); goto cb52d; fc678: Ed5fa: goto D62c7; b9903: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto F45a3; B79ea: $adminCustomDomain = new AdminCustomDomain(); goto C6031; C3286: $this->formErrors = $this->getErrorMessages($form); goto da46a; af9e3: $this->configManager->set("\143\x75\x73\x74\x6f\x6d\137\x64\157\x6d\x61\x69\x6e", $domainName); goto B78b7; C8c9a: goto Ed5fa; goto d2187; C2382: E0b75: goto Ebb7e; A78c7: $adminCustomDomain->writeMotdFile($domainName); goto e867d; da46a: goto b0855; goto C2382; cb52d: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto D00a7; ee44d: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Fb27f; D7580: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto E2e46; C6f08: if (true === empty($validationErrors)) { goto E0b75; } goto d0c76; f2589: $vhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\57\x2e\x2e\x2f\x2e\56\x2f\162\x65\x73\x6f\165\162\x63\145\163\57\156\147\x69\156\170\57\166\x68\x6f\x73\x74\137\164\x65\155\160\x6c\141\164\x65\57\x63\x75\x73\164\157\x6d\x2d\x64\x6f\x6d\x61\151\156"); goto C1ef6; fee16: $adminCustomDomain->delete(); goto B99ca; e867d: $adminCustomDomain->reloadNginx(); goto af9e3; A2765: return $response; goto dae0a; f3cfa: $rsaKeyGenerator = new RsaKeyGenerator(); goto C971b; ba814: $response = $this->redirect($this->generateUrl("\143\154\160\137\x61\144\155\x69\156\137\x73\x65\164\164\151\x6e\x67\163")); goto E24c8; c5050: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto Fb17b; E24c8: return $response; goto C8c9a; Ae518: $adminCustomDomain->reloadNginx(); goto D5bb8; Ee203: $certificate->setPrivateKey($privateKey->getPEM()); goto E98a6; a561e: $letsEncryptClient->registerAccount(); goto B4a11; D62c7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\156\40\x65\x72\x72\157\x72\40\x68\141\163\x20\157\143\143\165\162\x72\145\x64\54\40\145\x72\x72\x6f\x72\x20\155\145\x73\163\141\147\145\x3a\40\x25\x65\162\162\157\162\x4d\145\x73\163\141\x67\145\45", ["\45\x65\x72\x72\x6f\x72\x4d\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto ea86d; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); ea86d: } goto D10f5; da905: } public function databaseServers(Request $request) : Response { goto Eb3cb; Eb3cb: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\150\157\x73\x74" => "\101\123\103"]); goto b81fa; e15d0: return $response; goto E03d0; b81fa: $response = $this->render("\x41\144\x6d\151\156\57\123\145\164\164\x69\156\x67\163\x2f\104\x61\x74\x61\142\141\x73\x65\55\123\x65\x72\166\145\162\163\x2f\x69\x6e\144\145\x78\56\x68\x74\x6d\x6c\56\x74\167\151\147", ["\x64\141\x74\x61\x62\141\163\x65\123\x65\x72\x76\x65\x72\x73" => $databaseServers]); goto e15d0; E03d0: } public function addDatabaseServer(Request $request) : Response { goto Dbc20; B2e49: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto Be536; } goto a9df6; a9df6: $form->handleRequest($request); goto c6cb7; Dbc20: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto F70ec; c6cb7: if (!(true === $form->isSubmitted())) { goto bf537; } goto A1c6c; F70ec: $form = $this->createDatabaseServerForm($databaseServerEntity); goto B2e49; b064b: return $response; goto fdfa8; aa711: $response = $this->render("\101\x64\x6d\151\x6e\57\x53\145\x74\x74\151\156\x67\163\57\104\141\164\141\142\141\163\145\55\123\x65\162\166\x65\162\x73\57\x61\x64\144\x2e\150\x74\x6d\154\56\x74\x77\151\147", ["\x66\157\x72\x6d" => $form->createView(), "\x66\157\x72\x6d\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto b064b; A1c6c: $response = $this->handleDatabaseServerForm($request, $form); goto Bc1f0; D59d8: F142c: goto Ce968; Ce968: bf537: goto c18c2; Bc1f0: if (!(false === is_null($response))) { goto F142c; } goto bee03; bee03: return $response; goto D59d8; c18c2: Be536: goto aa711; fdfa8: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto A49b0; Ea6c2: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\141\x73\x73" => "\142\x74\x6e\x20\x62\164\x6e\55\142\154\x75\x65\x20\142\x74\156\x2d\x6c\147"], "\154\x61\x62\x65\x6c" => "\101\144\x64\x20\104\x61\x74\141\142\141\163\x65\40\x53\145\x72\166\145\162"]); goto a9756; a9756: return $form; goto A2aec; A49b0: $form = $this->createForm("\101\x70\x70\x5c\106\157\x72\x6d\x5c\x41\x64\155\151\x6e\x44\141\164\141\x62\141\x73\x65\x53\145\x72\x76\x65\x72\124\171\x70\145", $databaseServerEntity, ["\x61\x63\164\151\157\156" => $this->generateUrl("\x63\154\x70\137\x61\x64\x6d\151\x6e\x5f\144\141\x74\x61\142\141\x73\x65\137\163\x65\x72\x76\x65\162\x5f\x61\144\x64"), "\155\145\x74\150\157\144" => "\x50\x4f\123\124", "\141\164\x74\x72" => []]); goto Ea6c2; A2aec: } private function handleDatabaseServerForm(Request $request, Form $form) { goto c5d01; B5770: aa9cc: goto Df7d4; c048b: $this->formErrors = $this->getErrorMessages($form); goto Cc195; D2576: A5daf: goto d883d; Cc195: goto A5daf; goto B5770; Df7d4: try { goto bd3c5; c49b4: $encryptedPassword = Crypto::encrypt($password); goto b7613; e3171: $engine = $databaseConnection->getEngine(); goto C022b; F3dbc: $password = $databaseServerEntity->getPassword(); goto c49b4; D5cd0: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\x64\x6d\x69\156\x5f\x64\x61\164\x61\x62\x61\x73\x65\x5f\163\145\162\166\145\x72\163")); goto Ede93; Ce6bc: $databaseServerEntity = $form->getData(); goto F3dbc; Ad2a3: $databaseServerEntity->setVersion($version); goto F3958; af10f: $databaseServerEntity->setEngine($engine); goto Ad2a3; bd3c5: $user = $this->getUser(); goto B65b9; F3958: $databaseServerEntity->setIsDefault(false); goto a1a0d; b7613: $databaseServerEntity->setPassword($encryptedPassword); goto Ad2e4; a1a0d: $eventData = ["\150\157\x73\x74" => $databaseServerEntity->getHost(), "\165\163\x65\x72\x4e\141\155\145" => $databaseServerEntity->getUserName(), "\160\x6f\x72\x74" => $databaseServerEntity->getPort(), "\x65\x6e\147\151\x6e\145" => $engine, "\x76\x65\x72\x73\151\x6f\x6e" => $version]; goto f976e; Ad2e4: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto e3171; C8f87: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\x73", $this->translator->trans("\104\141\164\x61\x62\x61\163\x65\40\123\x65\162\166\145\162\x20\x68\x61\163\x20\142\x65\145\156\x20\141\x64\x64\145\x64\56")); goto D5cd0; f976e: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto a6efa; C022b: $version = $databaseConnection->getVersion(); goto af10f; B65b9: $session = $request->getSession(); goto Ce6bc; a6efa: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto C8f87; Ede93: return $response; goto Ad319; Ad319: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\101\156\40\x65\162\x72\x6f\162\40\150\x61\163\x20\x6f\x63\143\165\x72\162\x65\x64\54\40\x65\162\162\x6f\x72\40\x6d\145\x73\163\x61\147\x65\72\x20\45\145\x72\x72\x6f\162\115\x65\163\163\141\x67\x65\45", ["\45\x65\x72\162\157\162\x4d\145\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto D2576; c5d01: if (true === $form->isValid()) { goto aa9cc; } goto c048b; d883d: } public function editDatabaseServer(Request $request) : Response { goto d7a5d; a9e2c: if (!(true === $form->isSubmitted())) { goto A77cd; } goto D1b2c; c4a52: A77cd: goto Af67b; bccef: e0f76: goto f2b21; Edecd: if (!(false === is_null($response))) { goto D39d4; } goto Ed10a; Ef4eb: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Bbe13; f3169: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto a2549; } goto ae6e3; Bbe13: if (true === is_null($databaseServerEntity)) { goto e0f76; } goto c1048; c1048: $databaseServerEntity->setPassword(''); goto fde1d; Af67b: a2549: goto d363b; fde1d: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto f3169; Ed10a: return $response; goto f8245; f8245: D39d4: goto c4a52; e9a1e: return $response; goto Afb8c; Fc6cd: return $response; goto Ab7be; Afb8c: goto C4f55; goto bccef; D1b2c: $response = $this->handleDatabaseServerEditForm($request, $form); goto Edecd; Ab7be: C4f55: goto A5707; f2b21: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x61\144\155\151\x6e\x5f\x64\x61\x74\141\142\141\x73\145\x5f\x73\x65\162\166\x65\x72\x73")); goto Fc6cd; d363b: $response = $this->render("\x41\144\155\151\x6e\57\123\145\x74\x74\x69\156\x67\x73\x2f\x44\141\x74\141\x62\141\x73\x65\x2d\x53\x65\x72\x76\x65\x72\163\57\x65\x64\x69\x74\56\150\x74\155\x6c\x2e\x74\167\151\147", ["\x64\x61\x74\141\142\x61\163\145\123\145\x72\166\x65\x72" => $databaseServerEntity, "\146\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\105\x72\162\157\162\163" => $this->formErrors]); goto e9a1e; d7a5d: $id = (int) $request->get("\151\x64"); goto Ef4eb; ae6e3: $form->handleRequest($request); goto a9e2c; A5707: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto C8a91; d4999: return $form; goto Ed209; D51cf: $form->add("\x73\x75\x62\x6d\151\164", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\141\163\163" => "\x62\164\x6e\40\x62\x74\x6e\55\142\x6c\165\x65\40\142\164\156\55\154\x67"], "\x6c\141\x62\145\x6c" => "\123\x61\x76\145"]); goto d4999; C8a91: $form = $this->createForm("\101\160\x70\134\106\x6f\x72\155\x5c\x41\x64\x6d\x69\x6e\x44\141\x74\141\142\141\163\x65\123\x65\x72\x76\x65\162\105\x64\x69\x74\124\171\x70\145", $databaseServerEntity, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\x70\x5f\141\x64\x6d\151\156\137\144\x61\164\x61\142\141\163\x65\x5f\163\x65\162\166\x65\162\x5f\x65\144\151\x74", ["\151\144" => $databaseServerEntity->getId()]), "\155\145\x74\x68\x6f\144" => "\120\117\x53\x54", "\x61\x74\164\x72" => []]); goto D51cf; Ed209: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto Ba4ec; C8002: try { goto B777f; Df99d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\144\x6d\151\156\137\144\141\x74\141\142\x61\x73\x65\x5f\x73\145\x72\166\x65\x72\163")); goto c488f; e8387: $databaseServerEntity->setPassword($encryptedPassword); goto bc8b2; B777f: $user = $this->getUser(); goto a7e5a; a7e5a: $session = $request->getSession(); goto F68cb; c9d8a: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto bca46; a589f: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto c9d8a; F0ce8: $databaseServerEntity->setEngine($engine); goto Ae173; bc8b2: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto Dd2e7; Ae173: $databaseServerEntity->setVersion($version); goto a2cc9; F68cb: $databaseServerEntity = $form->getData(); goto Aaf19; c488f: return $response; goto fa765; c98ce: $eventData = ["\x68\x6f\163\x74" => $databaseServerEntity->getHost(), "\165\163\x65\162\x4e\141\155\145" => $databaseServerEntity->getUserName(), "\x70\157\x72\164" => $databaseServerEntity->getPort(), "\145\156\x67\151\156\x65" => $engine, "\x76\145\162\163\x69\x6f\156" => $version]; goto a589f; Aaf19: $password = $databaseServerEntity->getPassword(); goto d3a04; d3a04: $encryptedPassword = Crypto::encrypt($password); goto e8387; Dd2e7: $engine = $databaseConnection->getEngine(); goto C5020; bca46: $session->getFlashBag()->set("\163\165\x63\143\x65\163\163", $this->translator->trans("\104\x61\164\x61\x62\141\163\145\x20\x53\145\162\x76\x65\x72\x20\x68\141\163\40\x62\x65\x65\x6e\40\x75\x70\144\x61\x74\x65\x64\56")); goto Df99d; C5020: $version = $databaseConnection->getVersion(); goto F0ce8; a2cc9: $databaseServerEntity->setIsDefault(false); goto c98ce; fa765: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\x6e\x20\145\162\162\157\162\40\150\141\x73\40\x6f\143\143\x75\x72\162\x65\x64\54\x20\x65\x72\162\157\x72\40\x6d\x65\163\163\x61\x67\145\x3a\x20\x25\145\x72\x72\157\162\115\145\163\163\x61\147\x65\45", ["\x25\145\162\x72\x6f\x72\x4d\145\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto Ed175; f5981: Ecb25: goto C8002; e5702: goto C373b; goto f5981; f6d79: $this->formErrors = $this->getErrorMessages($form); goto e5702; Ba4ec: if (true === $form->isValid()) { goto Ecb25; } goto f6d79; Ed175: C373b: goto C0a9e; C0a9e: } public function setDatabaseServerActive(Request $request) : Response { goto ecefa; D6a51: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a994c; e7c9a: c12cd: goto c87fb; e8974: try { goto C6bf7; b6a4d: $databaseServerEntity->setIsActive(true); goto e8ecb; F6219: $eventData = ["\x6f\x6c\144\x48\x6f\163\164" => $activeDatabaseServerEntity->getHost(), "\x6f\154\144\125\x73\x65\x72\116\141\155\x65" => $activeDatabaseServerEntity->getUserName(), "\x6e\145\x77\x48\157\x73\164" => $databaseServerEntity->getHost(), "\156\x65\167\125\x73\145\162\116\x61\x6d\145" => $databaseServerEntity->getUserName()]; goto E96ea; B0f45: $session = $request->getSession(); goto b6a4d; E96ea: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto b9e80; e8ecb: $activeDatabaseServerEntity->setIsActive(false); goto dc97d; b9e80: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\163", $this->translator->trans("\x44\x61\x74\141\142\x61\163\x65\x20\123\145\x72\166\x65\162\40\150\x61\x73\40\142\x65\x65\156\x20\143\150\x61\156\x67\x65\144\56")); goto c5ab6; dc97d: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto F8f9c; C6bf7: $user = $this->getUser(); goto B0f45; F8f9c: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto F6219; c5ab6: } catch (\Exception $e) { $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\104\141\164\x61\142\x61\163\145\40\123\145\162\166\145\x72\x20\x63\x72\x65\144\x65\x6e\164\x69\141\x6c\163\40\141\x72\145\40\x6e\x6f\x74\x20\x76\x61\154\x69\144\56")); } goto e7c9a; a994c: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto c12cd; } goto e8974; fae0d: if (!(false === is_null($databaseServerEntity))) { goto e022c; } goto D6a51; c87fb: e022c: goto a3794; c69cc: return $response; goto E1b3c; e8259: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto fae0d; ecefa: $id = (int) $request->get("\x69\144"); goto e8259; a3794: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x61\x64\155\151\x6e\x5f\144\x61\x74\x61\142\141\x73\x65\x5f\x73\x65\x72\166\145\162\163")); goto c69cc; E1b3c: } public function deleteDatabaseServer(Request $request) : Response { goto Fd338; e78b3: return $response; goto Cf9da; Af36a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x61\144\155\151\x6e\137\x64\x61\x74\141\x62\x61\163\145\137\x73\x65\x72\166\145\x72\x73")); goto e78b3; D6327: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto b2627; } goto D0f82; c6b7e: b2627: goto Af36a; Fd338: $id = (int) $request->get("\x69\x64"); goto d89b4; d89b4: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto D6327; D0f82: try { goto F6d79; ce555: $session = $request->getSession(); goto fa800; F6d79: $user = $this->getUser(); goto ce555; fa800: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto b9bf1; f4932: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto D1abb; D1abb: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\163", $this->translator->trans("\x44\x61\164\x61\142\x61\163\x65\x20\123\x65\162\166\145\x72\40\x68\x61\163\40\x62\145\x65\x6e\x20\144\x65\154\145\164\145\144\x2e")); goto e29f7; b9bf1: $eventData = ["\150\x6f\163\x74" => $databaseServerEntity->getHost(), "\165\x73\145\162\x4e\141\x6d\x65" => $databaseServerEntity->getUserName()]; goto f4932; e29f7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\x41\156\x20\x65\162\162\157\x72\40\x68\x61\x73\x20\157\143\x63\x75\162\162\x65\144\x2c\40\x65\x72\x72\x6f\x72\40\155\x65\163\163\141\147\145\x3a\40\x25\145\x72\162\x6f\x72\115\145\x73\x73\x61\x67\x65\x25", ["\45\145\x72\x72\x6f\x72\115\x65\163\163\141\x67\x65\45" => $e->getMessage()])); } goto c6b7e; Cf9da: } }
