<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto B7c93; c2980: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto e28bf; e28bf: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto Fd8c6; Fd8c6: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto fd02a; B7c93: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto c2980; fd02a: parent::__construct($translator, $logger); goto c1b22; c1b22: } public function index(Request $request) : Response { goto F9065; cb3ba: $environment = $instance->getEnvironment(); goto f16cf; B92fd: $diskChart->setData($diskData); goto e6e68; af652: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Fc54f; eacf5: $cpuInformation = sprintf("\45\x73\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\x55")); goto F9fcc; ee9bd: F343a: goto B87ac; E13d1: $timeRange = $request->get("\x74\151\155\x65\x52\141\156\147\x65"); goto A7c1f; f987c: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto C30d6; De933: $diskChart = new Chart("\104\x69\163\x6b\40\125\163\x61\147\x65"); goto B92fd; a5f1b: $memoryChart->setData($memoryData); goto b0116; Cc78c: b9d6d: goto c7a8d; F51a8: $cpuChart->setData($cpuData); goto Bfa31; E9bb3: $totalMemory = ''; goto Ce6c8; eaf1b: $loadAverageData = [["\x6e\141\x6d\x65" => $this->translator->trans("\61\x20\115\151\156\165\x74\x65"), "\x63\x6f\154\x6f\162" => "\43\67\67\64\x61\x61\64", "\144\141\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\155\145" => $this->translator->trans("\x35\x20\115\151\156\x75\x74\145\x73"), "\x63\157\154\157\x72" => "\x23\145\x62\65\x38\66\x63", "\x64\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\x6d\145" => $this->translator->trans("\61\x35\x20\115\151\156\x75\164\x65\x73"), "\143\157\x6c\x6f\x72" => "\x23\x30\x30\x37\70\x64\x34", "\x64\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto eacf5; F9065: $user = $this->getUser(); goto Ddde1; Ca423: F6302: goto Cc78c; c7a8d: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto f3d9c; Fc54f: if ($homeDiskSize != $rootDiskSize) { goto Bce62; } goto a3a0c; d74e0: $loadAverageChart = new LoadAverageChart("\x4c\157\141\x64\x20\101\x76\x65\162\141\147\145"); goto B0cd1; e6e68: $diskChart->setCategories($categories); goto d1d13; fe64d: $diskData = [["\156\141\155\x65" => sprintf("\57\x20\50\45\x73\51", $rootDiskSize), "\143\157\x6c\157\x72" => "\43\67\63\142\146\64\x63", "\144\141\164\x61" => $diskData["\162\157\x6f\164"] ?: []], ["\x6e\141\155\145" => sprintf("\x2f\x68\x6f\x6d\x65\40\x28\x25\x73\x29", $homeDiskSize), "\143\157\154\x6f\162" => "\x23\x66\x33\x62\146\60\60", "\144\141\x74\141" => $diskData["\150\x6f\x6d\x65"] ?: []]]; goto ee9bd; F9fcc: $cpuChart = new Chart("\103\120\x55\x20\125\x73\x61\147\145"); goto eda69; b6ac6: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto Aecc0; Ea26e: $loadAverageChart->setData($loadAverageData); goto E892e; B23f4: $memoryChart->setInformation($totalMemory); goto a5f1b; C656e: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\107\x42", 0); goto Fea92; f16cf: $cloud = $environment->getCloudProvider(); goto E13d1; Ddde1: $instance = $request->attributes->get("\151\156\163\x74\141\156\x63\x65"); goto cb3ba; d8938: $memoryChart = new Chart("\x4d\x65\x6d\157\162\171\x20\125\163\141\147\x65"); goto B23f4; A6f42: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto af652; Bfa31: $cpuChart->setCategories($categories); goto d8938; eda69: $cpuChart->setInformation($cpuInformation); goto F51a8; d617e: goto F343a; goto e5d84; aa4a3: try { goto De26b; f10b6: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto Ab975; Ab975: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\102", 0); goto B755f; C4c9e: $memoryInformationCommand = new MemoryInformationCommand(); goto C5a7b; De26b: $commandExecutor = new CommandExecutor(); goto C4c9e; C1a0c: $commandExecutor->execute($processorCoresCommand); goto D06d6; B755f: $processorCoresCommand = new ProcessorCoresCommand(); goto C1a0c; D06d6: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto D202b; C5a7b: $commandExecutor->execute($memoryInformationCommand); goto f10b6; D202b: } catch (\Exception $e) { $this->logger->exception($e); } goto dec20; d1d13: $loadAverageChartInformation = sprintf("\x25\163\x20\45\x73", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto d74e0; Aecc0: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto E1e7f; d63a3: goto b9d6d; goto C0a5a; f93e4: $startTime = (clone $endTime)->modify("\x2d\x33\60\x20\x6d\x69\156\165\x74\x65\163"); goto d63a3; E1e7f: $minuteInterval = 5; goto f93e4; C0a5a: case self::TIME_RANGE_LAST_HOUR: goto d47ac; d47ac: $minuteInterval = 10; goto a023e; Fd1aa: goto b9d6d; goto B2753; a023e: $startTime = (clone $endTime)->modify("\x2d\x31\x20\150\157\x75\162"); goto Fd1aa; B2753: case self::TIME_RANGE_LAST_THREE_HOURS: goto Fc741; ae007: goto b9d6d; goto E28a1; Baab5: $startTime = (clone $dateTime)->modify("\55\63\40\150\x6f\x75\x72\x73"); goto ae007; Fc741: $minuteInterval = 30; goto Baab5; E28a1: case self::TIME_RANGE_LAST_SIX_HOURS: goto ec356; c2ac8: goto b9d6d; goto E145b; ec356: $minuteInterval = 60; goto bc604; bc604: $startTime = (clone $dateTime)->modify("\x2d\66\40\x68\157\165\162\x73"); goto c2ac8; E145b: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto e1d3e; e1d3e: $minuteInterval = 120; goto F1116; d3740: goto b9d6d; goto B766c; F1116: $startTime = (clone $dateTime)->modify("\x2d\61\x32\x20\x68\x6f\x75\x72\x73"); goto d3740; B766c: } goto Ca423; e5d84: Bce62: goto fe64d; dec20: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto f987c; b0116: $memoryChart->setCategories($categories); goto De933; f3d9c: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto A6f42; B87ac: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto eaf1b; Fea92: $dateTime = new \DateTime(); goto b6ac6; Ce6c8: $numberOfProcessorCores = 0; goto aa4a3; Affe9: return $response; goto b2f2e; E892e: $loadAverageChart->setCategories($categories); goto f1bd0; C30d6: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto C656e; B0cd1: $loadAverageChart->setInformation($loadAverageChartInformation); goto Ea26e; a3a0c: $diskData = [["\156\x61\x6d\x65" => sprintf("\57\40\x28\x25\163\x29", $rootDiskSize), "\x63\x6f\x6c\157\x72" => "\x23\x37\63\142\x66\64\143", "\x64\141\x74\x61" => $diskData["\x72\x6f\x6f\164"] ?: []]]; goto d617e; f1bd0: $response = $this->render("\x46\x72\157\x6e\x74\145\156\x64\57\x44\141\x73\150\x62\157\x61\x72\x64\x2f\x69\156\x64\145\170\x2e\150\164\x6d\x6c\x2e\x74\x77\151\147", ["\143\154\x6f\x75\x64" => $cloud, "\151\x6e\x73\x74\141\156\143\x65" => $instance, "\x75\x73\x65\x72" => $user, "\164\151\155\x65\x52\x61\156\x67\x65" => $timeRange, "\x63\160\x75\x43\150\x61\162\164" => $cpuChart, "\x6d\x65\155\x6f\162\x79\x43\x68\141\x72\164" => $memoryChart, "\144\x69\x73\x6b\x43\x68\141\162\x74" => $diskChart, "\x6c\157\x61\144\101\166\145\x72\x61\147\x65\x43\150\x61\162\x74" => $loadAverageChart]); goto Affe9; A7c1f: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto E9bb3; b2f2e: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Cf7f2; c4a3d: $endDataDate = clone $startTime; goto b1637; edfb3: E60cf: goto Dd865; E5385: $categoryDateTime = clone $endDataDate; goto D5bb1; a2ffc: goto D100d; goto edfb3; ff346: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\x64\x20\155\151\x6e\x75\x74\145\x73", $minuteInterval)); goto c4a3d; b1637: D100d: goto c095f; D5bb1: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto a6580; d2085: $endDataDate->modify(sprintf("\53\x25\x30\x35\144\40\x6d\151\x6e\x75\x74\x65\x73", $minuteInterval)); goto a2ffc; a6580: $categories[] = $categoryDateTime->format("\x48\72\151"); goto C9b5a; c095f: if (!($endDataDate <= $endTime)) { goto E60cf; } goto E5385; Cf7f2: $categories = []; goto ff346; C9b5a: $startDataDate->modify(sprintf("\x2b\x25\x30\65\x64\40\x6d\151\156\x75\164\145\x73", $minuteInterval)); goto d2085; Dd865: return $categories; goto C7f81; C7f81: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto c0ec9; c6612: C938e: goto Bce97; adb78: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto d11f5; F2508: $endDataDate = clone $startTime; goto c6612; b9d1d: $endDataDate->modify(sprintf("\x2b\45\x30\65\x64\40\155\x69\156\x75\x74\145\x73", $minuteInterval)); goto ad464; B6465: E25d2: goto e0fa8; e0fa8: return $cpuData; goto e8bd4; d11f5: $cpuData[] = $averageCpuValue; goto c3bfc; A5a0a: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\x35\x64\40\155\151\x6e\x75\164\145\163", $minuteInterval)); goto F2508; ad464: goto C938e; goto B6465; c0ec9: $cpuData = []; goto A5a0a; Bce97: if (!($endDataDate <= $endTime)) { goto E25d2; } goto adb78; c3bfc: $startDataDate->modify(sprintf("\x2b\x25\x30\65\144\40\x6d\x69\156\165\164\x65\163", $minuteInterval)); goto b9d1d; e8bd4: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto A68c0; B2a50: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto a1a5a; B23ce: goto D193b; goto a9a04; Fd275: $endDataDate->modify(sprintf("\53\x25\x30\65\144\40\x6d\x69\x6e\165\x74\145\x73", $minuteInterval)); goto B23ce; d851a: D193b: goto F03df; F03df: if (!($endDataDate <= $endTime)) { goto B1a0b; } goto B2a50; A006e: $endDataDate = clone $startTime; goto d851a; F5fb8: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\x35\144\40\x6d\x69\x6e\165\x74\145\163", $minuteInterval)); goto A006e; a9a04: B1a0b: goto e90aa; b3413: $startDataDate->modify(sprintf("\53\x25\x30\x35\x64\x20\x6d\x69\156\x75\164\145\x73", $minuteInterval)); goto Fd275; A68c0: $memoryData = []; goto F5fb8; a1a5a: $memoryData[] = (int) $averageMemoryValue; goto b3413; e90aa: return $memoryData; goto Ca6fb; Ca6fb: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto c927e; E4715: foreach (["\57", "\57\150\157\155\x65"] as $disk) { goto b3f3d; F5419: Ca64b: goto bf71b; eba5e: goto Ca64b; goto C1590; F3d16: $diskData["\150\157\x6d\145"][] = (int) $averageDiskSizeValue; goto eba5e; b3f3d: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto Dfc25; Dfc25: if ("\x2f" == $disk) { goto a5c8f; } goto F3d16; bf71b: C5c48: goto ee41f; Ede13: $diskData["\x72\157\157\164"][] = (int) $averageDiskSizeValue; goto F5419; C1590: a5c8f: goto Ede13; ee41f: } goto Cace1; bee84: goto B0b0e; goto Aa2fc; cb258: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\x64\x20\155\x69\156\x75\164\x65\163", $minuteInterval)); goto f7cbd; a1ca2: $endDataDate->modify(sprintf("\x2b\x25\x30\65\144\x20\x6d\x69\156\165\164\145\163", $minuteInterval)); goto bee84; f7cbd: $endDataDate = clone $startTime; goto Abd21; c927e: $diskData = []; goto cb258; Cace1: C9b34: goto d2510; c37a0: if (!($endDataDate <= $endTime)) { goto F688c; } goto E4715; C90ff: return $diskData; goto d66f3; Aa2fc: F688c: goto C90ff; d2510: $startDataDate->modify(sprintf("\53\45\60\x35\144\40\x6d\151\x6e\165\x74\x65\163", $minuteInterval)); goto a1ca2; Abd21: B0b0e: goto c37a0; d66f3: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Ebf14; ca145: goto B64c3; goto C2a0e; e5fce: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto C1ce6; F6b00: $loadAverageData[$period][] = round($loadAverageValue, 2); goto Ead20; C1ce6: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto F6b00; Ead20: C2941: goto e3f7f; e3f7f: } goto f5ec1; f5ec1: Cbc22: goto ad3eb; A0508: B64c3: goto Cef40; Cef40: if (!($endDataDate <= $endTime)) { goto F5924; } goto e5fce; F9766: $endDataDate = clone $startTime; goto A0508; C2a0e: F5924: goto d0326; Cfe6d: $endDataDate->modify(sprintf("\x2b\x25\60\x35\x64\40\155\x69\x6e\165\164\x65\x73", $minuteInterval)); goto ca145; ad3eb: $startDataDate->modify(sprintf("\x2b\45\x30\x35\144\x20\155\x69\x6e\165\164\145\163", $minuteInterval)); goto Cfe6d; c9d43: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\x64\x20\x6d\x69\156\x75\x74\145\x73", $minuteInterval)); goto F9766; Ebf14: $loadAverageData = []; goto c9d43; d0326: return $loadAverageData; goto f0d57; f0d57: } }
