<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto Ee7b3; F4479: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto d38fb; bc60d: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F4479; Fdfaa: $this->cronJobEntityManager = $cronJobEntityManager; goto caa69; Da45f: $this->domainNameParser = $domainNameParser; goto ca3df; a547d: $this->blockedBotEntityManager = $blockedBotEntityManager; goto B98e7; Bf6f0: $this->blockedIpEntityManager = $blockedIpEntityManager; goto a547d; B98e7: $this->certificateEntityManager = $certificateEntityManager; goto Fdfaa; caa69: $this->databaseEntityManager = $databaseEntityManager; goto E009d; Cd0eb: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Bf6f0; d38fb: $this->ftpUserEntityManager = $ftpUserEntityManager; goto C63b8; Ee7b3: $this->configManager = $configManager; goto fff8e; fff8e: $this->siteEntityManager = $siteEntityManager; goto Cd0eb; ca3df: parent::__construct($translator, $logger); goto baf53; C63b8: $this->sshUserEntityManager = $sshUserEntityManager; goto Da45f; E009d: $this->databaseUserEntityManager = $databaseUserEntityManager; goto bc60d; baf53: } public function index(Request $request) : Response { goto c12b5; B90b4: $response = $this->render("\106\162\157\x6e\164\145\156\x64\x2f\123\x69\164\x65\57\151\156\x64\145\170\56\x68\164\155\x6c\x2e\x74\167\x69\x67", ["\165\x73\145\162" => $user, "\x73\x69\x74\x65\x73" => $sites]); goto F7ba0; b141a: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\x6d\x61\x69\x6e\x4e\141\x6d\145" => "\141\x73\x63"]); goto B90b4; c12b5: $user = $this->getUser(); goto b141a; F7ba0: return $response; goto Eb787; Eb787: } public function fileManager(Request $request) : Response { goto B38d0; Dd4aa: $data = ["\x75\x73\x65\x72" => $siteUser, "\154\x6f\x63\x61\154\145" => $locale]; goto c74ca; Cc79e: $session = $request->getSession(); goto B62ba; e88d9: goto Ddb4c; goto F381d; f0070: $cookieExpirationDate = new \DateTime("\x6e\157\x77"); goto c97c2; c97c2: $cookieExpirationDate->modify(sprintf("\53\45\163\40\150\157\165\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto Dd4aa; B62ba: $locale = $request->getLocale(); goto f0070; B38d0: $site = $this->getSite($request); goto da68e; A44ae: return $response; goto A79fc; B076e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\163")); goto e88d9; De85e: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\x64\x2f\x53\151\x74\x65\57\146\x69\x6c\x65\55\x6d\141\x6e\x61\147\x65\162\56\150\164\x6d\x6c\56\x74\x77\x69\x67", ["\163\151\x74\145" => $site, "\x66\151\154\145\x4d\141\156\141\x67\x65\162\125\x72\x6c" => $fileManagerUrl, "\x66\157\x72\155\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto c99ac; da68e: if (false === is_null($site)) { goto Db0a9; } goto B076e; F381d: Db0a9: goto F50b7; cb1d7: $fileManagerUrl = sprintf("\x25\x73\57\x66\151\x6c\x65\x2d\x6d\x61\x6e\141\147\145\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto De85e; F50b7: $siteUser = $site->getUser(); goto Cc79e; c99ac: Ddb4c: goto A44ae; c74ca: $session->set("\x63\x6c\x70\x2d\146\x69\154\x65\55\x6d\x61\156\141\147\x65\162", $data); goto cb1d7; A79fc: } public function view(Request $request) : Response { goto a4300; B192e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\x5f\x73\x65\x74\164\151\156\147\x73", ["\x64\x6f\155\141\151\156\116\141\x6d\x65" => $domainName])); goto F3f2b; F3f2b: return $response; goto Dfe8b; a4300: $domainName = $request->get("\144\x6f\x6d\141\151\156\116\141\x6d\145"); goto B192e; Dfe8b: } public function logs(Request $request) : Response { goto A1677; F7a19: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x73")); goto aed64; cf8f4: return $response; goto a35e2; B676b: if (false === is_null($site)) { goto bf1c6; } goto F7a19; aed64: goto d31d4; goto fbf39; f5e28: $response = $this->render("\x46\x72\157\156\164\x65\156\x64\57\x53\151\x74\x65\57\154\157\x67\163\56\150\x74\x6d\x6c\x2e\x74\x77\151\147", ["\163\151\164\145" => $site, "\x66\x6f\x72\x6d\x45\162\x72\x6f\162\163" => $this->formErrors, "\146\x6f\162\x6d" => $form->createView()]); goto Dc10c; Dc10c: d31d4: goto cf8f4; b8ddd: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A6dff; fbf39: bf1c6: goto b8ddd; A6dff: $form = $this->createLogsForm($siteEntity); goto f5e28; A1677: $site = $this->getSite($request); goto B676b; a35e2: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto E9287; E9287: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\155\134\x53\151\164\x65\114\157\147\163\124\x79\160\145", [], ["\141\143\164\x69\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\x5f\154\157\147\x73", ["\x64\157\x6d\141\x69\156\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\157\144" => "\x50\x4f\123\124", "\x61\164\164\x72" => []]); goto D2ed0; D4f45: return $form; goto B3224; D2ed0: $form->add("\x75\x70\144\141\x74\x65", ButtonType::class, ["\x61\x74\164\162" => ["\143\x6c\x61\163\x73" => "\x62\x74\156\x20\142\x74\156\55\x6c\147\40\142\164\156\55\x62\154\165\145\40\142\164\x6e\x2d\165\160\x64\141\x74\145"], "\154\141\x62\x65\x6c" => "\x55\x70\x64\141\x74\145"]); goto D4f45; B3224: } public function logFileContent(Request $request, Twig $twig) : Response { goto b3d63; f56d7: if (!(false === empty($service) && false === empty($logfileName))) { goto e69a6; } goto dcfa9; Ffe91: $site = $this->getSite($request); goto a4996; D5901: $logfileName = trim($request->get("\x6c\x6f\147\x46\x69\154\x65")); goto fb11e; c3917: e69a6: goto E773c; fb11e: $numberOfLines = (int) $request->get("\156\165\155\142\x65\162\117\146\114\151\x6e\x65\163"); goto f56d7; a4996: if (!(false === is_null($site))) { goto E0320; } goto aae13; d4706: $response = $this->json($data); goto A0cf7; dcfa9: try { goto A9544; c0fe2: goto cefd7; goto a6fd7; ccfe7: $logMessages = $nginxErrorLogParser->parse(); goto fdaf7; A0101: cefd7: goto C3043; ed590: if ("\x61\143\x63\x65\x73\163\x2e\154\157\x67" == substr($logfileName, 0, 10)) { goto e6181; } goto Fc200; F9838: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto C153d; A6496: $data["\x6c\x6f\147\x4d\145\163\163\x61\x67\145\163\x48\164\x6d\154"] = $logMessagesHtml; goto F76a2; E8876: A244b: goto A6496; B89d8: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto c240b; Fc200: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto ccfe7; F779f: $user = $this->getUser(); goto a342b; A9544: $service = basename($service); goto dc041; fdaf7: $logMessagesHtml = $twig->render("\x46\x72\157\156\164\x65\x6e\x64\57\x53\151\164\145\57\114\157\x67\x73\x2f\x6e\x67\151\156\170\55\x65\162\x72\x6f\162\55\154\x6f\x67\55\155\145\163\163\141\147\145\x73\x2e\150\164\155\154\56\x74\167\151\x67", ["\x6c\x6f\x67\115\145\x73\x73\x61\x67\145\163" => $logMessages]); goto c0fe2; E951c: $userTimezone = $user->getTimezone(); goto ed590; A6a36: if (!("\x70\x68\x70" == $service)) { goto A244b; } goto B89d8; b29f1: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto F9838; c5d68: $logfileReader = new LogfileReader($logfile); goto Fe91a; c240b: $logMessages = $phpFpmErrorLogParser->parse(); goto dbdf3; Fe91a: $logLines = $logfileReader->getLines($numberOfLines); goto a391a; dbdf3: $logMessagesHtml = $twig->render("\106\162\x6f\x6e\164\145\156\144\57\123\151\x74\145\x2f\114\x6f\147\163\x2f\160\x68\x70\x2d\x66\160\155\55\145\x72\x72\157\x72\x2d\154\157\x67\55\x6d\145\163\x73\x61\147\x65\x73\x2e\150\x74\x6d\154\56\164\x77\151\147", ["\x6c\157\147\115\145\163\163\141\x67\145\x73" => $logMessages]); goto E8876; C3043: ac000: goto A6a36; a391a: $logMessagesHtml = ''; goto F779f; dc041: $logfile = sprintf("\x2f\x68\157\155\145\x2f\x25\x73\x2f\154\157\147\x73\x2f\45\x73\x2f\x25\163", $site->getUser(), $service, $logfileName); goto c5d68; B2574: $logMessagesHtml = $twig->render("\x46\x72\x6f\x6e\x74\x65\156\144\x2f\123\151\x74\145\57\114\157\x67\163\57\156\x67\151\x6e\170\x2d\141\x63\x63\145\x73\163\55\x6c\x6f\147\x2d\x6d\145\x73\163\141\x67\145\163\56\x68\x74\x6d\154\56\164\x77\x69\x67", ["\154\x6f\147\x4d\x65\x73\x73\x61\x67\x65\163" => $logMessages]); goto A0101; C153d: $logMessages = $nginxAccessLogParser->parse(); goto B2574; a342b: if (!("\x6e\147\151\156\170" == $service)) { goto ac000; } goto E951c; a6fd7: e6181: goto b29f1; F76a2: } catch (\Exception $e) { $this->logger->exception($e); } goto c3917; aae13: $service = trim($request->get("\163\x65\x72\x76\151\143\x65")); goto D5901; A0cf7: return $response; goto d44ee; b3d63: $data = []; goto Ffe91; E773c: E0320: goto d4706; d44ee: } public function loadLogfilesForService(Request $request) : Response { goto f3ad2; f3ad2: $data = []; goto Ba46f; Cecbf: b2e31: goto b0c29; c10a1: if (!(false === is_null($site))) { goto b2e31; } goto a2b49; f3c43: if (!(false === empty($service))) { goto C9a8f; } goto fc388; fc388: try { goto db3fe; a49f3: if (!(false === empty($logfiles))) { goto ab107; } goto efddc; A4d62: $logfiles = $logsFinder->getLogfiles(); goto a49f3; Adb2d: $logfilesDirectory = sprintf("\57\x68\x6f\155\145\57\45\x73\x2f\154\157\x67\163\57\x25\x73\x2f", $site->getUser(), $service); goto C2bfa; Dbedc: ab107: goto D2ec0; db3fe: $service = basename($service); goto Adb2d; efddc: $data["\154\157\147\146\151\x6c\145\x73"] = $logfiles; goto Dbedc; C2bfa: $logsFinder = new LogsFinder($logfilesDirectory); goto A4d62; D2ec0: } catch (\Exception $e) { $this->logger->exception($e); } goto ef50c; Ba46f: $site = $this->getSite($request); goto c10a1; ef50c: C9a8f: goto Cecbf; C0453: return $response; goto a1168; a2b49: $service = trim($request->get("\x73\145\162\x76\x69\143\145")); goto f3c43; b0c29: $response = $this->json($data); goto C0453; a1168: } public function cronJobs(Request $request) : Response { goto Fc0c1; Dc04d: d045d: goto D38a9; e9a85: if (false === is_null($site)) { goto d045d; } goto eb11a; eb11a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x73")); goto Dce33; C3bcf: caee4: goto a813a; a813a: return $response; goto Ee264; Dce33: goto caee4; goto Dc04d; D38a9: $response = $this->render("\x46\x72\x6f\156\164\x65\156\144\57\x53\x69\164\x65\57\143\162\x6f\x6e\x2d\152\x6f\x62\x73\56\150\164\155\154\56\164\167\x69\x67", ["\x73\x69\164\145" => $site, "\x66\157\162\155\x45\x72\162\157\x72\x73" => $this->formErrors]); goto C3bcf; Fc0c1: $site = $this->getSite($request); goto e9a85; Ee264: } public function newCronJob(Request $request) : Response { goto F3e74; F12e4: $response = $this->render("\106\x72\157\156\164\x65\x6e\x64\x2f\123\151\x74\x65\x2f\156\x65\x77\x2d\x63\x72\x6f\156\55\152\x6f\x62\56\x68\164\x6d\x6c\56\164\x77\151\147", ["\x73\151\x74\x65" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\x6f\x72\x6d\x45\162\162\157\x72\163" => $this->formErrors]); goto Ba4ba; cabfe: if (false === is_null($site)) { goto E5832; } goto cde0b; Cf384: if (!(false === is_null($response))) { goto c5c4e; } goto eadf6; Fffff: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ae3e9; abe7f: c5c4e: goto F8ea4; Ba4ba: fceb6: goto Eb7ec; F1f0a: e3e33: goto F12e4; F8ea4: E91bc: goto F1f0a; ae3e9: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto B98b2; bca68: if (!(true === $form->isSubmitted())) { goto E91bc; } goto b5ad5; F8daf: $form->handleRequest($request); goto bca68; F3e74: $site = $this->getSite($request); goto cabfe; af302: goto fceb6; goto d1db4; B98b2: $cronJobEntity->setSite($siteEntity); goto f96dd; cde0b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\163")); goto af302; eadf6: return $response; goto abe7f; B293d: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto e3e33; } goto F8daf; b5ad5: $response = $this->handleCronJobForm($request, $form, $site); goto Cf384; Eb7ec: return $response; goto fabd2; f96dd: $form = $this->createCronJobForm($cronJobEntity); goto B293d; d1db4: E5832: goto Fffff; fabd2: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto b8ff0; dd4e0: return $form; goto Bb9f8; b8ff0: $siteEntity = $cronJobEntity->getSite(); goto E822f; E822f: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\155\134\123\151\x74\145\103\162\x6f\x6e\x4a\x6f\142\x54\171\160\x65", $cronJobEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x5f\x63\x72\157\156\x5f\152\x6f\142\137\x6e\145\167", ["\144\157\155\141\151\156\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\117\x53\124", "\141\164\x74\162" => []]); goto C1c92; C1c92: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\x73" => "\142\164\156\40\x62\x74\156\x2d\x62\154\x75\x65\x20\142\164\156\55\154\x67"], "\x6c\x61\142\x65\x6c" => "\101\x64\144\40\103\x72\x6f\156\40\x4a\157\x62"]); goto dd4e0; Bb9f8: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto A7315; a2e60: try { goto Ce378; bd33a: $siteUpdater = $this->getSiteUpdater($site); goto D10c2; Ce378: $session = $request->getSession(); goto e9203; ff560: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x73")); goto bcf6f; Ef7f7: $site->setCronJobs($siteEntity->getCronJobs()); goto d2d81; fa9d0: Aa45a: goto Ab477; d2d81: $this->siteEntityManager->updateEntity($siteEntity); goto bd33a; A27bb: $siteEntity = $this->getSiteEntity($domainName); goto Df61f; Eb3a5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\x5f\143\x72\x6f\156\x5f\152\157\142\163", ["\x64\x6f\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto Bfd7a; Bfd7a: edd5e: goto F5a24; d0e55: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto D7499; Df5f3: $siteEntity->addCronJob($cronJobEntity); goto Ef7f7; F5a24: return $response; goto Cd00d; e9203: $domainName = $site->getDomainName(); goto A27bb; e8d46: $cronJobEntity = $form->getData(); goto Df5f3; bcf6f: goto edd5e; goto fa9d0; Df61f: if (false === is_null($siteEntity)) { goto Aa45a; } goto ff560; Ab477: $user = $this->getUser(); goto e8d46; D10c2: $siteUpdater->updateUserCrontab(); goto e4af8; D7499: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\163", $this->translator->trans("\x43\162\x6f\x6e\40\x4a\x6f\142\40\150\x61\x73\40\x62\x65\145\156\40\141\144\x64\145\x64\x2e")); goto Eb3a5; e4af8: $eventData = ["\x73\151\164\x65" => $domainName, "\143\162\x6f\156\164\141\142\105\x78\x70\162\x65\163\163\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto d0e55; Cd00d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\162\x6f\162\x20\150\x61\x73\40\157\x63\143\165\x72\x72\x65\144\x2c\x20\x65\x72\x72\157\162\x20\155\x65\163\x73\141\147\x65\x3a\x20\45\x65\x72\x72\x6f\162\x4d\x65\x73\x73\141\x67\145\45", ["\45\145\162\162\157\x72\x4d\145\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto b7ac8; A4151: D691e: goto a2e60; A7315: if (true === $form->isValid()) { goto D691e; } goto f062a; b7ac8: ce53c: goto b6a65; f062a: $this->formErrors = $this->getErrorMessages($form); goto e59dc; e59dc: goto ce53c; goto A4151; b6a65: } public function deleteCronJob(Request $request) : Response { goto a059a; a059a: $site = $this->getSite($request); goto eeeba; a851f: try { goto A8bb7; f7bf1: $session->getFlashBag()->set("\163\165\143\x63\145\163\163", $this->translator->trans("\103\162\157\x6e\x20\112\157\x62\40\x68\x61\163\40\x62\145\145\x6e\x20\144\x65\154\x65\164\145\x64\x2e")); goto d0a87; bdc81: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto f788e; d8168: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto A1744; } goto e0e3a; D8d78: A1744: goto d3e34; b5aa8: return $response; goto D8d78; B8fe4: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto f7bf1; C39b0: $siteEntity->removeCronJob($cronJobEntity); goto f3986; Cc2e4: $id = (int) $request->get("\151\x64"); goto Be710; Bec62: $siteUpdater = $this->getSiteUpdater($site); goto Ad8bf; e67e1: $cronJobSiteEntity = $cronJobEntity->getSite(); goto d8168; f3986: $site->setCronJobs($siteEntity->getCronJobs()); goto a9ed8; Be710: $domainName = $site->getDomainName(); goto Ea173; E45bc: $evenData = ["\163\x69\x74\x65" => $domainName, "\x63\157\x6d\x6d\141\156\144" => $cronJobEntity->getCommand()]; goto B8fe4; Ea173: $siteEntity = $this->getSiteEntity($domainName); goto bdc81; e0e3a: $user = $this->getUser(); goto C39b0; A8bb7: $session = $request->getSession(); goto Cc2e4; d0a87: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x5f\143\162\x6f\156\x5f\x6a\157\142\x73", ["\144\157\x6d\141\x69\156\116\x61\155\145" => $site->getDomainName()])); goto b5aa8; d3e34: aa46b: goto ee77f; a9ed8: $this->siteEntityManager->updateEntity($siteEntity); goto Bec62; f788e: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto aa46b; } goto e67e1; Ad8bf: $siteUpdater->updateUserCrontab(); goto E45bc; ee77f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\145\x72\x72\157\162\40\x68\x61\x73\x20\157\x63\143\165\162\162\145\x64\54\x20\145\162\162\x6f\162\x20\x6d\145\x73\163\x61\x67\145\x3a\x20\x25\x65\162\x72\157\162\x4d\x65\x73\163\x61\x67\x65\x25", ["\45\x65\162\162\x6f\x72\115\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto C0bee; eeeba: $this->checkCsrfToken($request, "\x63\162\157\156\x6a\x6f\x62\x2d\x64\145\154\x65\164\x65"); goto B099b; Fd62d: return $response; goto De43d; B099b: if (!(false === is_null($site))) { goto Ca343; } goto a851f; a056e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\145\x73")); goto Fd62d; C0bee: Ca343: goto a056e; De43d: } public function editCronJob(Request $request) : Response { goto c3816; E4445: $form->handleRequest($request); goto a9974; B826d: $form = $this->createCronJobEditForm($cronJobEntity); goto B7374; b6d5a: $site = $this->getSite($request); goto ec02b; ec02b: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto E440e; B1c62: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\163")); goto fef2e; Cf6ce: return $response; goto b62be; be777: c2c3d: goto c4b44; c0926: f4af4: goto Cf6ce; d3a84: C5e5b: goto B826d; ab40a: $response = $this->handleCronJobEditForm($request, $form, $site); goto d8ab6; e3859: b3db9: goto E19d8; E3a94: return $response; goto e3859; c3816: $id = (int) $request->get("\151\144"); goto b6d5a; a9974: if (!(true === $form->isSubmitted())) { goto A3b2e; } goto ab40a; E19d8: A3b2e: goto be777; c4b44: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\x64\x2f\123\151\x74\x65\x2f\145\x64\x69\164\55\143\x72\157\156\55\152\157\142\x2e\x68\164\x6d\154\56\164\x77\151\147", ["\x73\151\164\x65" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\157\162\155\105\x72\x72\x6f\162\x73" => $this->formErrors]); goto c0926; d8ab6: if (!(false === is_null($response))) { goto b3db9; } goto E3a94; B7374: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto c2c3d; } goto E4445; E440e: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C5e5b; } goto B1c62; fef2e: goto f4af4; goto d3a84; b62be: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto b161c; c21e0: $form = $this->createForm("\101\x70\x70\x5c\106\157\x72\x6d\x5c\123\151\x74\145\103\162\x6f\x6e\112\x6f\x62\x45\144\x69\164\124\x79\160\x65", $cronJobEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\137\163\x69\x74\145\x5f\x63\x72\157\156\137\152\157\142\x5f\145\144\x69\164", ["\x64\157\x6d\141\151\156\116\x61\155\145" => $siteEntity->getDomainName(), "\x69\x64" => $cronJobEntity->getId()]), "\155\x65\x74\150\x6f\144" => "\120\x4f\123\124", "\x61\x74\x74\162" => []]); goto Ef701; Ba886: return $form; goto F551e; Ef701: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\x20\142\164\x6e\x2d\142\154\165\145\x20\x62\164\156\55\x6c\147"], "\154\x61\142\x65\x6c" => "\x53\141\166\x65"]); goto Ba886; b161c: $siteEntity = $cronJobEntity->getSite(); goto c21e0; F551e: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto f1d98; dfae3: try { goto Ba10b; Ca0a8: return $response; goto d731f; b4d4d: $cronJobEntity = $form->getData(); goto C8bcf; f0aeb: $site->setCronJobs($siteEntity->getCronJobs()); goto a6d18; Ebcc0: $siteUpdater->updateUserCrontab(); goto B3308; becf8: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto f2322; f8637: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\x5f\x63\162\157\x6e\x5f\x6a\157\142\x73", ["\144\157\155\x61\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto fc44f; C8bcf: $siteEntity->addCronJob($cronJobEntity); goto f0aeb; Ba10b: $session = $request->getSession(); goto C3ada; c0ebd: goto c4ba2; goto Eeaff; Eadf2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\x65\163")); goto c0ebd; c2960: $user = $this->getUser(); goto b4d4d; B3308: $eventData = ["\x73\151\164\x65" => $domainName, "\x63\162\157\156\164\x61\x62\x45\170\160\x72\x65\x73\x73\x69\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto becf8; fb2ee: if (false === is_null($siteEntity)) { goto Dacfd; } goto Eadf2; C3ada: $domainName = $site->getDomainName(); goto Ad7aa; Eeaff: Dacfd: goto c2960; Bdb20: $siteUpdater = $this->getSiteUpdater($site); goto Ebcc0; f2322: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\163", $this->translator->trans("\x43\x72\157\156\x20\112\157\142\40\x68\141\163\40\142\145\x65\156\40\163\141\166\x65\x64\x2e")); goto f8637; Ad7aa: $siteEntity = $this->getSiteEntity($domainName); goto fb2ee; fc44f: c4ba2: goto Ca0a8; a6d18: $this->siteEntityManager->updateEntity($siteEntity); goto Bdb20; d731f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\162\x72\157\162\x20\x68\x61\x73\x20\x6f\x63\143\x75\x72\162\x65\x64\54\40\x65\162\162\157\162\x20\x6d\x65\x73\163\141\x67\x65\72\x20\x25\x65\x72\162\x6f\162\x4d\145\163\163\x61\147\145\x25", ["\45\x65\162\162\157\162\115\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto c1cdd; Aed7c: $this->formErrors = $this->getErrorMessages($form); goto a1ca1; f1d98: if (true === $form->isValid()) { goto c85f3; } goto Aed7c; Fba1a: c85f3: goto dfae3; c1cdd: B110f: goto da3b6; a1ca1: goto B110f; goto Fba1a; da3b6: } public function users(Request $request) : Response { goto Ac0e2; fc9bb: return $response; goto Bf942; b0459: goto fe99e; goto cbf2c; cd40a: if (false === is_null($site)) { goto fa295; } goto c714e; Ac0e2: $site = $this->getSite($request); goto cd40a; c714e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\x65\163")); goto b0459; dea44: $response = $this->render("\106\162\x6f\x6e\164\145\x6e\x64\57\x53\x69\164\145\x2f\165\163\145\162\163\56\x68\x74\x6d\154\x2e\x74\x77\151\x67", ["\163\x69\x74\145" => $site, "\x66\157\x72\155\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto fad73; cbf2c: fa295: goto dea44; fad73: fe99e: goto fc9bb; Bf942: } public function newFtpUser(Request $request) : Response { goto A8bc7; f707f: e6e2a: goto Fc1f5; C1b21: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto D269b; Cd793: $response = $this->handleFtpUserForm($request, $form, $site); goto dba38; ba4e9: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x73")); goto Fd5ca; A4da8: B2cf1: goto f6e39; D269b: $ftpUserEntity->setSite($siteEntity); goto Ebcba; Ee80a: $form->handleRequest($request); goto c1ed3; Fc1f5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C1b21; B328e: return $response; goto Ce0f2; Eddd8: A8225: goto A4da8; C510b: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto aa38e; } goto Ee80a; Eb2e2: return $response; goto Eddd8; dba38: if (!(false === is_null($response))) { goto A8225; } goto Eb2e2; Cd77f: if (false === is_null($site)) { goto e6e2a; } goto ba4e9; A8bc7: $site = $this->getSite($request); goto Cd77f; dc0b9: $response = $this->render("\106\162\157\x6e\164\145\156\144\57\x53\151\x74\x65\57\156\x65\167\55\146\x74\x70\x2d\x75\163\145\x72\x2e\x68\x74\x6d\154\x2e\x74\167\151\147", ["\x73\x69\x74\145" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\x66\157\162\155\105\x72\162\x6f\162\163" => $this->formErrors]); goto ba043; c1ed3: if (!(true === $form->isSubmitted())) { goto B2cf1; } goto Cd793; Ebcba: $form = $this->createFtpUserForm($ftpUserEntity); goto C510b; f6e39: aa38e: goto dc0b9; Fd5ca: goto ebcb3; goto f707f; ba043: ebcb3: goto B328e; Ce0f2: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto A180d; A180d: $siteEntity = $ftpUserEntity->getSite(); goto Ce36e; d5558: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\154\x61\163\x73" => "\142\164\156\40\142\164\156\55\142\154\165\145\40\142\x74\156\x2d\x6c\147"], "\154\141\x62\145\154" => "\101\x64\x64\40\x55\163\x65\x72"]); goto fffb1; fffb1: return $form; goto A9ecd; Ce36e: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\155\x5c\123\x69\164\145\106\164\x70\x55\x73\x65\162\x54\x79\160\x65", $ftpUserEntity, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\143\154\160\137\163\151\164\x65\x5f\x66\x74\x70\x5f\165\163\145\x72\x5f\x6e\x65\x77", ["\x64\157\x6d\141\151\x6e\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\164\x68\157\x64" => "\120\117\123\124", "\141\x74\x74\x72" => []]); goto d5558; A9ecd: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto Be2c2; Bcd0d: goto Cee37; goto f28ee; f28ee: e8ab8: goto f8831; ced0b: $this->formErrors = $this->getErrorMessages($form); goto Bcd0d; F3cdf: Cee37: goto C65e2; f8831: try { goto Bc888; Ffd95: $ftpUserEntity = $form->getData(); goto C2c67; Eb7a0: $domainName = $site->getDomainName(); goto D3cd7; d3e33: $this->siteEntityManager->updateEntity($siteEntity); goto ca5b9; D9594: $ftpUserPassword = $form->get("\160\141\163\x73\167\x6f\x72\144")->getData(); goto f5ff0; D3cd7: $siteEntity = $this->getSiteEntity($domainName); goto A8c2d; E2966: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\163")); goto a4972; Aa57c: fede5: goto a44b0; A8c2d: if (false === is_null($siteEntity)) { goto fede5; } goto E2966; a8898: $eventData = ["\163\151\164\145" => $domainName, "\x75\163\145\x72\116\141\155\x65" => $ftpUserName, "\150\157\x6d\145\104\x69\162\x65\x63\x74\157\x72\171" => $ftpUserEntity->getHomeDirectory()]; goto be8bf; be8bf: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto F1171; ca5b9: $siteUpdater = $this->getSiteUpdater($site); goto d1e58; C2c67: $ftpUserName = $ftpUserEntity->getUserName(); goto D9594; a44b0: $user = $this->getUser(); goto Ffd95; F1171: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\125\163\x65\162\40\x68\x61\x73\x20\142\x65\145\156\x20\x61\x64\x64\145\x64\56")); goto C849a; F9d0d: $siteEntity->addFtpUser($ftpUserEntity); goto d3e33; d610f: return $response; goto aa4dd; f5ff0: $ftpUserEntity->setPassword($ftpUserPassword); goto F9d0d; Baaa1: F030c: goto d610f; C849a: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x5f\x75\x73\145\x72\x73", ["\144\x6f\x6d\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto Baaa1; a4972: goto F030c; goto Aa57c; d1e58: $siteUpdater->createFtpUser($ftpUserEntity); goto a8898; Bc888: $session = $request->getSession(); goto Eb7a0; aa4dd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\x6e\40\x65\x72\162\157\162\x20\x68\141\163\x20\x6f\143\x63\x75\x72\162\145\x64\x2c\x20\145\162\x72\157\162\40\x6d\145\x73\x73\141\x67\145\x3a\x20\x25\145\x72\x72\x6f\x72\115\x65\x73\163\141\x67\x65\45", ["\x25\x65\162\162\157\x72\x4d\145\x73\x73\141\147\145\45" => $e->getMessage()])); } goto F3cdf; Be2c2: if (true === $form->isValid()) { goto e8ab8; } goto ced0b; C65e2: } public function editFtpUser(Request $request) : Response { goto dd703; dd703: $userName = $request->get("\x75\163\145\162\x4e\x61\155\x65"); goto Bb7a8; C8340: return $response; goto dc92e; b3f94: cd9ff: goto A14c1; F3984: goto dd1d2; goto Fe4a1; e3ade: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\x73")); goto F3984; Bec24: c339e: goto b3f94; Bb7a8: $site = $this->getSite($request); goto d9665; A4537: $response = $this->handleFtpUserEditForm($request, $form, $site); goto B16b1; f17ba: if (!(true === $form->isSubmitted())) { goto c339e; } goto A4537; A0af9: $form = $this->createFtpUserEditForm($ftpUserEntity); goto f2166; d9665: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Ec00b; e69f3: return $response; goto a8a30; Fe4a1: C8a2e: goto A0af9; f2166: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto cd9ff; } goto A1872; Ec00b: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C8a2e; } goto e3ade; A14c1: $response = $this->render("\x46\x72\157\156\164\x65\156\x64\57\123\151\x74\145\57\145\144\151\x74\55\x66\x74\x70\55\165\x73\145\x72\x2e\150\x74\x6d\x6c\56\x74\167\x69\x67", ["\163\x69\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\162\155\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto F1ad7; F1ad7: dd1d2: goto e69f3; B16b1: if (!(false === is_null($response))) { goto f6f71; } goto C8340; A1872: $form->handleRequest($request); goto f17ba; dc92e: f6f71: goto Bec24; a8a30: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto F5145; E746d: $form = $this->createForm("\x41\160\160\x5c\106\x6f\162\x6d\x5c\123\x69\164\x65\106\164\x70\x55\163\x65\162\x45\x64\x69\164\x54\171\x70\x65", $ftpUserEntity, ["\x61\143\164\151\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\x5f\146\164\x70\x5f\165\x73\145\x72\x5f\145\x64\151\164", ["\144\157\155\141\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName(), "\165\163\145\162\x4e\x61\155\x65" => $ftpUserEntity->getUserName()]), "\155\145\x74\x68\157\x64" => "\x50\x4f\123\124", "\141\164\x74\162" => []]); goto E0af3; E0af3: $form->add("\163\165\x62\155\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\x61\163\x73" => "\142\x74\x6e\40\142\164\156\x2d\142\x6c\165\x65\x20\x62\164\156\55\x6c\x67"], "\x6c\x61\142\145\154" => "\123\141\166\145"]); goto b81b5; b81b5: return $form; goto B35fa; F5145: $siteEntity = $ftpUserEntity->getSite(); goto E746d; B35fa: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto C4e89; C1dbd: a2eb9: goto Ead57; C4e89: if (true === $form->isValid()) { goto c1da6; } goto bbdb6; bbdb6: $this->formErrors = $this->getErrorMessages($form); goto F5fdf; F5fdf: goto a2eb9; goto af126; af126: c1da6: goto Dabfb; Dabfb: try { goto C52d4; Daf54: B7935: goto b438d; bd706: goto B7935; goto Cfd86; Ebd81: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\137\x75\x73\145\162\x73", ["\x64\157\x6d\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Daf54; F32f3: $domainName = $site->getDomainName(); goto Ef0b6; f2fdb: $ftpUserName = $ftpUserEntity->getUserName(); goto a66ad; Ba597: if (!(false === empty($ftpUserPassword))) { goto da65f; } goto Aac82; C52d4: $session = $request->getSession(); goto F32f3; a4bfb: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\163")); goto bd706; b5c0e: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\125\163\145\162\40\x68\141\163\x20\x62\x65\x65\x6e\40\x73\141\166\x65\144\x2e")); goto Ebd81; Cfd86: c969e: goto f4b0e; b438d: return $response; goto B8091; f4b0e: $user = $this->getUser(); goto F8965; Ef0b6: $siteEntity = $this->getSiteEntity($domainName); goto Ceb52; Ceb52: if (false === is_null($siteEntity)) { goto c969e; } goto a4bfb; b45bf: $this->siteEntityManager->updateEntity($siteEntity); goto Ca938; ecfe4: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto b5c0e; Ca938: $siteUpdater = $this->getSiteUpdater($site); goto Da725; f99e7: da65f: goto F0c69; Fcb83: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto b45bf; F8965: $ftpUserEntity = $form->getData(); goto f2fdb; Aac82: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto f99e7; F0c69: $eventData = ["\x73\151\x74\145" => $domainName, "\x75\x73\x65\162\116\141\155\x65" => $ftpUserName, "\150\x6f\x6d\x65\104\x69\162\x65\143\164\157\x72\171" => $ftpUserHomeDirectory]; goto ecfe4; a66ad: $ftpUserPassword = $form->get("\160\x61\163\x73\x77\x6f\x72\144")->getData(); goto Fcb83; Da725: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Ba597; B8091: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\x41\156\x20\x65\162\162\157\162\40\150\x61\163\40\157\143\x63\x75\162\162\x65\144\x2c\x20\x65\162\162\157\x72\x20\x6d\145\163\x73\141\147\145\72\x20\45\x65\162\x72\157\162\x4d\x65\163\x73\141\147\145\45", ["\x25\145\x72\162\x6f\162\x4d\145\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto C1dbd; Ead57: } public function deleteFtpUser(Request $request) : Response { goto c50cc; e56e1: return $response; goto D342f; ef921: if (!(false === is_null($site))) { goto A7121; } goto F03cb; d1914: A7121: goto Fa2ad; c50cc: $site = $this->getSite($request); goto Ba5d5; Ba5d5: $this->checkCsrfToken($request, "\165\x73\x65\x72\55\144\145\x6c\x65\164\x65"); goto ef921; F03cb: try { goto C7bf1; Ca8a3: $siteEntity->removeFtpUser($ftpUserEntity); goto C391e; C7bf1: $session = $request->getSession(); goto da045; da045: $userName = $request->get("\165\x73\x65\x72\x4e\141\155\145"); goto eecdb; e68be: $evenData = ["\163\151\164\x65" => $domainName, "\165\163\145\x72\116\x61\x6d\x65" => $userName]; goto ab800; eecdb: $domainName = $site->getDomainName(); goto E06aa; b44ca: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\x65\x5f\x75\163\145\162\163", ["\x64\157\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto F22a4; Dcd82: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto Af5c3; } goto Bbf0b; c1c0f: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\x55\163\145\162\x20\150\x61\163\40\142\x65\x65\x6e\x20\144\145\x6c\x65\x74\x65\x64\x2e")); goto b44ca; D21f7: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto Dcd82; b7cb7: c9383: goto F581d; F22a4: return $response; goto D8449; E06aa: $siteEntity = $this->getSiteEntity($domainName); goto C7f7b; f3b95: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto c9383; } goto D21f7; Ccbb1: $userName = $ftpUserEntity->getUserName(); goto Ca8a3; D8449: Af5c3: goto b7cb7; Bbf0b: $user = $this->getUser(); goto Ccbb1; A6fd6: $siteUpdater->deleteUser($userName, false); goto e68be; e2da9: $siteUpdater = $this->getSiteUpdater($site); goto A6fd6; C391e: $this->siteEntityManager->updateEntity($siteEntity); goto e2da9; C7f7b: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto f3b95; ab800: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto c1c0f; F581d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\x72\x6f\162\x20\x68\x61\x73\x20\x6f\x63\x63\x75\x72\x72\x65\x64\54\x20\x65\x72\162\x6f\162\40\x6d\x65\x73\x73\141\147\x65\72\40\45\x65\x72\162\x6f\162\115\145\163\x73\x61\x67\x65\45", ["\x25\145\162\x72\157\x72\115\x65\163\x73\141\147\145\x25" => $e->getMessage()])); } goto d1914; Fa2ad: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\x65\x73")); goto e56e1; D342f: } public function newSshUser(Request $request) : Response { goto c9060; a9749: return $response; goto e493c; c7658: $form = $this->createSshUserForm($sshUserEntity); goto Fa144; D5017: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x73")); goto ff4df; E3f18: if (false === is_null($site)) { goto b4de6; } goto D5017; A31d4: $response = $this->handleSshUserForm($request, $form, $site); goto e5864; bc7cc: a324d: goto Bc798; d36f7: if (!(true === $form->isSubmitted())) { goto a324d; } goto A31d4; C8709: $sshUserEntity->setSite($siteEntity); goto c7658; Fa144: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto fb6dd; } goto F7e48; E2559: B2a0f: goto bc7cc; de769: b4de6: goto Ceea4; F87f7: $response = $this->render("\x46\162\x6f\x6e\164\145\156\x64\57\123\151\164\x65\57\x6e\x65\x77\55\163\x73\150\x2d\165\x73\145\162\56\150\x74\x6d\154\x2e\164\x77\151\147", ["\x73\x69\164\145" => $site, "\146\157\162\155" => $form->createView(), "\146\157\x72\x6d\x45\x72\x72\157\x72\163" => $this->formErrors]); goto B31a6; E8ecd: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto C8709; F7e48: $form->handleRequest($request); goto d36f7; B31a6: e3606: goto a9749; c9060: $site = $this->getSite($request); goto E3f18; ff4df: goto e3606; goto de769; e5864: if (!(false === is_null($response))) { goto B2a0f; } goto Ba824; Ba824: return $response; goto E2559; Ceea4: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E8ecd; Bc798: fb6dd: goto F87f7; e493c: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto b5eb5; b5eb5: $siteEntity = $sshUserEntity->getSite(); goto F7682; F7682: $form = $this->createForm("\x41\160\160\134\x46\x6f\162\x6d\x5c\x53\151\x74\x65\x53\x73\150\125\x73\145\x72\x54\171\160\145", $sshUserEntity, ["\141\143\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\145\x5f\x73\163\150\137\165\x73\x65\162\x5f\x6e\x65\167", ["\x64\157\155\x61\x69\156\116\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\x50\x4f\123\124", "\x61\164\164\162" => []]); goto dfbf5; d47df: return $form; goto F9321; dfbf5: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\x73\163" => "\142\164\156\40\142\164\156\x2d\142\x6c\165\x65\x20\x62\164\156\55\x6c\147"], "\154\x61\142\x65\154" => "\101\144\x64\40\x55\x73\145\x72"]); goto d47df; F9321: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto cad84; d9729: try { goto bec18; bec18: $session = $request->getSession(); goto B22c0; c4e74: $sshUserEntity = $form->getData(); goto A9761; eef9c: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto c82e3; f99f5: $siteUpdater = $this->getSiteUpdater($site); goto bb3ed; F9684: $sshUserPassword = $form->get("\160\141\163\163\x77\157\162\144")->getData(); goto Fab0b; B22c0: $domainName = $site->getDomainName(); goto c2839; c82e3: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\125\x73\145\162\x20\x68\x61\163\40\142\x65\145\156\40\141\144\x64\145\x64\x2e")); goto f5ea4; bb3ed: $siteUpdater->createSshUser($sshUserEntity); goto d36d3; Bd575: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto acc59; f416a: $user = $this->getUser(); goto c4e74; c5b8e: $sshKeys = $sshUserEntity->getSshKeys(); goto A0493; d95a4: if (false === is_null($siteEntity)) { goto B9cb2; } goto A3ebe; afd24: C2dac: goto ef1c5; C8d05: goto C2dac; goto Af3e8; A0493: $siteEntity->addSshUser($sshUserEntity); goto e32b8; c2839: $siteEntity = $this->getSiteEntity($domainName); goto d95a4; A9761: $sshUserName = $sshUserEntity->getUserName(); goto F9684; Af3e8: B9cb2: goto f416a; A3ebe: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\x65\x73")); goto C8d05; a5adf: $eventData = ["\x73\151\164\145" => $domainName, "\x75\163\145\x72\116\141\x6d\x65" => $sshUserName, "\163\163\150\113\145\171\x73" => $sshKeys]; goto eef9c; ef1c5: return $response; goto ffe7e; acc59: Da027: goto a5adf; e32b8: $this->siteEntityManager->updateEntity($siteEntity); goto f99f5; d36d3: if (!(false === empty($sshKeys))) { goto Da027; } goto Bd575; Fab0b: $sshUserEntity->setPassword($sshUserPassword); goto c5b8e; f5ea4: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\x5f\165\x73\145\162\163", ["\x64\x6f\155\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto afd24; ffe7e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\145\x72\x72\x6f\162\x20\150\141\163\40\x6f\143\143\165\162\162\145\x64\x2c\40\x65\x72\x72\x6f\162\40\x6d\145\163\x73\x61\147\x65\x3a\40\45\145\162\x72\x6f\162\x4d\x65\163\x73\x61\x67\145\x25", ["\x25\145\162\162\157\162\x4d\x65\163\163\141\x67\145\x25" => $e->getMessage()])); } goto F809a; Baa97: $this->formErrors = $this->getErrorMessages($form); goto e8cf8; F809a: f0545: goto b099b; c34ef: ea2c1: goto d9729; e8cf8: goto f0545; goto c34ef; cad84: if (true === $form->isValid()) { goto ea2c1; } goto Baa97; b099b: } public function editSshUser(Request $request) : Response { goto F09c8; afdb5: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\163")); goto C2666; a64d0: return $response; goto Dbaa9; B9203: $site = $this->getSite($request); goto a8ac1; Feebd: return $response; goto ceb8c; Dbaa9: Acd38: goto ad4aa; ad4aa: E59a6: goto b9ba3; E1920: $form->handleRequest($request); goto a1c0d; Aa497: a8931: goto A8d04; D3869: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a8931; } goto afdb5; e3aeb: bb1f5: goto Feebd; f7266: if (!(false === is_null($response))) { goto Acd38; } goto a64d0; eaed3: $response = $this->handleSshUserEditForm($request, $form, $site); goto f7266; a1c0d: if (!(true === $form->isSubmitted())) { goto E59a6; } goto eaed3; da530: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto cf326; } goto E1920; C2666: goto bb1f5; goto Aa497; a8ac1: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto D3869; F09c8: $userName = $request->get("\165\x73\x65\162\x4e\141\x6d\145"); goto B9203; A8d04: $form = $this->createSshUserEditForm($sshUserEntity); goto da530; e93ac: $response = $this->render("\x46\x72\157\156\164\145\156\x64\x2f\123\x69\164\145\x2f\145\144\151\164\55\x73\163\x68\x2d\x75\x73\x65\162\x2e\150\164\155\154\56\x74\167\151\x67", ["\163\151\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\x6f\x72\155\x45\162\162\x6f\162\163" => $this->formErrors]); goto e3aeb; b9ba3: cf326: goto e93ac; ceb8c: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto Bbdaa; E6678: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\162\x6d\x5c\x53\x69\x74\145\x53\x73\150\125\163\145\x72\105\144\x69\x74\x54\x79\160\145", $sshUserEntity, ["\x61\143\164\151\157\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\145\137\x73\163\150\137\x75\163\145\162\x5f\145\x64\151\x74", ["\x64\x6f\x6d\x61\x69\x6e\116\141\155\145" => $siteEntity->getDomainName(), "\165\x73\145\162\x4e\x61\x6d\145" => $sshUserEntity->getUserName()]), "\155\x65\164\150\x6f\x64" => "\x50\x4f\123\124", "\141\164\x74\x72" => []]); goto E9e68; e14b4: return $form; goto c47a7; Bbdaa: $siteEntity = $sshUserEntity->getSite(); goto E6678; E9e68: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\164\162" => ["\143\154\x61\x73\163" => "\142\x74\156\40\142\x74\x6e\x2d\142\x6c\x75\x65\40\x62\164\x6e\x2d\154\x67"], "\154\x61\142\145\x6c" => "\x53\x61\166\145"]); goto e14b4; c47a7: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto a996f; E6ba1: goto Aabf7; goto aadac; E4047: try { goto df94a; ff5b3: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto A872b; Ac2de: B5452: goto Ed791; Ed791: return $response; goto B60a4; ec7c2: if (!(false === empty($sshUserPassword))) { goto aa737; } goto bc8fb; b393a: $siteUpdater = $this->getSiteUpdater($site); goto ec7c2; Ec7ab: goto B5452; goto Ab91d; Bf98a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\x73")); goto Ec7ab; Bee45: $sshUserName = $sshUserEntity->getUserName(); goto De4af; ed34d: $siteEntity = $this->getSiteEntity($domainName); goto A06cf; a011f: $domainName = $site->getDomainName(); goto ed34d; De4af: $sshUserPassword = $form->get("\x70\x61\x73\x73\x77\x6f\162\x64")->getData(); goto ff5b3; Ab91d: d5520: goto F8b59; A06cf: if (false === is_null($siteEntity)) { goto d5520; } goto Bf98a; df94a: $session = $request->getSession(); goto a011f; F8b59: $user = $this->getUser(); goto ff9de; A6fed: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\137\x75\x73\145\x72\163", ["\144\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Ac2de; C2176: aa737: goto b3648; ff9de: $sshUserEntity = $form->getData(); goto Bee45; b11e5: $eventData = ["\163\x69\164\145" => $domainName, "\165\x73\145\x72\x4e\141\x6d\x65" => $sshUserName, "\x73\163\x68\x4b\x65\171\x73" => $sshKeys]; goto fc46e; b3648: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b11e5; A872b: $this->siteEntityManager->updateEntity($siteEntity); goto b393a; bc8fb: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto C2176; ba330: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\x55\x73\145\162\40\150\x61\163\40\x62\145\145\x6e\40\163\141\166\145\x64\56")); goto A6fed; fc46e: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto ba330; B60a4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\x72\x20\150\x61\x73\40\157\143\x63\165\x72\162\145\x64\54\40\145\162\162\157\162\40\155\x65\163\x73\141\x67\x65\72\40\x25\x65\162\162\157\162\x4d\x65\163\x73\141\147\145\45", ["\x25\145\162\x72\157\x72\x4d\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto f0855; B547a: $this->formErrors = $this->getErrorMessages($form); goto E6ba1; a996f: if (true === $form->isValid()) { goto e1a56; } goto B547a; aadac: e1a56: goto E4047; f0855: Aabf7: goto Fbf3a; Fbf3a: } public function deleteSshUser(Request $request) : Response { goto c7740; fc18a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\145\163")); goto d3a42; c1d56: if (!(false === is_null($site))) { goto B327c; } goto Cba5b; D041c: $this->checkCsrfToken($request, "\165\163\145\x72\x2d\144\x65\154\x65\x74\x65"); goto c1d56; Cba5b: try { goto ce287; A2a01: $siteEntity = $this->getSiteEntity($domainName); goto E2769; Ae2e5: $siteUpdater = $this->getSiteUpdater($site); goto D73e2; ffbe2: d8906: goto baabc; d37a3: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto e938a; } goto C4f4e; eea21: $this->siteEntityManager->updateEntity($siteEntity); goto Ae2e5; b86f9: e938a: goto ffbe2; b4d8a: $session->getFlashBag()->set("\163\x75\143\x63\145\163\163", $this->translator->trans("\x55\163\145\x72\x20\x68\141\163\40\x62\145\145\x6e\40\144\x65\x6c\145\164\145\144\x2e")); goto E9785; befd4: $siteEntity->removeSshUser($sshUserEntity); goto eea21; ce287: $session = $request->getSession(); goto E5139; E9785: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x5f\x75\x73\145\162\163", ["\144\x6f\x6d\141\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto df41e; D73e2: $siteUpdater->deleteUser($userName, true); goto Cc884; b5698: $sshUserSiteEntity = $sshUserEntity->getSite(); goto d37a3; E2769: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto A19d9; C4f4e: $user = $this->getUser(); goto B30ad; E5139: $userName = $request->get("\165\x73\145\162\116\141\x6d\x65"); goto Ef0d8; df41e: return $response; goto b86f9; B30ad: $userName = $sshUserEntity->getUserName(); goto befd4; A19d9: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto d8906; } goto b5698; Cc884: $evenData = ["\163\151\x74\x65" => $domainName, "\165\x73\145\x72\116\x61\155\145" => $userName]; goto ba02d; ba02d: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto b4d8a; Ef0d8: $domainName = $site->getDomainName(); goto A2a01; baabc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\101\156\40\145\x72\x72\157\162\40\x68\x61\163\x20\x6f\143\143\x75\162\162\x65\x64\x2c\x20\x65\x72\162\x6f\162\40\x6d\x65\x73\163\141\147\x65\x3a\x20\x25\x65\x72\x72\x6f\162\x4d\145\163\163\x61\147\x65\x25", ["\45\145\x72\162\157\x72\x4d\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto C5f9e; d3a42: return $response; goto f6d3a; c7740: $site = $this->getSite($request); goto D041c; C5f9e: B327c: goto fc18a; f6d3a: } public function security(Request $request) : Response { goto c63f8; D102e: C2464: goto dc0d3; d0b9e: goto a0746; goto D102e; Aa678: a0746: goto E6d7d; b130c: if (false === is_null($site)) { goto C2464; } goto ec419; Ad1b9: return $response; goto a7184; A48f0: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto fa2e9; f1764: $response = $this->render("\x46\x72\x6f\156\164\x65\x6e\144\x2f\x53\x69\x74\x65\x2f\163\x65\x63\165\162\x69\x74\x79\x2e\150\164\155\x6c\56\x74\x77\x69\147", ["\163\x69\164\x65" => $site, "\142\154\157\143\x6b\145\144\111\x70\163" => $blockedIps, "\x62\x6c\x6f\x63\x6b\x65\144\x42\x6f\164\x73" => $blockedBots, "\142\141\163\x69\x63\x41\x75\x74\150\x46\157\x72\x6d" => $basicAuthForm->createView(), "\x63\154\x6f\165\x64\146\154\141\162\145\x46\x6f\162\155" => $cloudflareForm->createView(), "\x66\x6f\x72\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto Aa678; a7184: e02f1: goto Ffeca; fe4c5: $cloudflareData = ["\x61\154\x6c\x6f\167\x54\162\x61\146\146\x69\143\x46\x72\x6f\155\x43\154\x6f\165\144\146\x6c\x61\x72\145\x4f\156\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto cace9; c8acf: b2f41: goto C05c0; c999c: $cloudflareForm->handleRequest($request); goto C7f3d; cace9: $blockedBots = $site->getBlockedBots(); goto e94a7; c2d04: if (!(false === is_null($response))) { goto e02f1; } goto Ad1b9; C05c0: Bfa45: goto Df86e; C8ece: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto Ad887; Ffeca: Ab3fb: goto B8c55; fa2e9: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto f565a; } goto fd2fc; fd2fc: $basicAuthForm->handleRequest($request); goto c999c; B8c55: if (!(true === $cloudflareForm->isSubmitted())) { goto Bfa45; } goto Ce5d4; E6d7d: return $response; goto b9fe5; Ce174: $basicAuthEntity->setSite($siteEntity); goto Ff960; c2543: $basicAuthEntity = $site->getBasicAuth(); goto a1496; ec419: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\x65\163")); goto d0b9e; C7f3d: if (!(true === $basicAuthForm->isSubmitted())) { goto Ab3fb; } goto fd9dc; Be6eb: if (!(false === is_null($response))) { goto b2f41; } goto f8309; fd9dc: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto c2d04; f8309: return $response; goto c8acf; e94a7: $blockedIps = $site->getBlockedIps(); goto c2543; Df86e: f565a: goto f1764; Ce5d4: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto Be6eb; a1496: if (!(true === is_null($basicAuthEntity))) { goto f7d49; } goto C8ece; Ad887: f7d49: goto Ce174; c63f8: $site = $this->getSite($request); goto b130c; Ff960: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto A48f0; dc0d3: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto fe4c5; b9fe5: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto B6c1d; c6355: return $form; goto Fa71c; B6c1d: $form = $this->createForm("\101\160\160\x5c\106\x6f\x72\x6d\134\x53\x69\164\145\x43\154\157\x75\144\146\154\141\x72\145\x54\x79\160\145", $data, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\x5f\x73\145\x63\165\162\x69\164\x79", ["\144\x6f\x6d\x61\151\156\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\x6f\144" => "\x50\117\123\124", "\x61\164\164\x72" => []]); goto Ea950; Ea950: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\40\142\164\156\x2d\x62\154\165\145\x20\142\x74\x6e\55\154\147"], "\x6c\141\142\145\154" => "\x53\x61\166\x65"]); goto c6355; Fa71c: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto e4bd1; e4bd1: $siteEntity = $basicAuthEntity->getSite(); goto Fe305; Fe305: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\155\134\x53\x69\164\x65\102\141\163\151\x63\101\165\164\150\x54\x79\x70\145", $basicAuthEntity, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\x63\154\160\137\163\x69\164\x65\137\163\145\x63\x75\162\151\164\x79", ["\144\x6f\x6d\141\151\x6e\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\164\x68\x6f\x64" => "\x50\x4f\123\124", "\141\164\x74\162" => []]); goto Be5f8; Be5f8: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\141\x73\x73" => "\142\x74\156\40\x62\x74\x6e\55\142\x6c\x75\x65\x20\x62\x74\x6e\x2d\154\147"], "\154\141\x62\x65\x6c" => "\x53\141\166\x65"]); goto a305b; a305b: return $form; goto e4053; e4053: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto A2f0b; c28cc: goto F69bd; goto A77fe; A77fe: bb904: goto e59be; A2f0b: if (true === $form->isValid()) { goto bb904; } goto A00a3; e59be: try { goto E58f7; E2255: if (false === is_null($siteEntity)) { goto febf6; } goto Cd6d6; F1eb8: $siteUpdater->reloadNginxService(); goto a3723; F7ed0: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto B4613; F2c8b: $user = $this->getUser(); goto Bc7d4; e71bf: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto bca88; F8ce3: goto F8efb; goto E17e9; a3723: $eventData = ["\163\x69\164\145" => $domainName, "\141\x63\x74\x69\166\x65" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\60", "\165\163\x65\x72\x4e\141\155\145" => $basicAuthEntity->getUserName(), "\167\x68\x69\x74\x65\154\x69\x73\x74\x65\x64\111\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto e71bf; Cc876: $siteEntity = $this->getSiteEntity($domainName); goto E2255; cabd1: return $response; goto F8e84; E0344: $domainName = $site->getDomainName(); goto Cc876; f7104: $site->setBasicAuth($basicAuthEntity); goto E688b; c0fee: $siteUpdater = $this->getSiteUpdater($site); goto F7ed0; E17e9: febf6: goto F2c8b; B4613: $siteUpdater->updateNginxVhost(); goto F1eb8; E58f7: $session = $request->getSession(); goto E0344; Cd6d6: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\x73")); goto F8ce3; dcd6b: F8efb: goto cabd1; A2695: $siteEntity->setBasicAuth($basicAuthEntity); goto f7104; Bc7d4: $basicAuthEntity = $form->getData(); goto A2695; bca88: $session->getFlashBag()->set("\x73\165\143\143\x65\163\x73", $this->translator->trans("\x42\x61\x73\151\x63\40\x41\165\x74\150\145\156\164\x69\x63\x61\164\x69\157\x6e\x20\163\145\164\x74\151\x6e\147\x73\40\150\x61\166\145\x20\142\x65\x65\x6e\x20\163\x61\166\145\144\56")); goto A0963; E688b: $this->siteEntityManager->updateEntity($siteEntity); goto c0fee; A0963: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\137\x73\145\143\x75\x72\151\x74\x79", ["\144\157\155\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto dcd6b; F8e84: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\40\x68\x61\163\x20\157\x63\143\165\162\162\145\x64\54\x20\145\x72\x72\x6f\162\x20\x6d\145\x73\163\x61\x67\x65\72\x20\45\145\162\x72\157\162\115\x65\x73\x73\x61\147\x65\x25", ["\45\x65\162\x72\x6f\x72\115\145\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Ecb65; A00a3: $this->formErrors = $this->getErrorMessages($form); goto c28cc; Ecb65: F69bd: goto A444c; A444c: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto e9ff6; e9ff6: if (true === $form->isValid()) { goto d57fc; } goto Bb776; b323c: try { goto c315f; Dd612: return $response; goto Eee23; B3c25: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto A116e; df78b: $domainName = $site->getDomainName(); goto B29c5; fbb72: $siteUpdater = $this->getSiteUpdater($site); goto c25e6; Dd5a3: ff157: goto Dd612; De91a: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\x5f\x73\x65\x63\x75\162\151\x74\x79", ["\x64\157\x6d\141\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Dd5a3; d1741: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto b4a3a; B67eb: $user = $this->getUser(); goto De708; E0dce: A385c: goto B67eb; Dd623: $siteUpdater->reloadNginxService(); goto a84fc; b3ffd: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\163")); goto Ab9b5; Ab9b5: goto ff157; goto E0dce; De708: $allowTrafficFromCloudflareOnly = $form->get("\x61\154\x6c\157\167\124\162\x61\x66\x66\151\x63\106\162\157\155\103\x6c\157\165\x64\x66\x6c\141\x72\x65\x4f\156\x6c\171")->getData(); goto A940c; B29c5: $siteEntity = $this->getSiteEntity($domainName); goto c4eea; c25e6: $siteUpdater->updateNginxVhost(); goto Dd623; A116e: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\163", $this->translator->trans("\x43\154\157\x75\x64\x66\x6c\141\x72\x65\x20\x73\145\164\164\x69\x6e\x67\163\40\x68\141\x76\145\x20\x62\145\x65\x6e\x20\163\141\x76\x65\144\56")); goto De91a; c4eea: if (false === is_null($siteEntity)) { goto A385c; } goto b3ffd; b4a3a: $this->siteEntityManager->updateEntity($siteEntity); goto fbb72; c315f: $session = $request->getSession(); goto df78b; A940c: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto d1741; a84fc: $eventData = ["\163\x69\x74\x65" => $domainName, "\x61\x6c\x6c\x6f\x77\124\162\141\x66\146\151\x63\106\x72\157\x6d\103\x6c\157\165\144\146\154\141\x72\145\117\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\60"]; goto B3c25; Eee23: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\40\x65\x72\x72\157\162\x20\x68\141\x73\x20\x6f\143\x63\165\162\x72\x65\x64\x2c\40\145\162\162\x6f\x72\x20\155\145\163\163\141\147\145\72\40\45\145\x72\162\x6f\x72\115\145\163\163\x61\x67\145\x25", ["\45\145\162\x72\157\x72\115\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto A7226; a4eff: d57fc: goto b323c; A7226: ea7c9: goto A8613; Bb776: $this->formErrors = $this->getErrorMessages($form); goto c8d0f; c8d0f: goto ea7c9; goto a4eff; A8613: } public function newBlockedIp(Request $request) : Response { goto d33dd; F8013: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto C6a34; } goto Bb140; Ced69: ba0b9: goto Ce4e6; B4493: $response = $this->handleBlockedIpForm($request, $form, $site); goto D59b2; b6441: fabf5: goto b629c; a00ad: if (!(true === $form->isSubmitted())) { goto D1217; } goto B4493; b8b27: $blockedIpEntity->setSite($siteEntity); goto C75fa; F8587: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\163")); goto C8b7b; Bb140: $form->handleRequest($request); goto a00ad; F14a0: $response = $this->render("\x46\162\x6f\x6e\x74\145\x6e\144\x2f\x53\151\164\145\57\x6e\x65\167\x2d\x62\x6c\157\143\x6b\145\x64\55\151\x70\x2e\x68\164\155\x6c\x2e\164\167\151\147", ["\163\x69\164\x65" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\162\x6d\105\x72\162\157\162\x73" => $this->formErrors]); goto Ced69; D5bf6: return $response; goto F3752; Ecf8c: D1217: goto a4045; ae2f5: if (false === is_null($site)) { goto fabf5; } goto F8587; C75fa: $form = $this->createBlockedIpForm($blockedIpEntity); goto F8013; d33dd: $site = $this->getSite($request); goto ae2f5; D59b2: if (!(false === is_null($response))) { goto Fe315; } goto D5bf6; a4045: C6a34: goto F14a0; C8b7b: goto ba0b9; goto b6441; Bbfd2: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto b8b27; Ce4e6: return $response; goto Fda55; F3752: Fe315: goto Ecf8c; b629c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Bbfd2; Fda55: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto eef82; Eb975: return $form; goto e3b35; Fbe14: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\154\x61\163\x73" => "\x62\164\156\40\x62\x74\x6e\55\x62\x6c\x75\145\x20\142\x74\x6e\55\154\x67"], "\x6c\x61\142\145\x6c" => "\101\x64\x64\x20\111\x50"]); goto Eb975; E5377: $form = $this->createForm("\101\160\160\x5c\x46\x6f\162\x6d\134\x53\151\x74\x65\x42\154\x6f\x63\x6b\145\144\111\x50\x54\x79\160\x65", $blockedIpEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x5f\x73\x65\143\165\x72\151\164\171\137\x62\x6c\157\x63\x6b\145\144\x5f\x69\x70\137\156\145\x77", ["\x64\x6f\155\x61\151\156\x4e\141\155\145" => $siteEntity->getDomainName()]), "\x6d\145\164\150\x6f\144" => "\120\x4f\123\124", "\x61\164\x74\x72" => []]); goto Fbe14; eef82: $siteEntity = $blockedIpEntity->getSite(); goto E5377; e3b35: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto Eb94f; b2f1b: try { goto Eb3bf; Ed2b4: if (false === is_null($siteEntity)) { goto c55d4; } goto a7b24; ec311: $user = $this->getUser(); goto F9bcd; a7b24: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\145\x73")); goto F5194; fade7: c55d4: goto ec311; E2b31: $siteUpdater->updateNginxVhost(); goto F51ee; E6ab0: $this->siteEntityManager->updateEntity($siteEntity); goto F8d14; aaa96: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto Af53b; F9bcd: $blockedIp = $form->getData(); goto A150e; bdec4: return $response; goto D46d9; Eb3bf: $session = $request->getSession(); goto c4487; Ba443: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\137\x73\145\143\x75\162\151\164\x79", ["\144\157\x6d\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto Fe1cb; c4487: $domainName = $site->getDomainName(); goto D9ef2; Af53b: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\x73", $this->translator->trans("\x49\120\x20\x68\141\x73\40\142\x65\145\x6e\x20\x61\144\x64\x65\144\x2e")); goto Ba443; D9ef2: $siteEntity = $this->getSiteEntity($domainName); goto Ed2b4; F51ee: $siteUpdater->reloadNginxService(); goto fa71e; F5194: goto B3bb1; goto fade7; F8d14: $siteUpdater = $this->getSiteUpdater($site); goto E2b31; A150e: $siteEntity->addBlockedIp($blockedIp); goto E6ab0; fa71e: $eventData = ["\x73\x69\164\145" => $domainName, "\151\160" => $blockedIp->getIp()]; goto aaa96; Fe1cb: B3bb1: goto bdec4; D46d9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\101\156\x20\x65\x72\162\x6f\162\40\150\x61\163\x20\x6f\143\x63\165\x72\x72\x65\x64\x2c\x20\145\x72\x72\x6f\162\x20\155\145\163\163\141\x67\145\72\40\45\x65\x72\162\x6f\x72\x4d\x65\x73\x73\141\x67\145\45", ["\45\x65\x72\x72\x6f\162\x4d\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto f5ad5; d1635: e47d5: goto b2f1b; Eb94f: if (true === $form->isValid()) { goto e47d5; } goto ce7f6; ce7f6: $this->formErrors = $this->getErrorMessages($form); goto fd6a3; f5ad5: Cc76c: goto C7568; fd6a3: goto Cc76c; goto d1635; C7568: } public function deleteBlockedIp(Request $request) : Response { goto C5a69; bad13: return $response; goto d55ca; Eb831: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x73")); goto bad13; c9f8d: af720: goto Eb831; e1dbf: $this->checkCsrfToken($request, "\x69\160\55\x64\145\154\x65\164\x65"); goto C0127; A69c8: try { goto B8428; cf184: $this->siteEntityManager->updateEntity($siteEntity); goto C7800; afa66: $siteEntity->removeBlockedIp($blockedIpEntity); goto cf184; E8049: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto Fa2d6; } goto Fa183; b1fa8: $domainName = $site->getDomainName(); goto D7308; e9a12: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\137\163\x65\143\x75\x72\151\x74\x79", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto a08b4; b6735: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto d9363; Cc775: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto E8049; Fa183: $user = $this->getUser(); goto afa66; C7800: $siteUpdater = $this->getSiteUpdater($site); goto Cf386; Cf386: $siteUpdater->updateNginxVhost(); goto E551c; a08b4: return $response; goto f703c; E551c: $siteUpdater->reloadNginxService(); goto d406f; A2cb3: $id = (int) $request->get("\x69\144"); goto b1fa8; D7308: $siteEntity = $this->getSiteEntity($domainName); goto Cc775; f703c: Fa2d6: goto B2403; d9363: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\163", $this->translator->trans("\x49\x50\x20\150\141\x73\40\142\145\x65\x6e\x20\x64\145\154\145\164\145\144\56")); goto e9a12; B8428: $session = $request->getSession(); goto A2cb3; d406f: $eventData = ["\163\x69\164\145" => $domainName, "\151\160" => $blockedIpEntity->getIp()]; goto b6735; B2403: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\x6f\x72\40\x68\x61\163\x20\157\143\x63\x75\162\162\x65\x64\54\x20\145\162\162\x6f\x72\x20\x6d\145\163\163\x61\x67\x65\x3a\40\x25\145\162\162\157\x72\115\x65\x73\163\x61\147\x65\45", ["\x25\x65\162\162\157\162\115\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto c9f8d; C0127: if (!(false === is_null($site))) { goto af720; } goto A69c8; C5a69: $site = $this->getSite($request); goto e1dbf; d55ca: } public function newBlockedBot(Request $request) : Response { goto e746b; B3ec2: return $response; goto c5cc2; C8d50: c5416: goto d2b74; Abe25: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\x73")); goto Ac02b; F31c6: return $response; goto Ba767; df60a: $response = $this->render("\106\162\x6f\156\164\x65\x6e\144\57\123\151\x74\x65\57\x6e\145\x77\55\x62\154\157\143\x6b\145\x64\x2d\x62\157\x74\x2e\150\x74\x6d\154\x2e\x74\x77\151\x67", ["\163\151\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\x66\157\162\155\105\x72\162\x6f\162\163" => $this->formErrors]); goto bf480; C1b92: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto Fcf7b; Bbcbb: if (false === is_null($site)) { goto Bb3d0; } goto Abe25; Cd500: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C1b92; b6fac: $response = $this->handleBlockedBotForm($request, $form, $site); goto F6880; Fcf7b: $blockedBotEntity->setSite($siteEntity); goto b26c9; d2b74: C00c8: goto df60a; F6880: if (!(false === is_null($response))) { goto e5a84; } goto F31c6; Ac02b: goto d461a; goto d2941; d2941: Bb3d0: goto Cd500; b26c9: $form = $this->createBlockedBotForm($blockedBotEntity); goto Ece5f; Ece5f: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto C00c8; } goto c984c; c984c: $form->handleRequest($request); goto F7c2f; Ba767: e5a84: goto C8d50; bf480: d461a: goto B3ec2; F7c2f: if (!(true === $form->isSubmitted())) { goto c5416; } goto b6fac; e746b: $site = $this->getSite($request); goto Bbcbb; c5cc2: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto c9036; Cd5ca: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\162\x6d\134\x53\151\164\145\102\x6c\157\x63\x6b\x65\144\102\157\164\124\x79\x70\x65", $blockedBotEntity, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\x5f\x73\145\x63\165\162\151\x74\x79\x5f\x62\x6c\157\x63\153\145\x64\x5f\x62\x6f\164\137\156\x65\167", ["\x64\x6f\x6d\141\151\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\x50\x4f\x53\124", "\x61\164\164\x72" => []]); goto b6e93; Bb913: return $form; goto b23fc; c9036: $siteEntity = $blockedBotEntity->getSite(); goto Cd5ca; b6e93: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\141\x73\x73" => "\142\164\x6e\40\142\164\156\x2d\x62\x6c\165\145\x20\x62\164\156\55\x6c\147"], "\x6c\141\142\145\x6c" => "\x41\x64\x64\40\x42\157\164"]); goto Bb913; b23fc: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto d4389; e21cb: goto c7a02; goto E8da7; d4389: if (true === $form->isValid()) { goto d8b9a; } goto b113a; E8da7: d8b9a: goto Fd861; b113a: $this->formErrors = $this->getErrorMessages($form); goto e21cb; Fd861: try { goto Ed054; F78f3: E7bd6: goto e48c5; Bee3a: $eventData = ["\163\x69\164\x65" => $domainName, "\156\x61\155\x65" => $blockedBot->getName()]; goto D440d; Aea8e: if (false === is_null($siteEntity)) { goto F6c24; } goto Eb381; b5590: goto E7bd6; goto c217b; e7d74: $this->siteEntityManager->updateEntity($siteEntity); goto af50e; B62ef: $siteUpdater->reloadNginxService(); goto Bee3a; c217b: F6c24: goto de668; de668: $user = $this->getUser(); goto B9384; f52c0: $siteEntity->addBlockedBot($blockedBot); goto e7d74; A56d3: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\137\x73\145\x63\x75\x72\x69\164\171", ["\144\157\155\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto F78f3; D440d: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto b21dd; B9384: $blockedBot = $form->getData(); goto f52c0; E6c9d: $siteUpdater->updateNginxVhost(); goto B62ef; b21dd: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\102\157\164\x20\150\141\163\40\x62\x65\x65\156\40\141\x64\144\x65\x64\x2e")); goto A56d3; Ed054: $session = $request->getSession(); goto e8cac; af50e: $siteUpdater = $this->getSiteUpdater($site); goto E6c9d; Eb381: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\163")); goto b5590; Efb10: $siteEntity = $this->getSiteEntity($domainName); goto Aea8e; e8cac: $domainName = $site->getDomainName(); goto Efb10; e48c5: return $response; goto C99e0; C99e0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\x72\40\x68\x61\163\40\157\143\143\x75\162\162\x65\x64\54\x20\x65\162\x72\157\x72\x20\x6d\x65\163\x73\141\x67\145\72\x20\45\x65\162\162\x6f\162\115\145\163\x73\x61\147\145\45", ["\x25\145\x72\162\157\162\115\x65\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto E3654; E3654: c7a02: goto b98a0; b98a0: } public function deleteBlockedBot(Request $request) : Response { goto b5fa3; De515: return $response; goto E14d0; Ca3d7: if (!(false === is_null($site))) { goto D62d0; } goto b888d; b5fa3: $site = $this->getSite($request); goto D00e2; f1b6d: D62d0: goto Ebe6c; Ebe6c: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x73")); goto De515; D00e2: $this->checkCsrfToken($request, "\x62\157\x74\55\x64\x65\154\145\x74\145"); goto Ca3d7; b888d: try { goto F300c; D3486: $eventData = ["\x73\x69\164\x65" => $domainName, "\156\x61\155\145" => $blockedBotEntity->getName()]; goto Ace27; a3dcd: $id = (int) $request->get("\151\144"); goto Acad1; f6fab: Abd73: goto E41e9; B4b3d: $siteEntity->removeBlockedBot($blockedBotEntity); goto f270b; Ace27: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Ab375; Acad1: $domainName = $site->getDomainName(); goto f6e0a; f6e0a: $siteEntity = $this->getSiteEntity($domainName); goto c5cec; f270b: $this->siteEntityManager->updateEntity($siteEntity); goto E2ac2; Ab375: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\102\x6f\x74\40\150\x61\163\x20\x62\145\145\156\x20\144\145\x6c\x65\x74\x65\144\56")); goto D0e66; D0e66: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\137\x73\x65\x63\x75\x72\x69\x74\171", ["\x64\157\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto a24a4; a24a4: return $response; goto f6fab; f8b81: $user = $this->getUser(); goto B4b3d; a3cae: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto Abd73; } goto f8b81; F300c: $session = $request->getSession(); goto a3dcd; e28ed: $siteUpdater->reloadNginxService(); goto D3486; acc23: $siteUpdater->updateNginxVhost(); goto e28ed; c5cec: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto a3cae; E2ac2: $siteUpdater = $this->getSiteUpdater($site); goto acc23; E41e9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\101\x6e\40\x65\162\162\x6f\x72\40\x68\141\163\40\x6f\143\143\165\x72\x72\x65\x64\x2c\40\x65\162\x72\157\162\x20\155\145\163\x73\x61\147\145\x3a\40\x25\145\x72\162\x6f\x72\115\x65\163\x73\141\x67\145\45", ["\45\145\162\x72\157\x72\115\x65\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto f1b6d; E14d0: } public function certificates(Request $request) : Response { goto e9da1; C2a9f: $response = $this->render("\x46\x72\x6f\156\164\x65\156\144\57\x53\x69\x74\x65\x2f\x63\145\x72\x74\x69\x66\x69\143\x61\x74\145\163\56\150\164\155\154\56\164\x77\151\147", ["\x73\151\x74\145" => $site, "\151\x6e\x73\x74\x61\x6c\x6c\145\144\x43\x65\x72\164\151\x66\151\x63\x61\164\145" => $installedCertificate, "\143\x65\x72\x74\x69\x66\151\143\x61\x74\x65\x73" => $certificates]); goto F0d25; F0d25: b525e: goto Abc59; C33ea: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\x73")); goto Ccf08; e9da1: $site = $this->getSite($request); goto adb09; Abc59: return $response; goto C0df8; D9e51: $certificates = $site->getCertificates(); goto C2a9f; afca0: c6d41: goto b7513; b7513: $installedCertificate = $site->getCertificate(); goto D9e51; adb09: if (false === is_null($site)) { goto c6d41; } goto C33ea; Ccf08: goto b525e; goto afca0; C0df8: } public function importCertificate(Request $request) : Response { goto Bf1fc; bc192: $response = $this->handleImportCertificateForm($request, $form, $site); goto B788e; Bf1fc: $site = $this->getSite($request); goto C7fa5; c540b: edcd6: goto D9759; c3bc1: b1973: goto Fe7c2; F46a0: C35f4: goto c540b; f942a: if (!(true === $form->isSubmitted())) { goto edcd6; } goto bc192; d4733: goto e16ac; goto c3bc1; f5cfe: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto Beeb5; } goto F2461; e61c6: $response = $this->render("\106\162\x6f\156\164\145\x6e\x64\57\x53\151\164\x65\57\x69\x6d\160\157\x72\x74\x2d\143\x65\x72\164\151\x66\151\x63\141\x74\145\x2e\x68\x74\x6d\154\x2e\x74\x77\151\147", ["\x73\x69\164\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\146\x6f\x72\x6d\x45\162\x72\157\162\x73" => $this->formErrors]); goto d47c1; d47c1: e16ac: goto b09d0; cf164: $certificateEntity = $this->certificateEntityManager->createEntity(); goto cbcb9; D9759: Beeb5: goto e61c6; Cd499: $form = $this->createImportCertificateForm($certificateEntity); goto f5cfe; C997c: $certificateEntity->setSite($siteEntity); goto Cd499; F2461: $form->handleRequest($request); goto f942a; b09d0: return $response; goto Ab372; cbcb9: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto C997c; C7fa5: if (false === is_null($site)) { goto b1973; } goto Fdc11; Fe7c2: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cf164; Fdc11: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\x65\163")); goto d4733; B788e: if (!(false === is_null($response))) { goto C35f4; } goto b6623; b6623: return $response; goto F46a0; Ab372: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto B56ac; f56c7: $form = $this->createForm("\x41\160\160\x5c\x46\157\162\155\134\x53\151\x74\x65\111\155\x70\157\x72\x74\x43\x65\162\x74\x69\x66\151\143\x61\164\145\124\x79\x70\x65", $certificateEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\137\x63\145\162\x74\x69\146\x69\x63\x61\164\145\137\x69\155\160\157\162\x74", ["\144\157\155\141\x69\x6e\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\120\117\x53\124", "\x61\164\x74\x72" => []]); goto aed8a; B2a1c: return $form; goto dc585; B56ac: $siteEntity = $certificateEntity->getSite(); goto f56c7; aed8a: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\163\163" => "\142\164\x6e\x20\x62\164\x6e\x2d\142\154\165\x65\40\142\x74\156\x2d\x6c\x67"], "\154\141\x62\145\154" => "\111\155\160\x6f\162\164\40\x61\x6e\144\x20\x49\156\163\x74\141\154\154"]); goto B2a1c; dc585: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto edb28; fcee1: try { goto E6bf3; E7302: goto cbd8d; goto D5edb; A2b17: $this->siteEntityManager->updateEntity($siteEntity); goto bf7d9; E77f8: $siteEntity->addCertificate($certificateEntity); goto A2b17; a187d: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto c16c8; ff8b3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\137\x63\145\x72\x74\x69\x66\x69\143\141\x74\145\163", ["\144\157\155\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto cccc3; C4fdb: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\163")); goto E7302; e8961: $domainName = $site->getDomainName(); goto Dc384; d8a34: return $response; goto f5ce6; c16c8: $session->getFlashBag()->set("\x73\165\143\143\x65\163\x73", $this->translator->trans("\x43\x65\162\164\151\x66\x69\143\141\164\x65\x20\150\141\163\40\x62\x65\x65\156\x20\151\x6e\163\x74\141\154\x6c\145\144\x2e")); goto ff8b3; F8adc: $siteUpdater = $this->getSiteUpdater($site); goto A5311; cccc3: cbd8d: goto d8a34; d3e85: $certificateEntity = $form->getData(); goto F8adc; E6bf3: $session = $request->getSession(); goto e8961; A0b2d: $siteEntity->setCertificate($certificateEntity); goto E77f8; Dc384: $siteEntity = $this->getSiteEntity($domainName); goto b07e2; A5311: $siteUpdater->installCertificate($certificateEntity); goto A0b2d; b07e2: if (false === is_null($siteEntity)) { goto Ce0b4; } goto C4fdb; bf7d9: $evenData = ["\x73\151\x74\x65" => $domainName]; goto a187d; c408a: $user = $this->getUser(); goto d3e85; D5edb: Ce0b4: goto c408a; f5ce6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\x72\x6f\x72\40\x68\x61\163\x20\x6f\x63\143\165\162\x72\145\144\x2c\x20\145\162\162\157\x72\x20\x6d\x65\163\163\x61\147\x65\72\x20\x25\145\x72\x72\157\x72\x4d\x65\x73\163\141\147\145\x25", ["\x25\145\x72\x72\x6f\162\x4d\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto B145f; B145f: e1c50: goto c15cb; edb28: if (true === $form->isValid()) { goto bb962; } goto a948f; a948f: $this->formErrors = $this->getErrorMessages($form); goto c5815; c5815: goto e1c50; goto Cb6f0; Cb6f0: bb962: goto fcee1; c15cb: } public function newLetsEncryptCertificate(Request $request) : Response { goto C211b; ba7e8: $domains = (array) $request->get("\144\157\155\141\151\156\x73"); goto Bee6f; ef9ef: return $response; goto Acf51; b82fd: ef765: goto Bcd34; ccf5f: c3ea8: goto A72b4; B8138: Cd2d1: goto d09a4; b13dc: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto C23af; e4317: $form = $this->createLetsEncryptCertificateForm($domainName); goto ceba5; A78d6: goto b2940; goto e88c7; d09a4: goto c3ea8; goto Cd348; d219e: $domains = [$domainName]; goto f5f44; Bee6f: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto a9213; C211b: $site = $this->getSite($request); goto de5fa; e88c7: D4b0e: goto f66ff; ceba5: $domains = []; goto D3ca0; C711f: $domains = [$registrableDomain, sprintf("\167\167\167\56\45\163", $registrableDomain)]; goto B8138; B4449: return $response; goto b82fd; C23af: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ccdf1; de5fa: if (false === is_null($site)) { goto D4b0e; } goto ad69b; ad69b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\x73")); goto A78d6; E983c: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto d3834; dcf4e: c6b00: goto C711f; Cd348: d4a93: goto d23ad; Bcd34: A9c69: goto ccf5f; f66ff: $domainName = $site->getDomainName(); goto e4317; d23ad: $form->handleRequest($request); goto Cb7f1; Cb7f1: if (!(true === $form->isSubmitted())) { goto A9c69; } goto ba7e8; f7db4: if (true === is_null($subdomain) || "\x77\x77\167" == $subdomain) { goto c6b00; } goto d219e; f5f44: goto Cd2d1; goto dcf4e; ff7bb: $domains = array_unique($domains); goto E983c; A72b4: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\144\57\123\151\x74\x65\x2f\x6e\x65\167\55\x6c\145\164\x73\55\145\156\x63\162\171\x70\x74\55\143\x65\162\164\151\x66\151\143\x61\x74\145\56\x68\164\155\154\x2e\x74\167\151\147", ["\x73\x69\164\x65" => $site, "\144\x6f\155\x61\x69\156\163" => $domains, "\x66\157\162\155" => $form->createView(), "\x66\157\162\155\105\162\x72\157\162\163" => $this->formErrors]); goto fdd29; fdd29: b2940: goto ef9ef; Ccdf1: $subdomain = $resolvedDomainName->subDomain()->toString(); goto f2cae; a9213: $domains = array_map("\x74\x72\x69\155", $domains); goto ff7bb; d3834: if (!(false === is_null($response))) { goto ef765; } goto B4449; f2cae: $subdomain = false === empty($subdomain) ? $subdomain : null; goto f7db4; D3ca0: if (true === $request->isMethod("\x50\x4f\123\124")) { goto d4a93; } goto b13dc; Acf51: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto d4340; d4340: $form = $this->createForm("\x41\160\160\134\106\x6f\x72\x6d\x5c\123\151\164\145\114\x65\164\163\105\x6e\143\162\x79\160\164\x43\145\x72\164\151\146\x69\x63\141\x74\x65\124\x79\x70\145", [], ["\141\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\137\154\x65\x74\x73\x5f\145\x6e\143\162\x79\x70\x74\x5f\x63\145\x72\x74\151\146\x69\143\x61\164\x65\137\x6e\x65\x77", ["\144\x6f\x6d\141\x69\156\116\141\x6d\x65" => $domainName]), "\x6d\x65\164\150\x6f\144" => "\120\117\123\124", "\x61\164\x74\x72" => ["\x69\144" => "\x63\162\x65\141\x74\145\55\154\x65\164\x73\x2d\145\156\143\162\x79\x70\x74\x2d\143\x65\x72\x74\151\x66\x69\143\141\x74\145\55\x66\157\x72\155"]]); goto e4835; e4835: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\x61\x73\x73" => "\142\164\x6e\40\x62\x74\x6e\x2d\x62\154\165\x65\x20\142\x74\x6e\x2d\x6c\147"], "\154\141\x62\145\x6c" => "\x43\162\x65\141\x74\145\40\x61\x6e\144\x20\x49\x6e\163\164\141\x6c\154"]); goto A968d; A968d: return $form; goto e7b55; e7b55: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto b8599; b8599: if (!(true === $form->isValid())) { goto D3aa7; } goto b3f04; b3f04: try { goto a1f0d; fb3e3: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto e50b3; F42d6: $siteEntity->setCertificate($certificateEntity); goto e5389; Cee19: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto efa37; cc833: $letsEncryptClient = new LetsEncryptClient($privateKey); goto D23ee; f4936: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto D5077; ab727: $certificateEntity = $this->certificateEntityManager->createEntity(); goto aec42; A27a1: $this->siteEntityManager->updateEntity($siteEntity); goto Bd87c; e5389: $siteEntity->addCertificate($certificateEntity); goto A27a1; c8562: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto f4936; D3ecf: d00b1: goto aaf65; ad2d9: goto D167c; goto dd783; F0c66: if (!(true === empty($validationErrors))) { goto d00b1; } goto cc833; D23ee: $letsEncryptClient->registerAccount(); goto B3a39; E2519: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\x70\x72\151\166\x61\x74\x65\x5f\153\145\171"); goto C3e7a; B2aaa: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\137\143\x65\162\164\x69\x66\x69\143\141\x74\x65\x73", ["\144\x6f\155\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto dd018; e7413: if (false === is_null($siteEntity)) { goto b69c7; } goto Dc339; aaf65: if (true === empty($validationErrors)) { goto E59d5; } goto B32de; b186f: $distinguishedNameDomains = $domains; goto A48c6; Dc339: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x73")); goto D9fc0; d3e02: $siteUpdater = $this->getSiteUpdater($site); goto a4d99; f51b9: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\x43\145\x72\164\151\146\151\x63\x61\x74\145\40\150\x61\x73\40\142\x65\x65\156\40\x69\156\163\x74\x61\x6c\x6c\145\144\56")); goto B2aaa; a4d99: $siteUpdater->installCertificate($certificateEntity); goto F42d6; aec42: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto fa641; D826a: $letsEncryptClient->registerAccount(); goto Aeeef; a6c52: goto ce0d4; goto A0846; Ce34c: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto d3e02; fa641: $certificateEntity->setSite($siteEntity); goto ecb12; Be97a: D167c: goto B00fe; b5ba6: $domainName = $site->getDomainName(); goto Ac102; dd018: return $response; goto Be97a; c6f75: $certificateEntity->setCertificate($certificate->getCertificate()); goto Ce34c; c8670: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto c6f75; B5ed2: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto fb3e3; b0af6: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto D3ecf; dc8df: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto ab727; B32de: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\x20\45\x73", $domain, $validationErrorMessage))); cac47: } goto C3e6c; dd783: E59d5: goto b186f; D9fc0: return $response; goto a6c52; D5077: $csr = $csrGenerator->generate(); goto dc8df; Aeeef: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c56fd; C3e6c: A4a39: goto ad2d9; F023c: $siteUpdater = $this->getSiteUpdater($site); goto Cee19; C3e7a: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto Abb1f; E0bce: $rsaKeyGenerator = new RsaKeyGenerator(); goto c8562; b17b0: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto f51b9; c56fd: $siteUpdater = $this->getSiteUpdater($site); goto B5ed2; ecb12: $certificateEntity->setCsr($certificate->getCsr()); goto c8670; e9a84: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto E0bce; Ac102: $siteEntity = $this->getSiteEntity($domainName); goto e7413; Bd87c: $evenData = ["\x73\151\x74\145" => $domainName]; goto b17b0; a1f0d: $session = $request->getSession(); goto b5ba6; A48c6: $commonName = array_shift($distinguishedNameDomains); goto e9a84; e50b3: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto F0c66; B00fe: ce0d4: goto ebc19; Abb1f: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e5746; A0846: b69c7: goto F4ab6; e5746: $letsEncryptClient->setDryRun(true); goto D826a; B3a39: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto F023c; efa37: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto b0af6; F4ab6: $user = $this->getUser(); goto E2519; ebc19: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\162\x20\x68\x61\x73\x20\157\x63\143\x75\x72\x72\x65\144\54\40\145\162\162\157\162\x20\155\145\163\163\141\x67\x65\72\40\x25\145\162\162\x6f\x72\115\145\x73\163\141\x67\145\x25", ["\x25\x65\162\162\x6f\162\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto e2ca4; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); e2ca4: } goto C84b7; C84b7: D3aa7: goto Db3e5; Db3e5: $this->formErrors = $this->getErrorMessages($form); goto caa32; caa32: } public function installCertificate(Request $request) : Response { goto afea3; F9ed6: C4716: goto f3e97; fb4be: if (!(false === is_null($site))) { goto C4716; } goto E6a40; afea3: $site = $this->getSite($request); goto fb4be; f3e97: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x73")); goto eadef; E6a40: try { goto C88a8; dde40: $siteUpdater->installCertificate($certificateEntity); goto D8bb4; D8bb4: $siteEntity->setCertificate($certificateEntity); goto ee025; b6d53: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto B2167; cb57c: $certificateSiteEntity = $certificateEntity->getSite(); goto Cebab; C5735: $user = $this->getUser(); goto Ccd48; F86c5: return $response; goto b3e95; ee025: $this->siteEntityManager->updateEntity($siteEntity); goto bcd56; Cbe7d: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto e2026; C88a8: $session = $request->getSession(); goto ded11; Ccd48: $siteUpdater = $this->getSiteUpdater($site); goto dde40; ded11: $uid = $request->get("\x75\x69\144"); goto F77f9; b3e95: C28c2: goto e3b20; e2026: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto A3e63; } goto cb57c; B2167: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\x43\x65\162\x74\x69\x66\151\143\141\164\x65\40\x68\x61\x73\40\x62\x65\145\156\x20\x69\x6e\x73\164\141\x6c\x6c\145\144\56")); goto A4127; e3b20: A3e63: goto Ae770; A4127: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\145\x5f\x63\145\x72\x74\x69\x66\151\x63\141\164\x65\163", ["\x64\157\155\141\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto F86c5; Ead18: $siteEntity = $this->getSiteEntity($domainName); goto Cbe7d; Cebab: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto C28c2; } goto C5735; F77f9: $domainName = $site->getDomainName(); goto Ead18; bcd56: $evenData = ["\163\x69\164\145" => $domainName]; goto b6d53; Ae770: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\x72\157\x72\x20\150\141\163\x20\x6f\x63\x63\x75\x72\162\145\144\54\x20\145\162\162\157\162\x20\155\145\x73\x73\141\147\x65\x3a\40\45\x65\162\162\x6f\x72\x4d\x65\x73\163\141\x67\x65\x25", ["\x25\x65\162\x72\157\162\x4d\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto F9ed6; eadef: return $response; goto B1e6a; B1e6a: } public function deleteCertificate(Request $request) : Response { goto A8f3d; Df918: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\163")); goto E4a2a; c78bf: e76d6: goto Df918; E4a2a: return $response; goto fd0fc; f5dd8: if (!(false === is_null($site))) { goto e76d6; } goto bf2b3; bf2b3: try { goto Afabd; B76a2: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto ebb85; } goto D5608; E5dd2: $siteEntity = $this->getSiteEntity($domainName); goto A638a; b1fdc: $evenData = ["\x73\151\x74\x65" => $domainName]; goto b0f6a; A638a: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ab580; Dc43d: ebb85: goto E9331; A9f3d: $uid = $request->get("\x75\x69\x64"); goto fccf2; fccf2: $domainName = $site->getDomainName(); goto E5dd2; Afabd: $session = $request->getSession(); goto A9f3d; B4f3a: $certificateSiteEntity = $certificateEntity->getSite(); goto B76a2; D5608: $user = $this->getUser(); goto E9ddf; ddebb: return $response; goto Dc43d; E9ddf: $siteEntity->removeCertificate($certificateEntity); goto D7acf; ab580: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto A4c22; } goto B4f3a; c87dc: $session->getFlashBag()->set("\163\x75\x63\143\145\163\163", $this->translator->trans("\x43\x65\x72\164\x69\x66\151\143\x61\164\145\40\x68\x61\163\x20\142\145\x65\156\40\144\x65\154\145\164\145\144\x2e")); goto cda29; E9331: A4c22: goto A5804; b0f6a: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto c87dc; D7acf: $this->siteEntityManager->updateEntity($siteEntity); goto b1fdc; cda29: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\137\x63\x65\162\164\x69\x66\x69\x63\141\x74\x65\163", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto ddebb; A5804: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\162\x20\x68\141\163\x20\x6f\x63\x63\x75\x72\x72\145\144\54\40\x65\162\x72\157\x72\40\155\145\x73\x73\141\x67\145\72\40\x25\x65\x72\162\x6f\162\115\145\163\163\141\x67\145\45", ["\45\145\x72\x72\157\162\x4d\145\163\x73\141\147\145\45" => $e->getMessage()])); } goto c78bf; ac627: $this->checkCsrfToken($request, "\x63\x65\162\x74\151\146\151\x63\x61\x74\x65\x2d\x64\145\154\x65\x74\x65"); goto f5dd8; A8f3d: $site = $this->getSite($request); goto ac627; fd0fc: } public function databases(Request $request) : Response { goto B5f50; fce88: goto fc560; goto f37a6; B5f50: $site = $this->getSite($request); goto d697c; d697c: if (false === is_null($site)) { goto cd8b8; } goto e892d; Db472: D21f4: goto d0f91; e57ba: fc560: goto d1c8a; f37a6: cd8b8: goto a0460; d1c8a: return $response; goto eda07; b3ec7: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto acbf9; d0f91: $response = $this->render("\x46\x72\x6f\156\164\145\x6e\144\57\123\151\x74\145\57\144\x61\x74\141\142\x61\x73\145\163\56\150\164\x6d\x6c\x2e\164\x77\x69\147", ["\x73\x69\164\x65" => $site, "\x64\141\164\141\142\x61\x73\145\x73" => $databases, "\156\165\155\142\145\162\117\x66\104\x61\164\141\x62\x61\x73\x65\x55\x73\x65\162\163" => $numberOfDatabaseUsers, "\x64\x61\164\x61\x62\x61\x73\x65\123\145\162\166\145\x72" => $databaseServerEntity]); goto e57ba; d8245: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); aeda7: } goto Db472; e892d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x73")); goto fce88; acbf9: $numberOfDatabaseUsers = 0; goto d8245; a0460: $databases = $site->getDatabases(); goto b3ec7; eda07: } public function newDatabase(Request $request) : Response { goto d4e23; c3ed0: F2efa: goto E9701; ababe: if (!(true === $form->isSubmitted())) { goto F2efa; } goto f7d75; e874f: if (false === is_null($site)) { goto dd0b5; } goto f31bf; e81aa: C5549: goto c3ed0; c11fa: return $response; goto C9060; f7d75: $response = $this->handleDatabaseForm($request, $form, $site); goto a3112; Ada43: return $response; goto e81aa; ef096: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F22e6; E9701: d74d8: goto C934b; C934b: $response = $this->render("\106\x72\157\x6e\164\145\156\x64\x2f\x53\151\x74\x65\57\156\145\167\x2d\x64\x61\164\141\x62\141\x73\145\x2e\150\x74\x6d\x6c\56\164\x77\x69\147", ["\163\x69\164\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\157\162\155\105\x72\x72\x6f\162\163" => $this->formErrors]); goto A77ac; f31bf: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\x73")); goto e1af2; F22e6: $databaseEntity = $this->databaseEntityManager->createEntity(); goto A8fa7; C42d7: $form = $this->createDatabaseForm($site, $databaseEntity); goto c3947; A7815: dd0b5: goto ef096; A77ac: c7845: goto c11fa; A8fa7: $databaseEntity->setSite($siteEntity); goto C42d7; d3b67: $form->handleRequest($request); goto ababe; d4e23: $site = $this->getSite($request); goto e874f; a3112: if (!(false === is_null($response))) { goto C5549; } goto Ada43; c3947: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto d74d8; } goto d3b67; e1af2: goto c7845; goto A7815; C9060: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Cd97b; a0422: return $form; goto bbbf0; Cd97b: $form = $this->createForm("\x41\x70\160\x5c\x46\157\162\x6d\134\123\151\x74\x65\x44\x61\164\141\x62\x61\163\145\x54\171\160\145", $databaseEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\137\144\141\164\141\x62\x61\x73\x65\137\x6e\145\x77", ["\x64\157\155\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\120\x4f\123\124", "\141\164\x74\x72" => []]); goto cdd94; cdd94: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\x6c\141\x73\163" => "\142\x74\156\x20\142\164\156\x2d\142\154\x75\x65\x20\142\x74\x6e\x2d\154\147"], "\154\141\x62\x65\x6c" => "\101\x64\144\x20\104\x61\x74\x61\142\141\x73\x65"]); goto a0422; bbbf0: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto Cee88; Ddfeb: b0a14: goto Df7b7; Fa978: b4167: goto fa4d3; d5a78: goto b0a14; goto Fa978; A5a6f: $this->formErrors = $this->getErrorMessages($form); goto d5a78; Cee88: if (true === $form->isValid()) { goto b4167; } goto A5a6f; fa4d3: try { goto Fdaf9; C08d3: goto be1f1; goto a10ff; c8daa: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto acff5; acff5: $databaseEntity->setSite($siteEntity); goto f3bae; c961a: $siteEntity = $this->getSiteEntity($domainName); goto cfe2f; C1f77: be1f1: goto af600; D312e: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto c8daa; D869b: $databaseUserEntity->setDatabase($databaseEntity); goto B306a; e06a6: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\163", $this->translator->trans("\104\x61\x74\141\142\x61\163\x65\x20\x68\141\x73\40\x62\x65\x65\x6e\40\x61\x64\144\145\x64\56")); goto A2212; E55c5: $databaseManager->createDatabase($databaseEntity); goto Cbc44; B306a: $databaseEntity->addUser($databaseUserEntity); goto ca9fd; ca9fd: $siteEntity->addDatabase($databaseEntity); goto E55c5; F1a34: $databaseUserEntity->setUserName($databaseUserName); goto a5be2; bc08d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto F1a34; a10ff: cf768: goto a0324; b4205: $databaseUserPassword = $form->get("\165\163\145\162\x50\141\163\x73\x77\157\x72\x64")->getData(); goto bc08d; A2212: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\137\x64\x61\164\x61\142\141\163\x65\x73", ["\x64\157\x6d\141\x69\156\116\x61\x6d\145" => $site->getDomainName()])); goto C1f77; f3bae: $databaseUserName = $form->get("\x75\x73\145\x72\116\x61\155\x65")->getData(); goto b4205; Cbc44: $databaseManager->createUser($databaseUserEntity); goto fe62a; c2eb3: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto D869b; F92f1: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto e06a6; cfe2f: if (false === is_null($siteEntity)) { goto cf768; } goto aeb50; fe62a: $this->siteEntityManager->updateEntity($siteEntity); goto ca870; aeb50: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\137\x64\x61\x74\x61\x62\141\163\x65\137\156\145\x77", ["\144\x6f\x6d\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto C08d3; ca870: $eventData = ["\x73\x69\x74\145" => $domainName, "\144\141\x74\x61\x62\x61\x73\x65" => $databaseEntity->getName(), "\x64\141\164\x61\x62\x61\x73\x65\125\x73\x65\162\116\x61\155\x65" => $databaseUserEntity->getUserName()]; goto F92f1; Fdaf9: $user = $this->getUser(); goto C879b; Cd297: $domainName = $site->getDomainName(); goto c961a; af600: return $response; goto a5cb8; C879b: $session = $request->getSession(); goto Cd297; ee8ad: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D312e; a5be2: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto c2eb3; a0324: $databaseEntity = $form->getData(); goto ee8ad; a5cb8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\x65\162\x72\157\162\x20\x68\141\163\x20\157\143\x63\165\x72\x72\145\144\x2c\x20\145\x72\162\x6f\x72\40\x6d\x65\163\x73\x61\147\145\x3a\x20\45\145\x72\x72\157\x72\115\145\x73\163\141\147\x65\x25", ["\x25\x65\162\162\x6f\x72\115\145\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto Ddfeb; Df7b7: } public function deleteDatabase(Request $request) : Response { goto b8b3e; dd76d: return $response; goto ead41; b4505: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto d0a41; } goto A3710; f3b72: $databaseName = $request->get("\x64\141\164\141\142\141\x73\x65\116\141\x6d\x65"); goto Ed6a8; Ed6a8: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto b131f; A3710: try { goto e2d50; Aa205: $domainName = $site->getDomainName(); goto D736e; dfc4b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto A5ed2; f4298: $eventData = ["\163\x69\164\x65" => $domainName, "\x64\x61\x74\141\x62\141\163\145" => $databaseEntity->getName()]; goto dfc4b; A5ed2: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\x73", $this->translator->trans("\104\x61\164\x61\142\x61\163\145\40\150\141\x73\x20\142\x65\x65\156\x20\x64\145\x6c\145\164\x65\144\x2e")); goto Ad0c1; f9c5b: $session = $request->getSession(); goto Aa205; Bb4d5: $databaseManager->deleteDatabase($databaseEntity, true); goto C99af; C99af: $siteEntity->removeDatabase($databaseEntity); goto C4196; D736e: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto e4460; e2d50: $user = $this->getUser(); goto f9c5b; e4460: $databaseManager = new DatabaseManager($databaseServerEntity); goto Bb4d5; C4196: $this->siteEntityManager->updateEntity($siteEntity); goto f4298; Ad0c1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\162\162\x6f\x72\40\150\141\x73\x20\x6f\143\143\x75\162\162\x65\144\54\40\x65\x72\x72\157\162\40\x6d\145\163\x73\x61\147\145\x3a\x20\45\x65\162\x72\x6f\x72\115\145\163\x73\x61\147\x65\x25", ["\x25\x65\x72\162\157\162\115\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto bfb96; b8b3e: $site = $this->getSite($request); goto A2b9b; F09f8: a59f6: goto b5066; B3cfc: if (!(false === is_null($site))) { goto a59f6; } goto f3b72; A2b9b: $this->checkCsrfToken($request, "\x64\x61\164\x61\x62\x61\x73\x65\x2d\144\x65\x6c\x65\x74\x65"); goto B3cfc; bfb96: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\x64\141\x74\x61\x62\x61\163\x65\163", ["\144\x6f\x6d\x61\151\156\116\141\155\x65" => $site->getDomainName()])); goto E2701; E090a: d0a41: goto F09f8; b5066: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\x73")); goto dd76d; E2701: return $response; goto E090a; b131f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b4505; ead41: } public function phpMyAdmin(Request $request) : Response { goto c57d6; Ccc4b: B7358: goto ea2f5; E678c: return $response; goto d178e; Cdf87: $response->headers->clearCookie("\x70\x6d\x61\101\165\164\150\x2d\61\x5f\x68\164\x74\x70\x73"); goto fae2b; c6074: if (!(false === is_null($activeDatabaseServerEntity))) { goto B7358; } goto A15d8; A9697: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\x73")); goto ae414; F840b: $response = new RedirectResponse($phpMyAdminUrl); goto E678c; e3268: $data = ["\x68\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\160\x6f\162\x74" => $activeDatabaseServerEntity->getPort()]; goto B0fec; Ff3ac: $site = $this->getSite($request); goto a6611; b7940: $response = new RedirectResponse($phpMyAdminUrl); goto Ac606; F147b: De02c: goto Ff3ac; ea2f5: goto F06b0; goto F147b; B8d95: $phpMyAdminUrl = sprintf("\x68\164\x74\x70\163\72\57\57\45\x73\72\45\163\x2f\x70\x68\x70\x6d\171\x61\144\x6d\151\156\x2f\154\157\147\x69\156\x2e\x70\x68\x70", $request->getHost(), $request->getPort()); goto C796e; f30af: $session->set("\143\154\x70\x2d\160\x6d\141", $data); goto F840b; d08fe: a4f25: goto F1da2; C8213: return $response; goto Ccc4b; d178e: E758b: goto Cba93; ae414: return $response; goto C7505; b7c80: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c6074; A56b4: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto f5d9e; } goto E63e7; C796e: $data = ["\x68\x6f\163\164" => $activeDatabaseServerEntity->getHost(), "\165\163\x65\162\116\x61\155\145" => $databaseUserEntity->getUserName(), "\160\141\163\x73\167\157\x72\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\157\162\164" => $activeDatabaseServerEntity->getPort()]; goto f30af; D2b7c: $databaseUserName = $request->get("\144\x61\164\141\142\141\163\x65\x55\163\145\162\x4e\141\x6d\145"); goto a0c81; bec9c: if (false === is_null($domainName)) { goto De02c; } goto b7c80; a4478: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto E758b; } goto B8d95; Cba93: f5d9e: goto d08fe; B0fec: $session->set("\x63\154\x70\x2d\x70\155\x61", $data); goto b7940; A1c1f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A56b4; ef399: $session = $request->getSession(); goto bec9c; A15d8: $phpMyAdminUrl = sprintf("\150\x74\164\x70\163\x3a\57\x2f\45\163\x3a\45\163\x2f\160\x68\160\x6d\171\x61\144\x6d\151\156\57\x6c\157\x67\151\x6e\56\160\150\160", $request->getHost(), $request->getPort()); goto e3268; fae2b: $response->headers->clearCookie("\x53\151\147\156\x6f\x6e\x53\145\163\x73\151\x6f\x6e"); goto C8213; Ac606: $response->headers->clearCookie("\143\154\160\x2d\x70\x6d\141"); goto d11b1; a0c81: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto A1c1f; c57d6: $domainName = $request->get("\x64\157\155\141\151\156\116\x61\x6d\x65"); goto ef399; a6611: if (!(false === is_null($site))) { goto a4f25; } goto D2b7c; F1da2: F06b0: goto A9697; E63e7: $databaseEntity = $databaseUserEntity->getDatabase(); goto a4478; d11b1: $response->headers->clearCookie("\x70\x68\x70\115\171\x41\144\155\x69\156\x5f\x68\164\164\160\x73"); goto Cdf87; C7505: } public function phpMyAdminLogout(Request $request) { goto Edd39; e3c98: $response->headers->clearCookie("\160\155\141\101\x75\x74\x68\x2d\x31\x5f\150\164\x74\x70\163"); goto Ba5d6; cd3a2: return $response; goto B58e5; Ba5d6: $response->headers->clearCookie("\x53\151\x67\156\x6f\156\x53\x65\163\163\x69\157\x6e"); goto cd3a2; Edd39: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\145\x73")); goto E8e34; abfda: $response->headers->clearCookie("\160\x68\x70\x4d\x79\x41\144\x6d\151\156\137\x68\x74\x74\x70\163"); goto e3c98; E8e34: $response->headers->clearCookie("\x63\x6c\x70\55\x70\155\x61"); goto abfda; B58e5: } public function newDatabaseUser(Request $request) : Response { goto B7524; Fb048: $response = $this->handleDatabaseUserForm($request, $form, $site); goto ef2dc; C2bbd: return $response; goto F59ab; Dce08: B5436: goto bf947; c679a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\x65\163")); goto a320c; bf947: return $response; goto d4c4d; Bf65c: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto ff47d; } goto c860b; b71a6: $databases = $site->getDatabases(); goto D9620; A7875: a3b22: goto b71a6; a320c: goto B5436; goto A7875; Ace91: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\137\144\x61\164\x61\142\141\x73\x65\x73", ["\x64\x6f\155\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto dfdf7; B8c5a: $session = $request->getSession(); goto c7839; Fd1c1: if (false === is_null($site)) { goto a3b22; } goto c679a; c2d29: $databaseUserEntity->setSite($siteEntity); goto Af7a8; da27b: ff47d: goto fdc50; B7524: $site = $this->getSite($request); goto Fd1c1; Db7bf: b7929: goto Dce08; D9620: $domainName = $site->getDomainName(); goto C2893; A793a: c3c35: goto a78be; C2893: $siteEntity = $this->getSiteEntity($domainName); goto ede11; c163c: f2b5b: goto da27b; fdc50: $response = $this->render("\106\x72\x6f\156\x74\x65\156\144\57\x53\151\164\x65\57\x6e\x65\x77\55\x64\141\164\x61\142\x61\163\x65\55\165\x73\x65\x72\x2e\150\x74\155\x6c\56\164\x77\x69\x67", ["\163\x69\x74\145" => $site, "\144\141\164\141\x62\x61\x73\145\125\163\x65\x72" => $databaseUserEntity, "\144\x61\x74\x61\x62\141\x73\145\163" => $databases, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\155\x45\x72\x72\x6f\162\163" => $this->formErrors]); goto Db7bf; a78be: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto c2d29; dfdf7: goto b7929; goto A793a; Af7a8: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto Bf65c; c7839: $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x4e\x6f\40\144\x61\x74\x61\x62\141\x73\145\40\x66\x6f\x75\x6e\144\73\x20\x63\x72\x65\141\x74\x65\x20\x61\x20\x64\141\164\x61\142\x61\x73\x65\x20\146\x69\162\x73\x74\x2e")); goto Ace91; B452b: if (!(true === $form->isSubmitted())) { goto f2b5b; } goto Fb048; c860b: $form->handleRequest($request); goto B452b; ede11: if (count($databases) && false === is_null($siteEntity)) { goto c3c35; } goto B8c5a; F59ab: Ef5b6: goto c163c; ef2dc: if (!(false === is_null($response))) { goto Ef5b6; } goto C2bbd; d4c4d: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto a750d; A37dc: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\x61\163\163" => "\142\164\156\x20\x62\x74\156\x2d\x62\154\x75\145\x20\x62\164\156\55\154\x67"], "\x6c\x61\x62\145\x6c" => "\x41\x64\x64\x20\x44\141\164\141\142\141\x73\x65\40\x55\163\145\x72"]); goto D5d6a; a750d: $form = $this->createForm("\101\x70\160\134\106\x6f\162\155\x5c\123\151\164\145\x44\x61\164\141\142\x61\163\x65\x55\163\x65\162\124\x79\160\x65", $databaseUserEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\x5f\x64\x61\x74\141\x62\141\x73\145\x5f\165\x73\145\x72\x5f\156\x65\x77", ["\144\157\x6d\141\151\156\116\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\x64" => "\x50\117\123\x54", "\x61\x74\x74\x72" => []]); goto A37dc; D5d6a: return $form; goto D4246; D4246: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto F17f1; e3128: goto B5743; goto c6645; Dd315: try { goto C58ac; a57de: $databaseUserEntity = $form->getData(); goto c937b; c937b: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto f030f; Ee2d3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A4228; d8a25: $databaseName = $databaseEntity->getName(); goto e3c38; Ae44c: E7fc2: goto C0755; ae498: $databaseManager->createUser($databaseUserEntity); goto A43db; B2797: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto fc19a; d6635: $domainName = $site->getDomainName(); goto b7635; e3c38: $eventData = ["\x73\151\164\x65" => $domainName, "\144\141\x74\141\x62\141\x73\145\x55\163\145\x72\116\x61\x6d\x65" => $databaseUserEntity->getUserName(), "\160\x65\162\155\151\163\x73\x69\157\x6e\x73" => $databaseUserEntity->getPermissions(), "\144\x61\x74\x61\142\x61\163\145" => $databaseName]; goto B2797; b6c67: if (false === is_null($siteEntity)) { goto c9624; } goto F0b85; F0b85: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\x65\137\144\141\164\x61\142\x61\163\x65\x5f\165\163\145\x72\x5f\x6e\x65\x77", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto c42fb; f030f: $databaseUserEntity->setPassword($encryptedPassword); goto Ee2d3; c42fb: goto E7fc2; goto C1adb; C0755: return $response; goto Ae5c6; Db900: $databaseEntity = $databaseUserEntity->getDatabase(); goto d8a25; b7635: $siteEntity = $this->getSiteEntity($domainName); goto b6c67; fc19a: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\104\x61\x74\141\142\x61\x73\x65\40\x55\163\145\x72\40\150\141\163\40\x62\145\x65\x6e\40\x61\144\x64\x65\144\56")); goto Ef4f1; C58ac: $user = $this->getUser(); goto e06c5; e06c5: $session = $request->getSession(); goto d6635; A4228: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ae498; C1adb: c9624: goto a57de; A43db: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Db900; Ef4f1: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\x5f\x64\141\164\141\x62\x61\163\145\163", ["\144\x6f\155\x61\151\156\116\x61\155\x65" => $site->getDomainName()])); goto Ae44c; Ae5c6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\101\x6e\x20\x65\x72\x72\x6f\162\x20\x68\x61\x73\x20\x6f\143\x63\x75\162\162\145\144\54\40\x65\x72\x72\157\162\x20\x6d\x65\x73\x73\141\147\145\72\40\x25\145\162\x72\x6f\x72\115\145\x73\x73\x61\x67\x65\45", ["\x25\x65\162\x72\x6f\x72\115\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto d9fd4; F17f1: if (true === $form->isValid()) { goto Caa6d; } goto D495d; D495d: $this->formErrors = $this->getErrorMessages($form); goto e3128; c6645: Caa6d: goto Dd315; d9fd4: B5743: goto f6065; f6065: } public function editDatabaseUser(Request $request) : Response { goto a6f67; d665d: $databaseUserEntity->setPassword(''); goto Ecc91; fea94: return $response; goto d8f6c; Ba16e: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto Cfb14; } goto fd273; a8b96: E9264: goto b3b5c; d2014: $response = $this->render("\106\162\157\x6e\164\145\156\x64\x2f\123\x69\164\x65\x2f\145\144\x69\164\55\x64\141\x74\x61\142\x61\x73\145\55\165\163\145\162\56\150\164\x6d\x6c\x2e\164\x77\151\x67", ["\x73\151\164\145" => $site, "\x64\x61\x74\141\x62\x61\163\x65\x55\163\x65\162" => $databaseUserEntity, "\146\x6f\162\155" => $form->createView(), "\x66\x6f\162\x6d\105\x72\162\157\162\163" => $this->formErrors]); goto Da67c; a1656: if (false === is_null($site)) { goto af405; } goto b9257; E8197: if (!(false === is_null($databaseUserEntity))) { goto d1a27; } goto d665d; c722b: $databaseUserName = $request->get("\144\x61\x74\x61\142\x61\x73\145\x55\x73\145\x72\x4e\x61\155\145"); goto d63ff; B8d2d: $databases = $site->getDatabases(); goto f3a09; F1609: $session = $request->getSession(); goto C96a0; cb459: bc150: goto c722b; a991e: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto Cf419; d63ff: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto E8197; ec246: $siteEntity = $this->getSiteEntity($domainName); goto C370d; Cf419: if (!(false === is_null($response))) { goto E9264; } goto a7275; C370d: if (count($databases) && false === is_null($siteEntity)) { goto bc150; } goto F1609; fd273: $form->handleRequest($request); goto d0884; Fd7a4: af405: goto B8d2d; b9257: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\x65\163")); goto a12ca; d0884: if (!(true === $form->isSubmitted())) { goto Bca22; } goto a991e; Faf7a: f2192: goto fea94; C96a0: $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\116\157\40\144\x61\x74\x61\142\141\163\x65\40\146\157\165\x6e\x64\x3b\40\143\x72\x65\141\x74\x65\40\x61\40\144\141\164\141\x62\x61\163\x65\40\146\151\x72\163\x74\x2e")); goto c7e80; a12ca: goto f2192; goto Fd7a4; Cafa3: Cfb14: goto d2014; b3b5c: Bca22: goto Cafa3; Ecc91: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto Ba16e; Cd8b9: c97a4: goto Faf7a; a7275: return $response; goto a8b96; a6f67: $site = $this->getSite($request); goto a1656; a5c2f: goto c97a4; goto cb459; Da67c: d1a27: goto Cd8b9; f3a09: $domainName = $site->getDomainName(); goto ec246; c7e80: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\137\144\x61\x74\141\142\141\x73\145\163", ["\x64\x6f\155\x61\x69\156\116\141\155\145" => $site->getDomainName()])); goto a5c2f; d8f6c: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto C4c4c; b4215: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\163\163" => "\x62\164\x6e\x20\142\x74\x6e\x2d\x62\154\165\x65\x20\142\164\x6e\55\154\x67"], "\x6c\141\x62\x65\154" => "\123\x61\x76\x65"]); goto F1e4a; C4c4c: $form = $this->createForm("\x41\160\x70\x5c\106\157\162\155\134\123\151\x74\x65\104\141\x74\x61\142\141\163\x65\x55\163\145\162\x45\x64\151\164\124\x79\x70\145", $databaseUserEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\160\x5f\x73\151\164\x65\x5f\x64\x61\x74\x61\142\141\x73\x65\137\x75\163\x65\x72\x5f\x65\x64\x69\164", ["\x64\157\x6d\141\x69\156\116\141\x6d\145" => $site->getDomainName(), "\144\x61\x74\x61\x62\x61\x73\x65\125\x73\145\162\x4e\x61\x6d\x65" => $databaseUserEntity->getUserName()]), "\x6d\x65\x74\x68\x6f\x64" => "\x50\117\123\124", "\141\164\164\x72" => []]); goto b4215; F1e4a: return $form; goto c9cb1; c9cb1: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto A49f9; edde9: goto A6b16; goto c9265; dd51e: A6b16: goto d2435; F70c0: $this->formErrors = $this->getErrorMessages($form); goto edde9; c2acd: try { goto C3ba7; Eef52: $databaseEntity = $databaseUserEntity->getDatabase(); goto E8dd6; afc07: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F7d43; e05da: $session->getFlashBag()->set("\163\x75\143\143\145\163\x73", $this->translator->trans("\104\x61\x74\141\x62\141\163\x65\x20\x55\x73\145\x72\40\x68\x61\163\x20\x62\145\145\x6e\x20\165\x70\144\141\x74\x65\144\x2e")); goto C6b9d; Bf561: $domainName = $site->getDomainName(); goto b0748; E2855: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Eef52; d1b23: $databaseUserEntity->setPassword($encryptedPassword); goto afc07; bdff4: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto e05da; b0748: $siteEntity = $this->getSiteEntity($domainName); goto Eefe3; c797f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\x5f\x64\141\x74\141\142\x61\x73\145\137\165\x73\x65\162\x5f\x6e\145\167", ["\x64\157\155\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto d5fae; F0374: $databaseUserEntity = $form->getData(); goto f7b65; C3ba7: $user = $this->getUser(); goto b6c0e; e126b: $databaseManager->createUser($databaseUserEntity); goto E2855; eafd1: $eventData = ["\x73\151\x74\x65" => $domainName, "\x64\141\164\x61\x62\141\163\x65\x55\x73\145\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName(), "\160\145\162\155\x69\163\163\x69\157\156\x73" => $databaseUserEntity->getPermissions(), "\144\x61\x74\141\142\x61\163\145" => $databaseName]; goto bdff4; d5fae: goto F3d58; goto Bb207; Eefe3: if (false === is_null($siteEntity)) { goto Ddf5e; } goto c797f; C6b9d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\x5f\144\x61\x74\x61\142\x61\163\x65\163", ["\x64\157\155\141\151\156\116\x61\155\x65" => $site->getDomainName()])); goto E7afd; Bb207: Ddf5e: goto F0374; b6c0e: $session = $request->getSession(); goto Bf561; E7afd: F3d58: goto D315b; f7b65: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto d1b23; F7d43: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto e126b; E8dd6: $databaseName = $databaseEntity->getName(); goto eafd1; D315b: return $response; goto b5318; b5318: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\101\x6e\40\145\162\x72\157\x72\x20\150\x61\x73\40\157\143\143\x75\162\x72\145\144\54\40\x65\x72\162\x6f\x72\x20\155\x65\x73\163\141\x67\x65\x3a\40\x25\145\x72\162\x6f\162\x4d\145\x73\163\x61\147\x65\45", ["\x25\x65\x72\162\x6f\x72\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto dd51e; A49f9: if (true === $form->isValid()) { goto Ac426; } goto F70c0; c9265: Ac426: goto c2acd; d2435: } public function deleteDatabaseUser(Request $request) : Response { goto d77d2; C4938: if (!(false === is_null($site))) { goto f98ac; } goto F2e47; E1be1: try { goto A7f8b; c406c: $eventData = ["\x73\x69\x74\x65" => $domainName, "\144\x61\164\141\142\141\x73\145\125\x73\x65\x72\x4e\x61\155\145" => $databaseUserName]; goto ac93d; b21fd: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ca37a; B039d: $databaseManager->deleteUser($databaseUserEntity); goto ee74e; C419d: $session = $request->getSession(); goto b21fd; ab42f: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto ec918; } goto D6680; ca37a: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B039d; ee74e: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto Ad15f; D6680: $user = $this->getUser(); goto dfd26; ac93d: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto ca94f; Ad15f: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\104\141\x74\141\142\141\163\145\40\125\163\x65\162\40\150\141\x73\40\x62\145\145\x6e\40\x64\x65\x6c\145\x74\145\144\56")); goto c406c; ca94f: ec918: goto a67a5; dfd26: $domainName = $site->getDomainName(); goto C419d; A7f8b: $databaseEntity = $databaseUserEntity->getDatabase(); goto ab42f; a67a5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\145\162\162\157\x72\40\x68\x61\163\x20\157\x63\x63\165\x72\162\x65\x64\54\40\145\162\162\157\162\x20\x6d\x65\x73\163\x61\147\x65\72\40\x25\x65\162\x72\x6f\x72\115\145\163\163\141\x67\x65\x25", ["\x25\x65\162\162\157\162\115\145\163\163\141\147\145\45" => $e->getMessage()])); } goto dd0a2; F2e47: $databaseUserName = $request->get("\144\141\164\x61\x62\141\163\x65\125\163\x65\162\116\x61\x6d\x65"); goto ead65; a0ed1: f98ac: goto c0e84; Ea2fa: if (!(false === is_null($databaseUserEntity))) { goto cb428; } goto E1be1; Daa76: return $response; goto B44b2; C2a8a: return $response; goto d2bef; dd0a2: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\137\144\x61\x74\141\x62\141\x73\145\x73", ["\144\157\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Daa76; Fa6f6: $this->checkCsrfToken($request, "\144\141\164\141\142\x61\163\x65\55\x75\163\x65\x72\55\144\145\x6c\145\164\145"); goto C4938; c0e84: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\163")); goto C2a8a; d77d2: $site = $this->getSite($request); goto Fa6f6; B44b2: cb428: goto a0ed1; ead65: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Ea2fa; d2bef: } public function varnishCache(Request $request) : Response { goto e8f60; F2ec1: Cae85: goto F4606; A5d04: return $response; goto bdf65; da57d: goto f557c; goto D5af9; dce61: $settingsForm->handleRequest($request); goto F37a6; Ce81b: if (!(false === is_null($response))) { goto A4af6; } goto b339e; bdf65: fe5ad: goto F2ec1; E93f0: $varnishCacheSettingsData = ["\x69\163\105\156\x61\x62\154\145\144" => true === isset($varnishCacheSettings["\145\x6e\x61\142\154\x65\x64"]) && true === $varnishCacheSettings["\x65\x6e\x61\x62\x6c\145\144"] ? true : false, "\x73\145\x72\x76\x65\162" => true === isset($varnishCacheSettings["\163\x65\162\166\145\x72"]) ? $varnishCacheSettings["\x73\145\162\166\145\x72"] : "\x31\62\x37\56\x30\56\60\56\x31\72\x36\x30\x38\x31", "\143\x61\143\150\145\124\x61\x67\120\162\x65\x66\151\170" => true === isset($varnishCacheSettings["\x63\141\143\150\145\124\141\x67\x50\162\x65\146\151\170"]) ? $varnishCacheSettings["\x63\141\143\x68\145\124\141\x67\x50\162\145\x66\151\170"] : substr(md5(time()), 0, 4), "\x63\x61\143\x68\x65\114\x69\x66\x65\164\x69\x6d\145" => true === isset($varnishCacheSettings["\143\141\143\x68\145\114\151\146\x65\x74\151\x6d\x65"]) ? $varnishCacheSettings["\143\141\x63\150\x65\x4c\x69\146\145\x74\x69\155\x65"] : "\x36\x30\x34\70\x30\x30", "\x65\x78\143\x6c\x75\x64\x65\144\x50\x61\x72\x61\x6d\163" => true === isset($varnishCacheSettings["\145\170\x63\x6c\x75\x64\145\x64\120\x61\x72\141\155\163"]) ? implode("\x2c", $varnishCacheSettings["\x65\x78\x63\x6c\165\144\145\x64\x50\141\x72\x61\x6d\163"]) : "\x5f\137\123\x49\x44\54\156\x6f\x43\141\143\x68\145\54", "\x65\x78\x63\x6c\x75\x64\x65\163" => true === isset($varnishCacheSettings["\145\170\143\154\165\x64\145\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\170\x63\x6c\x75\x64\x65\163"]) : '']; goto Efd2c; ddeba: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\163")); goto da57d; E3c42: B6677: goto C0234; C0234: $response = $this->render("\106\162\157\156\164\145\x6e\x64\57\123\151\164\x65\x2f\x76\141\x72\156\x69\163\150\55\x63\x61\143\x68\x65\x2e\150\x74\155\154\x2e\164\x77\x69\147", ["\x73\x69\164\x65" => $site, "\x73\145\164\x74\151\x6e\x67\163\106\157\162\155" => $settingsForm->createView(), "\x70\165\162\x67\145\103\x61\143\x68\x65\106\x6f\x72\x6d" => $purgeCacheForm->createView(), "\146\x6f\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto E247d; e471f: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto F88a8; a7f96: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto E93f0; E247d: f557c: goto Ee074; F88a8: if (!(false === is_null($response))) { goto fe5ad; } goto A5d04; b339e: return $response; goto c2353; c1b85: if (false === is_null($site) && true === $site->getVarnishCache()) { goto F7180; } goto ddeba; F37a6: $purgeCacheForm->handleRequest($request); goto cef1c; D5af9: F7180: goto a7f96; Efd2c: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto dbbda; c2353: A4af6: goto Ef02d; e8f60: $site = $this->getSite($request); goto c1b85; cef1c: if (!(true === $settingsForm->isSubmitted())) { goto Cae85; } goto e471f; f78e1: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto B6677; } goto dce61; Ee074: return $response; goto ef99f; Ef02d: Fcd24: goto E3c42; F4606: if (!(true === $purgeCacheForm->isSubmitted())) { goto Fcd24; } goto a1ec4; a1ec4: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto Ce81b; dbbda: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto f78e1; ef99f: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto a5ad4; C253b: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\x61\x73\163" => "\x62\x74\156\x20\x62\x74\156\55\x62\x6c\x75\145\x20\142\164\156\x2d\154\x67"], "\154\141\142\145\x6c" => "\123\141\x76\145"]); goto E8164; a5ad4: $form = $this->createForm("\x41\x70\160\x5c\x46\157\162\155\x5c\123\151\164\145\126\x61\x72\x6e\151\x73\150\103\141\x63\x68\x65\123\x65\164\164\151\156\147\163\124\171\160\x65", $data, ["\x61\143\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\137\x76\x61\162\x6e\x69\163\x68\137\143\141\x63\150\x65", ["\144\157\x6d\141\151\x6e\x4e\141\155\145" => $site->getDomainName()]), "\x6d\145\164\x68\x6f\x64" => "\x50\117\123\124", "\x61\x74\x74\162" => []]); goto C253b; E8164: return $form; goto e5ddc; e5ddc: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto ead3b; b58b9: return $form; goto c0235; ead3b: $form = $this->createForm("\x41\160\160\x5c\106\x6f\162\x6d\x5c\123\151\164\145\126\141\162\156\x69\163\x68\103\x61\x63\x68\x65\120\x75\162\147\x65\x43\x61\143\x68\x65\124\x79\x70\x65", ["\163\151\164\145" => $site], ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\x69\164\x65\x5f\x76\x61\162\156\x69\x73\150\x5f\143\x61\143\x68\145", ["\x64\x6f\155\141\x69\156\116\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\120\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto aee7a; aee7a: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\141\x73\163" => "\x62\x74\156\x20\142\x74\156\55\142\x6c\165\145\x20\142\x74\156\55\x6c\147"], "\x6c\x61\x62\145\x6c" => "\120\165\x72\x67\x65\40\x43\141\143\x68\145"]); goto b58b9; c0235: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto ad33b; Af9ab: a2642: goto Fa0af; D3d7d: try { goto Aaf2e; E3e21: $excludes = array_map("\164\162\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\x78\143\154\x75\x64\x65\x73")->getData())))); goto ca0e3; fce68: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\x56\141\x72\x6e\151\x73\x68\x20\103\141\x63\150\x65\x20\123\x65\x74\164\x69\156\x67\163\x20\150\141\x76\x65\40\142\145\145\x6e\x20\x73\x61\166\x65\144\x2e")); goto e131c; Ed557: $domainName = $site->getDomainName(); goto Eb207; D4989: goto ce80d; goto E7cf0; Dd3e4: $excludedParams = array_map("\x74\x72\151\x6d", array_filter(explode("\x2c", trim($form->get("\x65\170\x63\154\165\144\145\x64\x50\x61\x72\141\155\163")->getData())))); goto E3e21; Cd631: $isEnabled = $form->get("\x69\163\105\156\x61\142\154\145\144")->getData(); goto dd821; ca0e3: $varnishCacheSettings = ["\145\x6e\141\142\x6c\145\144" => $isEnabled, "\x73\145\x72\166\x65\x72" => $server, "\143\x61\x63\x68\x65\x54\141\147\120\162\x65\146\151\170" => $cacheTagPrefix, "\x63\x61\143\x68\x65\114\151\x66\x65\164\x69\155\x65" => $cacheLifetime, "\145\170\143\154\x75\x64\x65\x73" => $excludes, "\x65\170\143\x6c\165\x64\145\x64\120\x61\162\x61\155\x73" => $excludedParams]; goto Ca2f7; e6ec1: $cacheLifetime = $form->get("\x63\141\x63\150\145\114\151\146\x65\x74\151\155\145")->getData(); goto cb5ea; E7cf0: B156e: goto Ebfd0; cb5ea: $cacheTagPrefix = $form->get("\x63\x61\x63\x68\x65\x54\141\147\x50\162\145\x66\151\x78")->getData(); goto Dd3e4; c7c4c: ce80d: goto cf157; Aaf2e: $session = $request->getSession(); goto Ed557; C8bbe: $eventData = ["\163\x69\164\x65" => $domainName, "\166\141\162\156\x69\x73\x68\103\x61\x63\x68\145\105\156\141\x62\154\145\144" => $isEnabled, "\x73\x65\162\166\x65\x72" => $server, "\x63\141\x63\x68\145\x54\141\147\120\x72\x65\x66\151\x78" => $cacheTagPrefix, "\x63\x61\143\x68\145\114\x69\x66\x65\x74\151\x6d\145" => $cacheLifetime, "\145\170\x63\154\165\x64\145\x73" => $excludes, "\x65\x78\x63\154\165\144\x65\x64\120\x61\x72\x61\x6d\x73" => $excludedParams]; goto B614e; Bef60: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\163")); goto D4989; Eb207: $siteEntity = $this->getSiteEntity($domainName); goto e31a1; cf157: return $response; goto Bcd9b; Ebfd0: $user = $this->getUser(); goto Cd631; e31a1: if (false === is_null($siteEntity)) { goto B156e; } goto Bef60; dd821: $server = $form->get("\x73\x65\x72\x76\145\162")->getData(); goto e6ec1; Ca2f7: $site->setVarnishCacheSettings($varnishCacheSettings); goto c7fb2; e131c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\137\x76\x61\162\x6e\x69\163\150\x5f\143\x61\143\150\145", ["\144\x6f\x6d\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto c7c4c; c7fb2: $siteUpdater = $this->getSiteUpdater($site); goto A6942; B614e: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto fce68; A6942: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto C8639; C8639: $siteUpdater->phpSettings(); goto C8bbe; Bcd9b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\162\x6f\x72\40\x68\141\163\40\x6f\x63\143\165\162\162\145\x64\x2c\x20\145\x72\162\157\x72\x20\155\145\163\163\x61\147\145\72\40\x25\145\x72\x72\x6f\x72\115\145\x73\163\x61\x67\x65\x25", ["\45\145\x72\x72\x6f\x72\x4d\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto Af9ab; ad33b: if (true === $form->isValid()) { goto C702e; } goto Eaa3e; Ec521: C702e: goto D3d7d; Eaa3e: $this->formErrors = $this->getErrorMessages($form); goto f5719; f5719: goto a2642; goto Ec521; Fa0af: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto E675e; E675e: if (true === $form->isValid()) { goto cf4aa; } goto d989d; d989d: $this->formErrors = $this->getErrorMessages($form); goto ab59a; ab59a: goto D6999; goto Ffe25; C0faa: D6999: goto Cd731; Ffe25: cf4aa: goto abecd; abecd: try { goto A5451; ee858: e3c7e: goto Dc7b0; Dc7b0: $user = $this->getUser(); goto e26f6; Bddd8: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\x56\141\162\156\151\x73\x68\x20\103\x61\143\150\x65\x20\x68\x61\x73\40\142\145\x65\x6e\x20\x70\x75\x72\x67\x65\144\56")); goto b98b9; a1af2: return $response; goto F487a; B0569: E97d0: goto a1af2; d323c: throw new \Exception("\126\141\x72\156\151\x73\150\x20\x43\x61\x63\150\145\x20\123\x65\164\x74\151\156\x67\x73\x20\143\141\x6e\156\157\x74\40\x62\x65\x20\x65\155\160\x74\x79\56"); goto de868; F126e: if (false === is_null($siteEntity)) { goto e3c7e; } goto F5e88; b98b9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\x5f\166\x61\162\156\x69\x73\x68\137\143\141\x63\150\x65", ["\144\x6f\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto B0569; bb58a: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\x65\x72\x76\x65\162"]) && false === empty($varnishCacheSettings["\x73\145\162\x76\145\162"])) { goto Ed268; } goto d323c; Cfd4d: d90c1: goto Adbf3; Bec5a: goto E97d0; goto ee858; cf531: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\x72\166\145\162"]); goto ba57c; e26f6: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Cb71a; F5e88: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\163")); goto Bec5a; ee4cb: ddc8d: goto Cfd4d; A5451: $session = $request->getSession(); goto d850d; Cb71a: $purgeValues = array_map("\164\162\x69\x6d", array_filter(explode("\x2c", trim($form->get("\166\141\154\165\x65")->getData())))); goto bb58a; d56ff: $varnishCacheClient = new VarnishCacheClient(); goto cf531; eb6b6: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto Bddd8; Adbf3: $eventData = ["\x73\x69\164\x65" => $domainName, "\x76\141\x6c\165\x65\x73" => implode("\x2c", $purgeValues)]; goto eb6b6; ba57c: foreach ($purgeValues as $purgeValue) { goto cbcf0; Ca18f: $varnishCacheClient->purgeUrl($purgeValue); goto D2e69; ebba5: goto C8c71; goto ec6da; ec6da: d0931: goto Ca18f; a5997: if (!(false === empty($purgeValue))) { goto Af17e; } goto c781c; F002e: b1919: goto c4417; cfd75: $varnishCacheClient->purgeTag($purgeValue); goto ebba5; D2e69: C8c71: goto A36b4; A36b4: Af17e: goto F002e; c781c: if (true === str_starts_with($purgeValue, "\150\164\164\x70")) { goto d0931; } goto cfd75; cbcf0: $purgeValue = trim($purgeValue); goto a5997; c4417: } goto ee4cb; de868: goto d90c1; goto A70b1; d850d: $domainName = $site->getDomainName(); goto f29ee; f29ee: $siteEntity = $this->getSiteEntity($domainName); goto F126e; A70b1: Ed268: goto d56ff; F487a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\101\x6e\40\x65\162\x72\x6f\x72\x20\150\141\163\40\x6f\x63\x63\165\162\162\145\144\54\x20\145\162\x72\x6f\x72\40\x6d\x65\x73\163\x61\x67\x65\72\x20\x25\145\162\162\x6f\162\115\x65\163\163\141\147\x65\45", ["\x25\145\x72\x72\157\162\x4d\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto C0faa; Cd731: } public function purgeVarnishCache(Request $request) : Response { goto C50f6; F148a: return $response; goto d2cc8; C50f6: $site = $this->getSite($request); goto Fcf9c; c6244: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\x65\137\x76\141\162\156\151\163\x68\x5f\x63\x61\x63\150\x65", ["\144\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto D40bf; Cab30: b0af9: goto D4202; Fcf9c: if (false === is_null($site)) { goto b0af9; } goto b5776; Ef9f4: F7724: goto F148a; Bf145: goto F7724; goto Cab30; D40bf: return $response; goto Ef9f4; D4202: try { goto Ee7d1; beb3c: $domainName = $site->getDomainName(); goto A0237; f4aac: $varnishCacheClient->purgeHost($domainName); goto d0be8; Ee7d1: $user = $this->getUser(); goto fcfd1; C1b40: $session->getFlashBag()->set("\163\165\143\143\x65\x73\163", $this->translator->trans("\126\141\162\156\151\x73\x68\40\x43\141\143\150\145\x20\x68\x61\x73\x20\142\x65\x65\x6e\40\160\x75\162\x67\145\x64\x2e")); goto C7c6f; c4451: $varnishCacheClient = new VarnishCacheClient(); goto E7b8b; Cc35c: $eventData = ["\x73\151\x74\x65" => $domainName, "\x70\x75\x72\147\x65" => "\x66\165\154\x6c"]; goto Bce35; d0be8: c7e43: goto Cc35c; A0237: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e52ef; Bce35: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto C1b40; e1c34: $cacheTagPrefix = $varnishCacheSettings["\x63\141\x63\x68\145\124\141\x67\120\162\145\146\x69\x78"]; goto c4451; e52ef: if (!(true === isset($varnishCacheSettings["\163\x65\x72\166\x65\x72"]) && true === isset($varnishCacheSettings["\x63\x61\143\150\x65\x54\141\x67\x50\162\x65\x66\151\170"]) && false === empty($varnishCacheSettings["\x63\x61\143\x68\x65\124\141\x67\x50\x72\145\x66\151\170"]))) { goto c7e43; } goto e1c34; E7b8b: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\162\166\145\162"]); goto e2a29; fcfd1: $session = $request->getSession(); goto beb3c; e2a29: $varnishCacheClient->purgeTag($cacheTagPrefix); goto f4aac; C7c6f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\x65\162\162\x6f\162\40\150\x61\163\x20\157\x63\143\165\162\x72\x65\144\54\40\x65\x72\162\x6f\x72\x20\x6d\x65\163\163\x61\x67\145\x3a\x20\x25\x65\x72\162\157\x72\115\145\x73\x73\x61\x67\x65\45", ["\x25\x65\162\162\157\x72\115\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto c6244; b5776: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\163")); goto Bf145; d2cc8: } public function vhost(Request $request) : Response { goto e34b7; eec74: E8005: goto c5978; B6c28: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto E8005; } goto Fb80c; Cb18d: return $response; goto A8868; ac9b4: $vhostTemplate = trim($request->get("\x76\150\157\x73\164\x2d\x74\x65\155\160\x6c\141\x74\x65")); goto ac0b3; D490a: aef70: goto e5526; ac8e9: if (false === is_null($site)) { goto e4092; } goto B807c; Fb80c: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\150\157\163\x74\55\165\x70\144\x61\x74\x65", (string) $request->get("\164\157\153\x65\156")); goto c1e4f; f64b8: $site->setVhostTemplate($vhostTemplate); goto f1859; Dbf86: throw new InvalidCsrfTokenException("\124\150\x65\40\x43\x53\x52\106\40\x74\157\153\145\x6e\x20\151\163\x20\151\156\x76\x61\154\151\144\x2e"); goto Bafd5; c9f55: e4092: goto B6c28; Eb444: $siteEntity = $this->getSiteEntity($domainName); goto Bbef9; B807c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x73")); goto Afc03; Bafd5: b8313: goto ac9b4; c1e4f: if (!(false === $isCsrfTokenValid)) { goto b8313; } goto Dbf86; c5978: $response = $this->render("\106\162\157\x6e\x74\145\156\x64\x2f\x53\x69\x74\x65\57\166\150\157\x73\x74\x2e\150\164\x6d\154\56\x74\167\x69\x67", ["\x73\151\164\145" => $site]); goto D490a; A8868: b234d: goto A64d2; e5526: return $response; goto de862; Afc03: goto aef70; goto c9f55; e34b7: $site = $this->getSite($request); goto ac8e9; ac0b3: if (!(false === empty($vhostTemplate))) { goto D31cc; } goto A8831; A8831: $domainName = $site->getDomainName(); goto Eb444; A64d2: D31cc: goto eec74; Bbef9: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto f64b8; cde13: if (!(false === is_null($response))) { goto b234d; } goto Cb18d; f1859: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto cde13; de862: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto c62e4; c6f08: $eventData = ["\x73\151\164\145" => $domainName, "\166\150\x6f\163\x74" => $vhostTemplate, "\157\x6c\x64\126\150\157\163\x74" => $oldVhostTemplate]; goto E6e36; E16e2: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\x5f\x76\x68\x6f\163\x74", ["\x64\x6f\155\141\151\156\116\141\x6d\145" => $domainName])); goto c6347; E6e36: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto E16e2; e085e: $siteUpdater->updateNginxVhostWithRollback(); goto F7298; Aa9f7: $session = $request->getSession(); goto Bf75e; a8b8f: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\126\150\x6f\x73\164\x20\150\141\163\40\142\145\x65\x6e\x20\x73\x61\166\x65\144\56")); goto c6f08; c62e4: $user = $this->getUser(); goto Aa9f7; Be839: e40b7: goto f1632; c6347: return $response; goto E165d; f1632: $domainName = $site->getDomainName(); goto F427c; dc44b: throw new InvalidVhostException("\144\x69\163\x61\142\x6c\x65\137\163\171\x6d\154\x69\x6e\x6b\163\40\x69\x73\x20\156\157\164\40\x61\154\154\157\x77\x65\144\x2e"); goto Be839; F427c: $vhostTemplate = $site->getVhostTemplate(); goto C8571; C8571: $siteUpdater = $this->getSiteUpdater($site); goto e085e; F7298: $siteEntity->setVhostTemplate($vhostTemplate); goto ce6b2; Bf75e: if (!(true === str_contains($site->getVhostTemplate(), "\x64\x69\x73\x61\142\x6c\x65\137\x73\x79\155\154\x69\156\x6b\x73"))) { goto e40b7; } goto dc44b; ce6b2: $this->siteEntityManager->updateEntity($siteEntity); goto a8b8f; E165d: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\126\150\x6f\163\164\x20\x69\x73\x20\156\x6f\x74\40\166\x61\154\x69\144\54\40\145\162\x72\157\162\x20\x6d\145\163\163\x61\x67\145\72\40\45\x65\162\x72\157\x72\115\x65\163\x73\141\x67\x65\x25", ["\45\x65\x72\x72\157\x72\x4d\145\x73\x73\x61\x67\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\156\x20\145\162\x72\157\x72\40\x68\141\163\x20\x6f\143\143\x75\162\162\145\x64\x2c\x20\x65\x72\x72\157\x72\40\155\x65\163\163\x61\x67\145\x3a\x20\x25\145\x72\x72\x6f\162\x4d\145\x73\x73\141\x67\x65\x25", ["\x25\145\x72\x72\157\162\x4d\x65\x73\163\x61\x67\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto d1851; fabb6: return $response; goto f492f; feab2: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto C30e6; } goto d61eb; d9831: $pageSpeedSettingsData = ["\x69\x73\x45\156\x61\x62\154\145\x64" => $site->getPageSpeedEnabled(), "\163\x65\x74\164\151\156\147\x73" => $site->getPageSpeedSettings()]; goto E66fa; f6c8f: $parameters = ["\163\151\164\x65" => $site, "\144\157\155\x61\x69\156\x53\145\164\164\x69\x6e\x67\163\106\x6f\x72\x6d" => $domainSettingsForm->createView(), "\x73\x69\164\145\125\163\x65\x72\123\x65\164\164\151\x6e\x67\x73\106\157\x72\x6d" => $siteUserSettingsForm->createView(), "\160\x61\147\x65\123\160\x65\x65\144\123\x65\x74\x74\151\156\x67\x73\x46\157\x72\155" => $pageSpeedSettingsForm->createView(), "\163\151\164\145\x44\145\x6c\145\164\145\x46\157\162\155" => $siteDeleteForm->createView()]; goto f40f7; F3a0f: $siteDeleteData = ["\144\x6f\x6d\141\151\156\116\141\155\145" => $site->getDomainName()]; goto d9831; C94f4: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\x73")); goto d75f0; A9aa1: return $response; goto f6fd4; a721c: b3d86: goto c7282; f40f7: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto c57d3; } goto f9fa8; ff8d0: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto fa878; Dbeb8: d8e19: goto f6c8f; Bdcd8: if (!(true === $domainSettingsForm->isSubmitted())) { goto a6ee5; } goto A0e93; f1af4: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto Fe34c; } goto b97bd; A6285: unset($parameters["\160\x61\x67\x65\123\x70\x65\145\x64\x53\145\x74\x74\151\x6e\147\163\106\157\162\155"]); goto cde3b; Baa2d: if (false === is_null($site)) { goto dd770; } goto C94f4; d61eb: $pythonSettingsForm->handleRequest($request); goto f6598; a924a: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto Fe2cf; F7d6f: ee278: goto dc16f; d1afb: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto ee278; } goto F301d; dc16f: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto F95ce; } goto Dc83f; D6705: if (!(false === is_null($response))) { goto Eb061; } goto B5b02; Bb10c: if (!(true === $siteDeleteForm->isSubmitted())) { goto F86d6; } goto F3d2c; E5426: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto d3501; E90c0: dd770: goto F1b05; ba57e: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto E0aa7; } goto d5406; d0ddc: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Ab49c; f6fd4: f1443: goto Ee06c; ebe86: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto E5426; A8243: Eb061: goto Dbeb8; F301d: $phpSettings = $site->getPhpSettings(); goto dfd9e; E6726: F95ce: goto f1af4; F2216: $response = null; goto Bdcd8; fa878: if (!(false === is_null($response))) { goto f1443; } goto A9aa1; d2556: return $response; goto e4860; c6207: $parameters["\162\145\166\x65\x72\163\145\120\x72\157\170\171\x53\145\164\x74\x69\x6e\147\x73\x46\157\x72\155"] = $reverseProxySettingsForm->createView(); goto Edbc2; dfd9e: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto bac73; f9fa8: $nodejsSettings = $site->getNodejsSettings(); goto d0ddc; A8f61: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto b4634; d5406: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto e0a04; a4888: $siteDeleteForm->handleRequest($request); goto Fd565; bb615: F86d6: goto D6705; bac73: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto a2faf; } goto C09d5; F1b05: $domainSettingsData = ["\144\157\x6d\x61\151\156\116\x61\x6d\x65" => $site->getDomainName(), "\x72\x6f\157\164\104\x69\162\x65\143\x74\x6f\162\171" => $site->getRootDirectory()]; goto Acbbe; E7736: $nodejsSettingsForm->handleRequest($request); goto f402b; A0e93: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto B4282; B5b02: return $response; goto A8243; Dc83f: $pythonSettings = $site->getPythonSettings(); goto B06ce; b97bd: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto Dbea3; C09d5: $currentPhpSettings = clone $phpSettings; goto B03fd; Da5c7: c655f: goto da309; c76ed: $parameters["\x66\157\x72\155\x45\162\162\x6f\x72\163"] = $this->formErrors; goto Bcd6e; C22eb: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto d8e19; } goto Ca5b3; a421f: C30e6: goto Fbabc; Fe2cf: if (!(false === is_null($response))) { goto D87d8; } goto fabb6; e6df9: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Eae8e; } goto a12d2; Dbea3: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto a3741; } goto dad62; a12d2: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto d10a7; B03fd: $phpSettingsForm->handleRequest($request); goto e692a; Edbc2: unset($parameters["\160\x61\x67\145\x53\x70\x65\x65\144\x53\x65\x74\164\x69\156\147\163\106\157\x72\155"]); goto Dc51f; Bc303: $parameters["\160\x68\x70\x53\145\x74\x74\x69\156\147\x73\x46\x6f\162\155"] = $phpSettingsForm->createView(); goto F7d6f; F3d2c: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto bb615; d3501: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto C22eb; d1851: $site = $this->getSite($request); goto Baa2d; f6034: fe8cf: goto Bb10c; dad62: $reverseProxySettingsForm->handleRequest($request); goto ba57e; b4634: if (!(false === is_null($response))) { goto C3878; } goto d2556; cde3b: c57d3: goto d1afb; ac6eb: D5ce6: goto Cf5d0; e4860: C3878: goto Fabd3; e2762: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto fe8cf; } goto E3a95; Bcd6e: $response = $this->render("\x46\x72\x6f\x6e\x74\x65\156\144\57\123\x69\164\145\x2f\163\145\x74\164\151\x6e\147\x73\x2e\x68\x74\155\x6c\x2e\164\167\151\147", $parameters); goto a721c; C843d: a3741: goto c6207; d10a7: Eae8e: goto e2762; c7282: return $response; goto E5af6; f6598: if (!(true === $pythonSettingsForm->isSubmitted())) { goto Bd5a2; } goto ff8d0; Dc51f: Fe34c: goto c76ed; B4282: a6ee5: goto e6df9; e0a04: if (!(false === is_null($response))) { goto c655f; } goto A9576; A9576: return $response; goto Da5c7; Fabd3: C5092: goto B5a42; f402b: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto C5092; } goto A8f61; Acbbe: $siteUserSettingsData = ["\x73\x69\164\x65\125\163\x65\x72" => $site->getUser(), "\x73\163\x68\x4b\x65\171\x73" => $site->getSshKeys()]; goto F3a0f; E66fa: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto ebe86; Ca5b3: $domainSettingsForm->handleRequest($request); goto D691a; e692a: if (!(true === $phpSettingsForm->isSubmitted())) { goto D5ce6; } goto a924a; Ecd77: $parameters["\156\x6f\x64\145\x6a\163\123\145\164\164\151\156\x67\x73\x46\x6f\x72\x6d"] = $nodejsSettingsForm->createView(); goto A6285; B06ce: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto feab2; Cf5d0: a2faf: goto Bc303; D691a: $siteUserSettingsForm->handleRequest($request); goto a4888; B5a42: D7d35: goto Ecd77; F6e76: $currentNodeSettings = clone $nodejsSettings; goto E7736; E3a95: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto f6034; Fbabc: $parameters["\x70\171\x74\x68\157\156\x53\x65\x74\x74\x69\x6e\x67\163\106\x6f\162\x6d"] = $pythonSettingsForm->createView(); goto E6726; Fd565: $pageSpeedSettingsForm->handleRequest($request); goto F2216; da309: E0aa7: goto C843d; d75f0: goto b3d86; goto E90c0; Ab49c: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto D7d35; } goto F6e76; Ee06c: Bd5a2: goto a421f; f492f: D87d8: goto ac6eb; E5af6: } public function purgePageSpeedCache(Request $request) : Response { goto B887d; ac606: return $response; goto f1cad; b04b2: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\x65\163")); goto a3530; E8875: C731b: goto c10a9; B0d9b: return $response; goto ec3ce; f25c7: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\137\163\145\164\164\151\x6e\147\163", ["\x64\x6f\155\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto B0d9b; e0ec7: if (false === is_null($site)) { goto C731b; } goto b04b2; B887d: $site = $this->getSite($request); goto e0ec7; c10a9: try { goto fb978; f109b: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto A0802; fb978: $user = $this->getUser(); goto d580d; be3a1: $eventData = ["\x73\151\x74\x65" => $site->getDomainName()]; goto f109b; A0802: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\x50\141\x67\145\x20\123\x70\x65\145\144\x20\x43\x61\x63\150\x65\40\x68\x61\x73\x20\142\x65\145\156\40\x70\165\162\x67\145\x64\56")); goto C9921; d580d: $session = $request->getSession(); goto ddc1e; E9777: $siteUpdater->purgePageSpeedCache(); goto be3a1; ddc1e: $siteUpdater = $this->getSiteUpdater($site); goto E9777; C9921: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\x72\40\x68\x61\x73\x20\157\x63\x63\165\162\162\x65\x64\54\40\145\162\x72\157\x72\x20\155\x65\163\x73\141\x67\145\72\40\45\145\x72\162\157\162\x4d\x65\163\163\141\x67\x65\45", ["\x25\145\x72\x72\x6f\162\115\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto f25c7; ec3ce: b7752: goto ac606; a3530: goto b7752; goto E8875; f1cad: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto cbec2; Ebdf5: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\141\163\163" => "\142\164\156\40\142\164\x6e\x2d\142\x6c\x75\145\40\142\164\156\x2d\x6c\x67"], "\154\x61\142\145\x6c" => "\123\141\166\x65"]); goto A5cca; cbec2: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\x5c\123\151\x74\145\104\x6f\155\141\x69\156\x53\145\x74\x74\151\x6e\147\163\124\x79\160\145", $data, ["\x61\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\137\163\x65\x74\x74\x69\156\x67\163", ["\144\x6f\155\141\151\156\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\x65\164\150\x6f\x64" => "\x50\117\x53\124", "\x61\164\x74\x72" => []]); goto Ebdf5; A5cca: return $form; goto B7198; B7198: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto B15ac; Fbb18: return $form; goto c5ce7; B15ac: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\x6d\134\123\151\x74\x65\x55\163\x65\x72\123\145\x74\164\x69\156\147\163\124\171\160\145", $data, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x5f\x73\145\x74\x74\151\156\x67\163", ["\x64\x6f\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\x50\117\123\124", "\141\164\164\x72" => []]); goto fd7d8; fd7d8: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\163\163" => "\142\164\156\40\142\164\x6e\55\x62\x6c\165\145\x20\x62\164\x6e\55\x6c\x67"], "\x6c\x61\142\x65\x6c" => "\123\141\x76\x65"]); goto Fbb18; c5ce7: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto d7a47; df821: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\163\x73" => "\142\x74\156\x20\142\164\156\55\142\x6c\x75\145\40\142\x74\156\55\x6c\x67"], "\x6c\x61\x62\x65\154" => "\x53\141\166\145"]); goto afe96; d7a47: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\x5c\x53\x69\164\x65\120\x61\147\145\123\x70\145\145\x64\123\145\x74\x74\x69\156\x67\163\x54\171\x70\145", $data, ["\141\x63\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\x5f\x73\145\x74\164\x69\x6e\x67\x73", ["\144\157\x6d\141\x69\156\116\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\x64" => "\x50\x4f\x53\x54", "\141\x74\164\x72" => []]); goto df821; afe96: return $form; goto f6228; f6228: } private function createReverseProxySettingsForm(Site $site) : Form { goto F29e1; Ef8b8: return $form; goto f1182; e5ac4: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\163\163" => "\142\164\x6e\40\x62\164\x6e\55\x62\x6c\165\145\x20\x62\164\x6e\x2d\x6c\147"], "\x6c\x61\142\x65\x6c" => "\x53\141\166\145"]); goto Ef8b8; d58b5: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\155\x5c\x53\x69\164\145\x52\145\x76\x65\x72\x73\145\120\162\x6f\x78\x79\123\x65\164\x74\151\x6e\147\163\124\171\x70\x65", $data, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\x5f\x73\x65\x74\164\x69\x6e\x67\x73", ["\x64\157\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()]), "\x6d\x65\164\x68\x6f\144" => "\x50\117\123\124", "\141\164\x74\162" => ["\x69\144" => "\162\x65\166\145\162\x73\145\55\x70\162\x6f\170\171\55\163\x65\x74\x74\x69\x6e\x67\163\x2d\x66\x6f\162\155"]]); goto e5ac4; F29e1: $data = ["\162\x65\x76\145\x72\x73\x65\x50\162\x6f\170\x79\x55\x72\154" => $site->getReverseProxyUrl()]; goto d58b5; f1182: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto Dfe2c; Dfe2c: $form = $this->createForm("\x41\160\160\134\106\157\x72\x6d\x5c\x53\x69\164\145\116\157\144\x65\152\163\123\145\164\164\x69\x6e\147\x73\124\171\x70\x65", $nodejsSettings, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\137\163\x65\164\x74\151\x6e\147\163", ["\x64\x6f\x6d\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\120\x4f\123\x54", "\x61\x74\x74\x72" => ["\151\x64" => "\156\x6f\x64\x65\152\x73\55\x73\145\164\164\x69\x6e\x67\x73\55\x66\157\x72\x6d"]]); goto ceba1; cdd2d: return $form; goto c2897; ceba1: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\x61\163\x73" => "\x62\x74\156\x20\142\x74\x6e\55\142\x6c\x75\145\40\142\x74\x6e\x2d\x6c\147"], "\154\141\142\145\x6c" => "\x53\141\x76\145"]); goto cdd2d; c2897: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto B75b0; D7ff1: return $form; goto bf129; B75b0: $form = $this->createForm("\x41\160\x70\134\106\157\162\155\134\x53\151\x74\x65\x50\x68\160\123\x65\164\x74\151\x6e\147\163\x54\171\160\145", $phpSettings, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\x6c\160\137\x73\151\x74\145\x5f\163\145\164\x74\x69\156\x67\163", ["\144\x6f\155\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\145\164\150\157\x64" => "\120\x4f\x53\x54", "\141\x74\x74\162" => []]); goto B5909; B5909: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\163\163" => "\x62\x74\156\x20\142\x74\156\55\x62\154\x75\145\40\x62\164\x6e\55\x6c\147"], "\x6c\x61\142\145\x6c" => "\x53\141\x76\x65"]); goto D7ff1; bf129: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto d9e78; C3cd2: return $form; goto fb4a9; d9e78: $form = $this->createForm("\101\160\160\x5c\x46\157\162\x6d\134\123\151\x74\145\120\x79\x74\x68\x6f\x6e\x53\145\164\164\151\156\147\x73\124\x79\160\x65", $pythonSettings, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\x73\145\x74\x74\151\156\147\x73", ["\144\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\117\123\x54", "\x61\164\x74\162" => []]); goto C64ac; C64ac: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\141\163\163" => "\142\164\x6e\x20\142\x74\x6e\55\142\x6c\x75\145\x20\142\x74\x6e\55\x6c\147"], "\x6c\141\x62\145\154" => "\x53\x61\166\145"]); goto C3cd2; fb4a9: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto c89a0; c89a0: $form = $this->createForm("\101\160\x70\134\106\x6f\162\155\x5c\x53\151\x74\145\104\x65\x6c\145\164\145\124\x79\160\x65", $data, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\137\x73\145\x74\164\x69\156\x67\163", ["\144\157\155\141\x69\156\116\141\x6d\145" => $site->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\x4f\123\x54", "\141\x74\164\162" => []]); goto c7272; c7272: $form->add("\x73\165\x62\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\141\x73\x73" => "\142\164\156\x20\142\164\156\55\142\x6c\x75\x65\40\x62\164\156\x2d\154\x67", "\x64\x69\163\x61\x62\x6c\145\144" => "\x64\151\163\141\142\154\x65\144"], "\154\x61\142\x65\x6c" => "\104\x65\x6c\145\x74\x65\x20\x53\x69\164\145"]); goto cae66; cae66: return $form; goto Ea012; Ea012: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto a0201; B3b61: try { goto f9dcf; Add5a: $domainName = $site->getDomainName(); goto C5164; C75bf: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto c35bd; Da724: if (!(false === is_null($siteEntity))) { goto Fb4c8; } goto d43b8; c35bd: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\122\x6f\x6f\164\x20\104\x69\x72\145\x63\164\x6f\162\x79\40\150\141\163\x20\x62\145\x65\156\40\163\141\x76\145\x64\56")); goto ffc6c; ffc6c: Fb4c8: goto Cb78f; f9dcf: $user = $this->getUser(); goto adc69; d43b8: $rootDirectory = rtrim($form->get("\162\157\157\164\x44\151\x72\x65\143\x74\157\x72\x79")->getData(), "\x2f"); goto f7191; Cb78f: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\x65\137\163\x65\x74\x74\x69\x6e\x67\163", ["\144\157\155\141\151\156\116\x61\155\x65" => $site->getDomainName()])); goto c403f; c3efb: $eventData = ["\163\151\x74\145" => $domainName, "\x72\157\x6f\164\x44\151\162\x65\x63\164\x6f\x72\171" => $rootDirectory]; goto C75bf; d12a7: $siteUpdater = $this->getSiteUpdater($site); goto e1f05; adc69: $session = $request->getSession(); goto Add5a; b1680: $siteEntity->setRootDirectory($rootDirectory); goto ed452; ed452: $this->siteEntityManager->updateEntity($siteEntity); goto d12a7; f7191: $site->setRootDirectory($rootDirectory); goto b1680; e1f05: $siteUpdater->domainSettings(); goto c3efb; c403f: return $response; goto eeab9; C5164: $siteEntity = $this->getSiteEntity($domainName); goto Da724; eeab9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\145\x72\x72\157\162\x20\x68\141\163\x20\157\143\143\165\162\x72\145\144\54\40\x65\162\x72\157\x72\x20\x6d\145\x73\163\x61\x67\145\x3a\x20\45\x65\162\162\x6f\162\115\x65\163\163\141\x67\145\x25", ["\45\x65\162\162\157\162\x4d\x65\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto A1296; a0201: if (true === $form->isValid()) { goto a0d1a; } goto a22a9; A1296: Ff530: goto De3e6; a9d44: goto Ff530; goto F2004; F2004: a0d1a: goto B3b61; a22a9: $this->formErrors = $this->getErrorMessages($form); goto a9d44; De3e6: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto c03a7; D5ba4: $this->formErrors = $this->getErrorMessages($form); goto c04c1; A5a96: F0691: goto F11e1; B8464: b6b5b: goto Cc76d; c04c1: goto b6b5b; goto A5a96; c03a7: if (true === $form->isValid()) { goto F0691; } goto D5ba4; F11e1: try { goto a1a35; F5284: $siteUpdater = $this->getSiteUpdater($site); goto abc8e; F71b0: $siteUser = $site->getUser(); goto bc71e; Ca004: b2fb0: goto Ace2c; Dac61: if (!(false === empty($password))) { goto b2fb0; } goto C1c98; C73c6: $password = trim($form->get("\x70\141\163\163\167\x6f\x72\x64")->getData()); goto a9382; E0819: if (!(false === is_null($siteEntity))) { goto E1225; } goto F71b0; bc71e: $sshKeys = trim($form->get("\x73\163\150\x4b\x65\171\163")->getData()); goto C73c6; Ace2c: $eventData = ["\163\151\x74\x65" => $domainName, "\x73\x73\x68\113\145\171\163" => $sshKeys]; goto D0e25; Dca1f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\x73\x65\164\164\x69\x6e\x67\163", ["\144\x6f\x6d\x61\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto D3e6b; E49ea: $siteEntity = $this->getSiteEntity($domainName); goto E0819; D3e6b: return $response; goto Bc4e7; b27c9: E1225: goto Dca1f; C1c98: $siteUpdater->changeUserPassword($siteUser, $password); goto Ca004; D0e25: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto d30d3; d30d3: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\x53\151\x74\x65\x20\x55\163\145\162\x20\123\145\x74\x74\x69\156\x67\163\x20\x68\141\x76\x65\40\x62\x65\145\156\40\x73\141\x76\x65\144\x2e")); goto b27c9; da0e2: $session = $request->getSession(); goto F1587; F1587: $domainName = $site->getDomainName(); goto E49ea; a9382: $siteEntity->setSshKeys($sshKeys); goto A365e; A365e: $this->siteEntityManager->updateEntity($siteEntity); goto F5284; a1a35: $user = $this->getUser(); goto da0e2; abc8e: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto Dac61; Bc4e7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\162\162\157\x72\x20\x68\x61\163\40\157\143\x63\x75\x72\x72\145\144\x2c\x20\145\162\162\157\x72\x20\x6d\x65\x73\x73\x61\x67\145\72\40\45\145\162\162\x6f\162\x4d\145\163\x73\141\147\145\45", ["\45\145\x72\162\157\x72\115\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto B8464; Cc76d: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto f4509; F2907: $this->formErrors = $this->getErrorMessages($form); goto E2f21; f4509: if (true === $form->isValid()) { goto Db50c; } goto F2907; E2f21: goto A3490; goto Be804; Be804: Db50c: goto ab7fe; E32fb: A3490: goto D8f50; ab7fe: try { goto Fd58a; c080e: $isEnabled = $form->get("\151\x73\x45\156\141\142\154\145\144")->getData(); goto de95c; F4bc5: $siteUpdater->updateNginxVhostWithRollback(); goto Fd2e2; a66d5: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\x5f\163\145\164\x74\x69\156\147\163", ["\x64\157\x6d\141\x69\156\116\x61\155\145" => $site->getDomainName()])); goto b6776; Fc68f: $this->siteEntityManager->updateEntity($siteEntity); goto E0a6a; a3475: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\x50\141\x67\145\40\123\x70\145\x65\144\40\123\145\164\x74\151\156\x67\163\x20\150\141\166\145\40\142\145\x65\156\40\x73\141\166\x65\x64\56")); goto a139a; Fd2e2: $siteUpdater->purgePageSpeedCache(); goto f1cc2; Bc340: $domainName = $site->getDomainName(); goto da994; de95c: $settings = trim($form->get("\x73\145\x74\x74\151\x6e\147\163")->getData()); goto B8ce8; a139a: fc77d: goto a66d5; e853c: $siteUpdater = $this->getSiteUpdater($site); goto F4bc5; Fd58a: $user = $this->getUser(); goto a8614; B8ce8: $site->setPageSpeedEnabled($isEnabled); goto C67ed; f1cc2: $siteEntity->setPageSpeedEnabled($isEnabled); goto cadc5; E0a6a: $eventData = ["\163\x69\164\145" => $domainName, "\x70\x61\147\x65\123\160\x65\x65\x64\x45\156\141\142\154\x65\x64" => $isEnabled, "\160\141\147\x65\x53\160\x65\145\144\x53\145\x74\x74\x69\156\147\x73" => $settings]; goto E0da7; b6776: return $response; goto a2091; C67ed: $site->setPageSpeedSettings($settings); goto e853c; da994: $siteEntity = $this->getSiteEntity($domainName); goto c2d25; a8614: $session = $request->getSession(); goto Bc340; E0da7: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto a3475; c2d25: if (!(false === is_null($siteEntity))) { goto fc77d; } goto c080e; cadc5: $siteEntity->setPageSpeedSettings($settings); goto Fc68f; a2091: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\120\x61\147\145\123\160\x65\145\x64\x20\123\x65\164\164\x69\156\147\40\141\x72\x65\40\x6e\157\x74\x20\166\x61\x6c\x69\144\x2c\x20\145\x72\162\x6f\x72\40\155\145\163\163\x61\x67\x65\72\40\x25\145\x72\x72\x6f\162\x4d\x65\x73\x73\141\x67\145\x25", ["\x25\145\162\x72\157\162\x4d\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\x72\x20\x68\141\x73\x20\x6f\143\x63\x75\162\x72\145\x64\x2c\40\145\x72\162\x6f\x72\x20\155\x65\163\163\x61\x67\145\x3a\40\x25\x65\x72\x72\157\162\115\145\163\x73\141\147\x65\x25", ["\45\x65\x72\x72\157\162\x4d\145\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto E32fb; D8f50: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto C805f; d3538: goto bfc65; goto ce5e6; be2db: $this->formErrors = $this->getErrorMessages($form); goto d3538; D9923: bfc65: goto Af89e; ce5e6: B9e35: goto Db566; C805f: if (true === $form->isValid()) { goto B9e35; } goto be2db; Db566: try { goto E5e86; D860b: $eventData = ["\163\x69\164\x65" => $domainName, "\x74\x79\x70\x65" => $site->getType()]; goto C3e3e; A579a: return $response; goto B3bf8; Eb759: $siteEntity = $this->getSiteEntity($domainName); goto f0841; d469f: $session->getFlashBag()->set("\163\165\143\x63\145\x73\x73", $this->translator->trans("\123\x69\164\x65\40\150\141\163\40\142\145\145\156\40\144\x65\x6c\145\x74\145\x64\x2e")); goto b2cfc; C9239: $siteDeleter = $this->getSiteDeleter($site); goto C6687; b5a39: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x73")); goto A579a; C3e3e: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto d469f; f0841: if (!(false === is_null($siteEntity))) { goto a14e5; } goto C9239; f3494: $this->siteEntityManager->deleteEntity($siteEntity); goto D860b; C6687: $siteDeleter->delete(); goto f3494; b2cfc: a14e5: goto b5a39; F7bc0: $session = $request->getSession(); goto Ea79b; E5e86: $user = $this->getUser(); goto F7bc0; Ea79b: $domainName = $site->getDomainName(); goto Eb759; B3bf8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\156\40\145\162\162\x6f\x72\40\150\141\163\40\157\x63\x63\165\162\162\145\144\x2c\x20\145\162\x72\157\162\x20\x6d\x65\163\163\x61\x67\145\72\40\45\x65\162\162\x6f\x72\x4d\x65\163\x73\x61\147\x65\x25", ["\45\145\x72\x72\157\x72\x4d\x65\163\x73\141\147\x65\45" => $e->getMessage()])); } goto D9923; Af89e: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto F3c3e; A6288: try { goto E63ef; E63ef: $user = $this->getUser(); goto A177b; Dc84d: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto ceaef; F6b24: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\137\163\x65\164\x74\151\x6e\x67\x73", ["\144\x6f\x6d\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto e70f5; E89b9: f3c9c: goto d75de; ceaef: $siteUpdater = $this->getSiteUpdater($site); goto A040b; Ecf5b: $eventData = ["\x73\x69\x74\145" => $domainName, "\156\157\144\x65\x6a\x73\x56\x65\162\163\151\x6f\x6e" => $nodejsVersion, "\160\x6f\162\164" => $nodejsSettings->getPort()]; goto C34ff; ba0de: $this->siteEntityManager->updateEntity($siteEntity); goto Ecf5b; a60bf: $siteEntity = $this->getSiteEntity($domainName); goto C1679; dc4a9: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto Dc84d; Ca172: $siteUpdater->installNodejsVersion(); goto E89b9; da14c: $nodejsSettings = $form->getData(); goto dc4a9; e70f5: return $response; goto fddfa; C1679: if (!(false === is_null($siteEntity))) { goto a8eae; } goto da14c; A040b: if (!(true === $hasNodejsVersionChanged)) { goto f3c9c; } goto Ca172; C3a9b: $domainName = $site->getDomainName(); goto a60bf; C34ff: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto b5098; A177b: $session = $request->getSession(); goto C3a9b; b5098: $session->getFlashBag()->set("\163\165\143\x63\x65\163\x73", $this->translator->trans("\116\x6f\144\145\x2e\x6a\163\x20\x53\145\164\164\151\x6e\147\163\x20\x68\141\x76\x65\x20\142\145\145\156\x20\x73\x61\x76\x65\x64\x2e")); goto Bd8a7; d75de: $siteUpdater->nodejsSettings(); goto ba0de; Bd8a7: a8eae: goto F6b24; fddfa: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\x20\x68\x61\163\x20\157\x63\x63\x75\162\162\145\x64\x2c\40\x65\x72\162\x6f\x72\40\155\145\x73\163\141\147\x65\x3a\40\x25\x65\162\162\x6f\162\x4d\145\163\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto c3161; E5626: ffa60: goto A6288; c3161: e191e: goto d1f96; E556c: $this->formErrors = $this->getErrorMessages($form); goto Ef7ba; Ef7ba: goto e191e; goto E5626; F3c3e: if (true === $form->isValid()) { goto ffa60; } goto E556c; d1f96: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto bafd9; F97a0: try { goto d4bb1; dbd2e: $siteEntity = $this->getSiteEntity($domainName); goto ee6fb; bc4ba: return $response; goto f1a79; b9723: $domainName = $site->getDomainName(); goto dbd2e; E380d: $session = $request->getSession(); goto b9723; b6d21: $siteUpdater->writePythonVersionFile(); goto eafc2; c0141: $pythonVersion = $pythonSettings->getPythonVersion(); goto c4e3b; ce8de: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto D876b; Ad86e: Cf15e: goto F5cca; d4bb1: $user = $this->getUser(); goto E380d; c8722: $eventData = ["\163\x69\x74\145" => $domainName, "\x70\x79\x74\x68\x6f\156\x56\x65\162\163\x69\x6f\156" => $pythonVersion, "\x70\157\x72\164" => $pythonSettings->getPort()]; goto ce8de; c4e3b: $siteUpdater = $this->getSiteUpdater($site); goto b6d21; D876b: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\x73", $this->translator->trans("\x50\171\164\x68\157\156\40\123\145\164\x74\x69\x6e\147\163\40\x68\141\166\145\40\142\x65\x65\x6e\40\x73\141\166\145\144\x2e")); goto Ad86e; cdfae: $pythonSettings = $form->getData(); goto c0141; F5cca: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x5f\163\x65\164\x74\151\x6e\x67\x73", ["\144\x6f\155\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto bc4ba; eafc2: $siteUpdater->pythonSettings(); goto eadad; ee6fb: if (!(false === is_null($siteEntity))) { goto Cf15e; } goto cdfae; eadad: $this->siteEntityManager->updateEntity($siteEntity); goto c8722; f1a79: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\156\x20\145\162\162\x6f\162\x20\150\141\x73\40\x6f\143\x63\x75\162\x72\x65\x64\x2c\40\x65\162\162\x6f\162\x20\x6d\x65\163\163\x61\x67\x65\x3a\x20\45\145\162\x72\x6f\x72\x4d\145\163\x73\141\x67\145\x25", ["\x25\145\162\162\157\162\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto A7c4e; Fc45c: goto a9413; goto Fae13; C5fad: $this->formErrors = $this->getErrorMessages($form); goto Fc45c; bafd9: if (true === $form->isValid()) { goto f9739; } goto C5fad; A7c4e: a9413: goto D281a; Fae13: f9739: goto F97a0; D281a: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto F0a50; Ba4c6: A583a: goto E2142; F3feb: Caee4: goto Ee828; E2142: try { goto e2797; d1753: $this->siteEntityManager->updateEntity($siteEntity); goto e1cf8; A7399: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto a060b; A369b: return $response; goto D7b13; B273e: if (!(false === is_null($siteEntity))) { goto F8c4b; } goto Ff63b; a060b: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\122\x65\166\x65\x72\x73\145\x20\x50\x72\157\x78\171\x20\x53\145\164\x74\151\x6e\x67\163\x20\150\x61\x76\x65\40\142\145\145\x6e\40\x73\x61\x76\x65\x64\56")); goto A5bef; A0118: $siteEntity = $this->getSiteEntity($domainName); goto B273e; Bc95d: $siteUpdater->updateNginxVhostWithRollback(); goto d1753; b1816: $session = $request->getSession(); goto Dec7d; Ff63b: $reverseProxyUrl = $form->get("\x72\145\166\145\162\163\x65\x50\x72\x6f\170\x79\x55\162\x6c")->getData(); goto bbc00; b9f27: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto B164e; B164e: $siteUpdater = $this->getSiteUpdater($site); goto Bc95d; bbc00: $site->setReverseProxyUrl($reverseProxyUrl); goto b9f27; ee598: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\137\163\x65\164\x74\151\x6e\x67\x73", ["\x64\157\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto A369b; e1cf8: $eventData = ["\163\151\x74\145" => $domainName, "\162\145\x76\x65\162\163\x65\120\162\x6f\170\171\x55\162\x6c" => $reverseProxyUrl]; goto A7399; Dec7d: $domainName = $site->getDomainName(); goto A0118; e2797: $user = $this->getUser(); goto b1816; A5bef: F8c4b: goto ee598; D7b13: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\101\156\x20\145\x72\162\x6f\162\40\150\x61\163\x20\x6f\x63\143\165\162\162\x65\x64\54\40\x65\x72\x72\x6f\162\40\155\x65\163\x73\141\x67\145\x3a\40\x25\x65\x72\162\157\x72\x4d\x65\x73\x73\x61\x67\x65\x25", ["\x25\145\x72\x72\157\162\115\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto F3feb; F0a50: if (true === $form->isValid()) { goto A583a; } goto a3f08; a3f08: $this->formErrors = $this->getErrorMessages($form); goto Edf06; Edf06: goto Caee4; goto Ba4c6; Ee828: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto aeb27; f97c2: goto ad420; goto b4b5f; D2806: ad420: goto E6fef; D260b: $this->formErrors = $this->getErrorMessages($form); goto f97c2; aeb27: if (true === $form->isValid()) { goto Ef2ec; } goto D260b; b4b5f: Ef2ec: goto B5bc5; B5bc5: try { goto dbda6; A3921: $session = $request->getSession(); goto Bf6ac; dbda6: $user = $this->getUser(); goto A3921; af00e: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto Bc9a5; Cad95: eb1b7: goto f0c27; f0c27: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x5f\163\145\x74\164\151\x6e\x67\x73", ["\144\157\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto e5a21; ca7c8: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto e8eb3; Bc9a5: $siteUpdater = $this->getSiteUpdater($site); goto Bde3f; F520e: $siteUpdater->phpSettings(); goto cd169; Bde3f: if (!(true === $hasPhpVersionChanged)) { goto fb2b5; } goto Ae79c; B03a5: $siteEntity = $this->getSiteEntity($domainName); goto Cdf45; e5a21: return $response; goto e210f; b0d2f: $eventData = ["\163\x69\x74\x65" => $domainName, "\160\150\160\x56\145\x72\163\x69\157\156" => $phpSettings->getPhpVersion(), "\x6d\145\x6d\157\x72\x79\x5f\x6c\x69\155\151\164" => $phpSettings->getMemoryLimit(), "\155\141\170\x5f\x65\x78\x65\x63\165\x74\x69\157\x6e\x5f\164\151\155\145" => $phpSettings->getMaxExecutionTime(), "\x6d\141\170\137\151\x6e\x70\x75\164\137\x74\151\155\145" => $phpSettings->getMaxInputTime(), "\155\141\x78\137\151\x6e\x70\165\x74\137\x76\141\x72\x73" => $phpSettings->getMaxInputVars(), "\x70\157\163\x74\137\x6d\x61\x78\x5f\163\151\x7a\145" => $phpSettings->getPostMaxSize(), "\165\x70\x6c\157\141\x64\137\x6d\x61\x78\x5f\x66\x69\x6c\x65\163\x69\x7a\145" => $phpSettings->getUploadMaxFileSize()]; goto ca7c8; Cdf45: if (!(false === is_null($siteEntity))) { goto eb1b7; } goto ab3e0; F15ba: fb2b5: goto F520e; e8eb3: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x50\x48\x50\x20\x53\145\x74\x74\x69\156\x67\x73\40\x68\141\166\x65\x20\142\x65\145\156\40\x73\x61\x76\145\x64\x2e")); goto Cad95; Bf6ac: $domainName = $site->getDomainName(); goto B03a5; cd169: $this->siteEntityManager->updateEntity($siteEntity); goto b0d2f; Ae79c: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto F15ba; ab3e0: $phpSettings = $form->getData(); goto af00e; e210f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\x6f\x72\40\150\x61\x73\x20\x6f\143\x63\165\162\162\x65\x64\54\x20\145\x72\x72\157\x72\40\155\x65\x73\x73\141\x67\x65\72\x20\45\x65\162\162\x6f\162\115\x65\x73\163\141\x67\145\45", ["\x25\145\x72\x72\157\162\x4d\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto D2806; E6fef: } private function getSite(Request $request) : ?Site { goto Be149; A133d: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Eaed8; Badab: Be6ee: goto Def87; D17a4: $site->setSubdomain($subdomain); goto Af2aa; Be149: $user = $this->getUser(); goto Ed181; d98c5: $site->setRegistrableDomain($registrableDomain); goto D17a4; af0ec: $site->setCertificate($siteEntity->getCertificate()); goto fbc42; Dd451: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto A2407; e7444: $siteDatabases = $this->getSiteDatabases($siteEntity); goto dbfaa; Fd2ba: D45e8: goto Badab; e3784: $subdomain = $resolvedDomainName->subDomain()->toString(); goto b129f; be9aa: $siteEntity = $this->getSiteEntity($domainName); goto ec264; d447c: $site->setSshKeys($siteEntity->getSshKeys()); goto Dd451; C46f7: $site->setBlockedBots($siteEntity->getBlockedBots()); goto A133d; A2407: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto fb028; A3cc8: $site->setFtpUsers($siteEntity->getFtpUsers()); goto f7905; fb028: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto C8f04; f7905: $site->setSshUsers($siteEntity->getSshUsers()); goto d447c; d6c9f: d6f2d: goto A9968; Ed181: $domainName = $request->get("\x64\x6f\x6d\x61\151\156\116\x61\x6d\x65"); goto be9aa; E90e3: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto cf43a; A9968: c2db9: goto Ec634; Ec634: if (!(false === is_null($site))) { goto D45e8; } goto E90e3; dbfaa: $site->setUser($siteEntity->getUser()); goto b5a1b; Ad95f: $siteType = $siteEntity->getType(); goto C86b9; b5a1b: $site->setDomainName($siteEntity->getDomainName()); goto d98c5; fc789: if (!(false === is_null($siteEntity))) { goto Be6ee; } goto fc64b; Eaed8: $site->setDatabases($siteDatabases); goto af0ec; fbc42: $site->setCertificates($siteEntity->getCertificates()); goto C437a; b129f: $subdomain = false === empty($subdomain) ? $subdomain : null; goto e7444; ec264: $site = null; goto fc789; Af2aa: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Aa2fe; C8f04: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Fd2ba; ac9dd: D9d5d: goto Ad95f; cf43a: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto e3784; Aa2fe: $site->setBasicAuth($siteEntity->getBasicAuth()); goto C46f7; ff5fd: return null; goto ac9dd; Def87: return $site; goto Cf9f0; fc64b: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto D9d5d; } goto ff5fd; C437a: $site->setCronJobs($siteEntity->getCronJobs()); goto A3cc8; C86b9: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto cd5b8; Cb548: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ec716; Ec716: goto c2db9; goto Dbcfd; cd5b8: $site = new NodejsSite(); goto Cb548; Dbcfd: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto c2db9; case SiteEntity::TYPE_PHP: goto e2914; D0f71: goto c2db9; goto Fadcd; e2914: $site = new PhpSite(); goto ebeb4; ebeb4: $site->setPhpSettings($siteEntity->getPhpSettings()); goto eaebc; eaebc: $site->setVarnishCache($siteEntity->getVarnishCache()); goto D0f71; Fadcd: case SiteEntity::TYPE_PYTHON: goto C2bc3; Ced65: $site->setPythonSettings($siteEntity->getPythonSettings()); goto e7a63; e7a63: goto c2db9; goto F5dae; C2bc3: $site = new PythonSite(); goto Ced65; F5dae: case SiteEntity::TYPE_REVERSE_PROXY: goto c2405; c2405: $site = new ReverseProxySite(); goto F21d4; D064f: goto c2db9; goto a60b3; F21d4: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto D064f; a60b3: } goto d6c9f; Cf9f0: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto A9dbc; Cac90: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A0c35; A0c35: $databaseEntities = $siteEntity->getDatabases(); goto Ad4dd; Dfa34: Cfc37: goto Ad49d; A9dbc: $siteDatabases = new ArrayCollection(); goto Cac90; Ad4dd: foreach ($databaseEntities as $databaseEntity) { goto e2fde; F7008: baf66: goto b4e28; b4e28: Fb1a3: goto e3174; e2fde: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C909f; D355e: $siteDatabases->add($databaseEntity); goto F7008; C909f: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto baf66; } goto D355e; e3174: } goto Dfa34; Ad49d: return $siteDatabases; goto c6b2a; c6b2a: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto C6862; B5b34: c949c: goto b155b; F3dec: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Ffdd1; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Ffdd1; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Ffdd1; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Ffdd1; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Ffdd1; } goto B5b34; b155b: Ffdd1: goto c4a55; c4a55: return $siteUpdater; goto c2f0e; C6862: $siteUpdater = null; goto Bf665; Bf665: $siteType = $site->getType(); goto F3dec; c2f0e: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto e3dc0; F432a: B94d6: goto d2a08; b0046: e7ed8: goto F432a; d2a08: return $siteDeleter; goto E2aec; eac7f: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto B94d6; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto B94d6; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto B94d6; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto B94d6; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto B94d6; } goto b0046; ef926: $siteType = $site->getType(); goto eac7f; e3dc0: $siteDeleter = null; goto ef926; E2aec: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
