<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\x74\164\160\x73\x3a\x2f\57\144\63\161\x6e\144\x35\64\161\70\x67\142\x33\152\x65\56\143\154\x6f\x75\x64\x66\162\x6f\156\164\56\x6e\145\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto Eb853; F6b9c: $this->databaseServerManager = $databaseServerManager; goto e7aff; b4aeb: $this->twig = $twig; goto bd85b; Eb853: $this->configManager = $configManager; goto F6b9c; e7fa3: $this->cachePool = $cachePool; goto b4aeb; e7aff: $this->userManager = $userManager; goto e7fa3; bd85b: } public function onKernelRequest(RequestEvent $event) : void { goto D7f3e; ccab4: return; goto e7faf; A3ba7: $this->initialize($event); goto Cd67d; e7faf: e3e5b: goto A3ba7; D7f3e: if (!(false === $event->isMainRequest())) { goto e3e5b; } goto ccab4; Cd67d: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto a4d77; bd7f1: $this->initialize($event); goto d38fe; d38fe: a85b7: goto a4b1d; a4d77: $command = $event->getCommand(); goto e34c9; e34c9: if (!$command instanceof Command) { goto a85b7; } goto bd7f1; a4b1d: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto b5e40; b5e40: $this->setTimezone(); goto ff6d4; ce65b: $this->setCloudPanelVersion(); goto C402b; af24c: $this->setEnvironment($event); goto F99fb; E4e2b: $this->setDatabaseServer($event); goto af24c; f8f6c: $this->setLetsEncryptPrivateKey(); goto E4e2b; ff6d4: $this->setInstanceUid(); goto ce65b; C402b: $this->setCloudPanelReleaseChannel(); goto f8f6c; F99fb: } private function setTimezone() : void { goto a18cd; a18cd: $timezone = $this->configManager->get("\164\151\155\145\172\x6f\156\x65"); goto B69d2; B69d2: if (!(true === is_null($timezone))) { goto Bf72b; } goto Fe09f; f7088: Bf72b: goto cd2aa; Fe09f: $this->configManager->set("\x74\151\x6d\x65\172\157\x6e\145", "\125\124\103"); goto f7088; cd2aa: } private function setInstanceUid() : void { goto Abccf; bcc13: if (!(true === is_null($instanceUid))) { goto A033e; } goto A2e42; c80e0: A033e: goto B4485; Ccf29: $this->configManager->set("\151\x6e\x73\x74\x61\156\143\145\x5f\165\x69\x64", $instanceUid); goto c80e0; A2e42: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto Ccf29; Abccf: $instanceUid = $this->configManager->get("\x69\x6e\x73\x74\141\156\143\x65\x5f\165\x69\x64"); goto bcc13; B4485: } private function setCloudPanelVersion() : void { goto cd588; Fd50e: a8cb8: goto ab156; dfbc8: $this->configManager->set("\x61\160\x70\137\166\x65\x72\163\151\157\156", trim($appVersion)); goto Fd50e; Dca8d: if (!(false === is_null($appVersion))) { goto a8cb8; } goto dfbc8; cd588: $appVersion = $_ENV["\x41\x50\120\x5f\x56\105\122\123\111\117\116"] ?? null; goto Dca8d; ab156: } private function setCloudPanelReleaseChannel() : void { goto a959d; d3f69: if (!(true === is_null($releaseChannel))) { goto Dac15; } goto f7c00; a959d: $releaseChannel = $this->configManager->get("\x72\x65\154\x65\x61\163\145\137\x63\150\141\x6e\156\x65\154"); goto d3f69; Bb858: Dac15: goto Caa0a; f7c00: $this->configManager->set("\x72\x65\x6c\145\x61\x73\145\137\143\x68\141\x6e\156\x65\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto Bb858; Caa0a: } private function setLetsEncryptPrivateKey() { goto Ef76b; a3731: if (!(0 < $numberOfUsers)) { goto e8241; } goto Ac8aa; Ff0f6: e95bc: goto a2f8f; a2f8f: e8241: goto Cafda; f34cc: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Be175; f4237: if (!(true === is_null($letsEncryptPrivateKey))) { goto e95bc; } goto d75f8; Ef76b: $numberOfUsers = $this->userManager->countAll(); goto a3731; d75f8: $rsaKeyGenerator = new RsaKeyGenerator(); goto f34cc; Ac8aa: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\x5f\x70\162\151\x76\141\164\x65\137\153\x65\x79"); goto f4237; Be175: $this->configManager->set("\154\x65\137\160\x72\151\166\x61\x74\x65\x5f\153\x65\171", $privateKey->getPEM()); goto Ff0f6; Cafda: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto add15; b4b8e: $tmpDatabaseServer = clone $databaseServer; goto f2341; F28f6: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\x6f\x74"); goto e2077; c1e2d: $encryptedPassword = Crypto::encrypt($password); goto A08de; f74d0: $commandExecutor = new CommandExecutor(); goto De596; Eb816: if (!("\x64\x65\166" != $_ENV["\x41\120\x50\x5f\105\x4e\x56"])) { goto Ecd0e; } goto b4b8e; d57e6: $password = $passwordGenerator->generate(); goto d11dc; A030c: $databaseServers = $this->databaseServerManager->findAll(); goto E7d21; e7fdf: $password = "\x72\157\157\164"; goto d8b4e; af0ba: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto C36ac; d8e84: Ecd0e: goto Bb5d3; Ae5ae: $databaseConnection = new DatabaseConnection($databaseServer); goto c8c48; C36ac: $databaseServer->setIsActive(true); goto c67cb; E7d21: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto ecff4; } goto C7d08; Eda46: ecff4: goto Accd4; d11dc: goto Ff5c5; goto Fb0ad; f3952: $databaseServer->setHost("\61\62\67\x2e\60\56\60\56\x31"); goto a0bc2; bd667: $databaseServer->setVersion($databaseConnection->getVersion()); goto A1252; C03ba: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto dcbf1; Bb5d3: $this->databaseServerManager->updateEntity($databaseServer); goto Eda46; c8c48: $databaseServer->setEngine($databaseConnection->getEngine()); goto bd667; c67cb: $databaseServer->setIsDefault(true); goto Ae5ae; d8b4e: Ff5c5: goto c1e2d; add15: $numberOfUsers = $this->userManager->countAll(); goto A030c; De596: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto F28f6; f2341: $tmpDatabaseServer->setPassword("\162\x6f\157\164"); goto f74d0; A08de: $databaseServer = $this->databaseServerManager->createEntity(); goto f3952; e2077: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto C03ba; C7d08: if ("\x64\x65\x76" == $_ENV["\101\x50\x50\x5f\x45\116\126"]) { goto a3d65; } goto c1f11; a0bc2: $databaseServer->setUserName("\x72\x6f\157\x74"); goto b3c19; dcbf1: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto d8e84; Fb0ad: a3d65: goto e7fdf; b3c19: $databaseServer->setPassword(Crypto::encrypt("\162\157\x6f\x74")); goto af0ba; A1252: $databaseServer->setPassword($encryptedPassword); goto Eb816; c1f11: $passwordGenerator = new PasswordGenerator(); goto d57e6; Accd4: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto c933a; e43de: $ipv4PublicIp = ''; goto F33aa; Be77a: $host = $request->getHost(); goto ec1a3; ad370: dcc2e: goto e9c12; ed726: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto c3869; da855: if ($event instanceof RequestEvent) { goto b0dfb; } goto c602d; Befbd: b0dfb: goto Bd22d; e4358: $command->setInstance($instance); goto Bb22d; abb66: $instance->setIpv4PublicIp($ipv4PublicIp); goto d2253; Bb22d: goto fb19f; goto Befbd; Bd22d: $request = $event->getRequest(); goto Be77a; A273e: if (!(false === is_null($instanceUid))) { goto dcc2e; } goto E78ad; C8876: $environment = new CloudPanelEnvironment(); goto Cea5e; d2253: E65ca: goto d956b; c042d: d6b24: goto d2988; Fb670: $this->twig->addGlobal("\151\x73\104\141\162\x6b\x4d\x6f\x64\145", $isDarkMode); goto ec121; e8946: $request->attributes->set("\151\x73\x44\x61\162\153\x4d\157\x64\145", $isDarkMode); goto Bbfb0; Cea5e: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto C4e7c; Cd5a9: if (!("\x64\145\166" == $_ENV["\x41\x50\120\137\x45\116\x56"])) { goto A8b8b; } goto e9abb; A8b9c: A8b8b: goto d2d8b; F1093: $region = $_ENV["\104\105\126\x5f\101\127\123\x5f\122\x45\x47\111\117\x4e"] ?? ''; goto d112d; E9508: $instance->setRegion($region); goto A8b9c; Fc577: $instance->setInstanceType("\164\x33\56\170\154\141\162\147\x65"); goto E9508; d2d8b: goto Fa331; goto ca35f; e9abb: $instanceId = $_ENV["\x44\105\x56\x5f\x41\127\123\137\x49\116\x53\124\101\116\103\105\137\x49\104"] ?? ''; goto F1093; B495d: $instance = new AwsInstance(); goto Cd5a9; C4e7c: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto B495d; d112d: $instance->setInstanceId($instanceId); goto Fc577; ca35f: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto b9e42; b9e42: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto ddcae; c23c2: goto Fa331; goto fd987; A48ed: $doClient->setInstance($instance); goto A6526; b18cb: $doClient->setToken($token); goto Cb301; A6526: if (!("\144\x65\x76" == $_ENV["\101\120\120\137\x45\x4e\126"])) { goto Bf6fd; } goto a4b79; D9242: $token = $this->configManager->get("\144\x6f\137\x61\143\143\x65\163\x73\137\x74\x6f\153\x65\156"); goto ff8df; F2281: $instance->setIpv4PublicIp("\61\x32\x37\x2e\60\x2e\60\x2e\x31"); goto be74c; E90b9: $instance = new DoInstance($doClient); goto A48ed; ddcae: $doClient = new DoClient(); goto D9242; a4b79: $dropletId = $_ENV["\x44\x45\126\x5f\104\x4f\x5f\x44\x52\117\120\114\x45\124\137\x49\104"] ?? ''; goto D3ae6; be74c: Bf6fd: goto c23c2; a2847: $instance->setFloatingIp("\x31\x32\x37\56\60\56\60\x2e\x31"); goto F2281; f2461: $instance->setRegion($region); goto a2847; ff8df: if (!(false === is_null($token))) { goto c621c; } goto b18cb; B8fdb: $instance->setDropletId($dropletId); goto f2461; Cb301: c621c: goto E90b9; D3ae6: $region = $_ENV["\x44\x45\126\137\x44\117\137\122\105\107\111\117\116"] ?? ''; goto B8fdb; fd987: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto E2649; A80f0: $instance->setInstanceName($instanceName); goto b3fd3; Cc559: bd536: goto e0e63; E6904: goto Fa331; goto abd97; facdb: $instanceName = $_ENV["\x44\105\x56\137\x47\103\x45\137\x49\x4e\x53\x54\x41\116\x43\x45\137\x4e\x41\x4d\x45"] ?? ''; goto d41a8; a3441: if (!(false === is_null($serviceAccountKeys))) { goto bd536; } goto D5d4b; Bd9b2: $instance->setInstanceId($instanceId); goto A80f0; b3fd3: $instance->setMachineType($machineType); goto ead8a; f14e6: $gceClient->setAuthConfig($serviceAccountKeys); goto Cc559; e0e63: $instance = new GceInstance($gceClient); goto Ae677; C9e0f: $instance->setProjectId($projectId); goto Bd9b2; C8fc2: if (!("\144\145\166" == $_ENV["\101\120\120\x5f\105\116\x56"])) { goto af5fd; } goto d5c67; F6c7f: af5fd: goto E6904; C0587: $serviceAccountKeys = $this->configManager->get("\x67\x63\x65\x5f\x73\145\162\166\x69\143\x65\137\x61\143\x63\x6f\165\156\164\137\153\145\x79\x73"); goto a3441; E2649: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto a2369; a2369: $gceClient = new GceClient(); goto C0587; ead8a: $instance->setZone($zone); goto F6c7f; C1cc3: $instanceId = $_ENV["\x44\x45\126\137\x47\103\x45\137\111\x4e\x53\x54\x41\x4e\x43\x45\x5f\x49\x44"] ?? ''; goto facdb; d41a8: $machineType = $_ENV["\x44\105\x56\137\107\103\x45\x5f\115\x41\x43\110\x49\x4e\x45\137\124\x59\x50\x45"] ?? ''; goto e9a96; d5c67: $projectId = $_ENV["\x44\x45\x56\137\107\103\105\x5f\x50\122\117\112\x45\103\x54\137\111\104"] ?? ''; goto C1cc3; e9a96: $zone = $_ENV["\104\x45\126\x5f\x47\x43\x45\x5f\x5a\x4f\116\x45"] ?? ''; goto E8399; E8399: $instance->setIpv4PublicIp("\61\62\x37\x2e\60\x2e\60\x2e\x31"); goto C9e0f; D5d4b: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto f14e6; Ae677: $gceClient->setGceInstance($instance); goto C8fc2; abd97: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto d957f; A076b: Dc78a: goto c0a15; e342e: $instance->setInstanceId($instanceId); goto A076b; E1137: $hetznerClient = new HetznerClient(); goto B86ca; C86ea: $hetznerClient->setToken($apiToken); goto a74a8; c0a15: goto Fa331; goto E0800; a74a8: afb52: goto dc776; Ff369: $instanceId = $_ENV["\104\x45\126\x5f\x48\x45\x54\132\116\x45\x52\137\111\116\123\124\101\x4e\x43\105\x5f\111\104"] ?? ''; goto Cc670; Eb3be: if (!("\x64\x65\x76" == $_ENV["\101\120\120\137\105\x4e\126"])) { goto Dc78a; } goto Ff369; dc776: $instance = new HetznerInstance($hetznerClient); goto ca7e8; ca7e8: $hetznerClient->setInstance($instance); goto Eb3be; B86ca: $apiToken = $this->configManager->get("\150\145\164\x7a\x6e\x65\162\x5f\141\160\x69\137\x74\x6f\x6b\x65\x6e"); goto a7bd4; Cc670: $instance->setIpv4PublicIp("\61\62\67\x2e\x30\56\60\56\x31"); goto e342e; a7bd4: if (!(false === is_null($apiToken))) { goto afb52; } goto C86ea; d957f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto E1137; E0800: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto F29e5; e9881: $instance->setInstanceId($instanceId); goto F48ec; B8155: $vultrClient = new VultrClient(); goto D606d; B1694: $instanceId = $_ENV["\x44\x45\x56\x5f\126\x55\114\x54\122\137\111\116\x53\x54\101\x4e\103\x45\137\x49\x44"] ?? ''; goto B9d94; F29e5: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto B8155; B5a05: $instance = new VultrInstance($vultrClient); goto cf4b6; D606d: $apiKey = $this->configManager->get("\166\x75\x6c\x74\162\x5f\141\x70\151\137\x6b\x65\x79"); goto c8514; bcf46: $vultrClient->setApiKey($apiKey); goto d1601; F48ec: Ee473: goto C590c; C590c: goto Fa331; goto c5671; ded95: $instance->setIpv4PublicIp($ipv4PublicIp); goto e9881; B9d94: $ipv4PublicIp = $_ENV["\x44\105\126\x5f\126\125\x4c\124\x52\x5f\x49\120\137\126\64\137\x50\x55\x42\114\x49\103"] ?? "\x31\x32\67\56\60\56\60\x2e\x31"; goto ded95; d1601: dbf6c: goto B5a05; F9bb8: if (!("\144\145\166" == $_ENV["\x41\120\120\x5f\105\x4e\126"])) { goto Ee473; } goto B1694; c8514: if (!(false === is_null($apiKey))) { goto dbf6c; } goto bcf46; cf4b6: $vultrClient->setVultrInstance($instance); goto F9bb8; c5671: default: $instance = new Instance(); goto Fa331; } goto c042d; ec1a3: $isDarkMode = false === is_null($request->cookies->get("\x74\150\x65\x6d\145")) && "\144\x61\162\153" == $request->cookies->get("\x74\x68\x65\155\145") ? true : false; goto ed726; e9c12: $instance->setEnvironment($environment); goto f96de; Bbfb0: $this->twig->addGlobal("\x69\156\x73\x74\141\156\x63\145", $instance); goto Fb670; E78ad: $instance->setUid($instanceUid); goto ad370; c3869: if (!(true === empty($ipv4PublicIp))) { goto E65ca; } goto e43de; a2785: $instanceUid = $this->configManager->get("\x69\x6e\x73\x74\141\x6e\x63\145\x5f\x75\151\x64"); goto A273e; d956b: $request->attributes->set("\x69\156\x73\x74\141\156\143\x65", $instance); goto e8946; dc7a6: $instance->setHostname($hostname); goto da855; c602d: $command = $event->getCommand(); goto e4358; ec121: fb19f: goto a083a; c933a: $cloud = $this->configManager->get("\x63\154\x6f\165\x64"); goto C8876; f96de: $hostname = gethostname(); goto dc7a6; d2988: Fa331: goto a2785; F33aa: try { $ipv4PublicIp = $this->cachePool->get("\151\160\x76\x34\x5f\x70\x75\142\154\x69\x63\137\x69\160", function (ItemInterface $item) { goto D0ebb; a3984: return $ipv4PublicIp; goto Ac26e; F984d: $config = ["\x74\x69\155\145\157\165\x74" => 5, "\166\x65\x72\151\x66\x79" => false, "\150\145\x61\144\x65\162\163" => ["\x55\x73\145\x72\55\x41\147\x65\x6e\164" => "\x43\154\157\x75\x64\x50\x61\156\145\154\x20\166\x32"]]; goto b756d; cb630: $responseStatusCode = $response->getStatusCode(); goto d1479; b756d: $httpClient = new HttpClient($config); goto f55b2; d1479: if (!(200 == $responseStatusCode)) { goto Fb103; } goto c40a3; D0ebb: $item->expiresAfter(3600); goto c6e9d; Fec17: Fb103: goto a3984; f55b2: $request = new Request("\x47\105\124", self::IP_REQUEST_URL); goto a4986; c6e9d: $ipv4PublicIp = null; goto F984d; a4986: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto cb630; c40a3: $ipv4PublicIp = trim((string) $response->getBody()); goto Fec17; Ac26e: }); } catch (\Exception $e) { } goto abb66; a083a: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\156\113\145\x72\156\x65\x6c\122\145\x71\x75\x65\163\164", 25]], ConsoleEvents::COMMAND => [["\x6f\156\x43\157\156\163\157\x6c\x65\103\157\x6d\155\x61\x6e\x64", 25]]]; } }
