<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto b6353; C8722: $this->addProcessor($certificateProcessor); goto C33d9; A124a: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto a4f07; F71ac: $this->addProcessor($rootDirectoryProcessor); goto c0983; b6353: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto d4963; aef5e: $this->addProcessor($nginxErrorLogProcessor); goto a92f1; Ba670: $this->addProcessor($nginxAccessLogProcessor); goto aef5e; d4963: $serverNameProcessor = new ServerNameProcessor(); goto Eb05a; dded6: $certificateProcessor = new NginxCertificateProcessor(); goto da1cc; B4f6b: $this->addProcessor($redirectServerNameProcessor); goto C8594; a92f1: $this->addProcessor($certificateKeyProcessor); goto C8722; Acd22: $redirectDomainProcessor = new RedirectDomainProcessor(); goto ab9eb; ab9eb: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto A124a; a4f07: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto dded6; da1cc: $settingsProcessor = new SettingsProcessor(); goto F71ac; C33d9: $this->addProcessor($settingsProcessor); goto c3207; Eb05a: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto Acd22; c0983: $this->addProcessor($serverNameProcessor); goto B4f6b; C8594: $this->addProcessor($redirectDomainProcessor); goto Ba670; c3207: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto b8d8c; ac089: $placeholders = $this->getPlaceholders(); goto f0d52; f0d52: foreach ($placeholders as $placeholder) { goto b8c59; D4819: bb721: goto B0400; Ead71: Acdfe: goto D4819; F2eba: $processor = $processors[$placeholder]; goto d2233; F3dc0: if (!(true === $hasProcessor)) { goto Acdfe; } goto F2eba; c9dfc: $this->removePlaceholder($placeholder); goto Ead71; F4de9: $this->content = $processor->process($this->content); goto c9dfc; b8c59: $hasProcessor = $this->hasProcessor($placeholder); goto F3dc0; d2233: $processor->setSite($this->site); goto F4de9; B0400: } goto eba88; eba88: b78bb: goto B5e62; b8d8c: $processors = $this->getProcessors(); goto ac089; B5e62: } public function removeEmptyPlaceholders() : void { goto E8c5f; d5b38: b0b4a: goto fb829; E8c5f: $placeholders = $this->getPlaceholders(); goto Bbcee; Bbcee: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); c059f: } goto d5b38; fb829: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto b8dd2; d6812: foreach ($placeholders as $placeholder) { goto a9fce; D788c: if (!(false === empty($placeholder))) { goto Fbe90; } goto ddff5; a9fce: $placeholder = trim($placeholder); goto D788c; ddff5: $this->addPlaceholder($placeholder); goto d1732; b4f4c: e2dfc: goto Ad225; d1732: Fbe90: goto b4f4c; Ad225: } goto fc7c5; B3862: Af233: goto Aa8da; D35bb: return $this->placeholders; goto Aa6bb; cbb22: preg_match_all("\x2f\133\x7b\173\135\x7b\62\175\x28\x5b\x5c\x73\141\55\x7a\101\55\x5a\x30\55\71\137\x5d\x2b\x29\133\x7d\175\135\173\x32\x7d\57", $this->content, $placeholders); goto e67d4; fc7c5: adc01: goto B3862; D0f6a: $placeholders = $placeholders[0]; goto d6812; Aa8da: ad898: goto D35bb; b8dd2: if (!(true === empty($this->placeholders))) { goto ad898; } goto cbb22; e67d4: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto Af233; } goto D0f6a; Aa6bb: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto F40b2; E0702: unset($this->placeholders[$placeholder]); goto aed9b; F40b2: if (!(true === isset($this->placeholders[$placeholder]))) { goto bea8e; } goto E0702; aed9b: bea8e: goto e184d; e184d: } }
