<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\x65\x74\143\x2f\156\x67\151\156\x78\57\x62\141\x73\151\143\55\141\165\x74\x68\57"; public const NGINX_VHOST_DIRECTORY = "\57\x65\164\143\57\156\147\x69\156\170\57\x73\151\164\145\163\x2d\x65\156\141\x62\x6c\x65\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\x65\x74\x63\x2f\x6e\x67\151\x6e\x78\x2f\163\x73\x6c\x2d\x63\145\x72\164\151\x66\x69\143\x61\164\145\163\x2f"; public const CRON_DIRECTORY = "\x2f\145\x74\143\x2f\x63\162\157\x6e\56\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto f34fe; f0d1b: fc39e: goto E5e2b; Bcce4: $writeVhostFileCommand->setFile($vhostFile); goto a6c74; c9fcd: $vhostContent = $vhostTemplate->getContent(); goto da948; da948: $writeVhostFileCommand = new WriteFileCommand(); goto Bcce4; d4596: $vhostTemplate->build(); goto d9a8d; E5e2b: $vhostTemplate->setContent($vhostFileContent); goto ecac5; f34fe: $domainName = $this->site->getDomainName(); goto B4f7c; c89be: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto fc39e; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto fc39e; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto fc39e; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto fc39e; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto fc39e; } goto C3541; d9a8d: $vhostTemplate->removeEmptyPlaceholders(); goto c9fcd; B4f7c: $vhostFileContent = $this->site->getVhostTemplate(); goto c89be; a6c74: $writeVhostFileCommand->setContent($vhostContent); goto a62f5; a62f5: $this->commandExecutor->execute($writeVhostFileCommand); goto e00c8; C3541: E23e3: goto f0d1b; ecac5: $vhostFile = sprintf("\45\163\57\45\163\x2e\143\x6f\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto d4596; e00c8: } public function updateNginxVhostWithRollback() : void { try { goto e50bf; e7aa2: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Cc605; bc112: $writeVhostFileCommand = new WriteFileCommand(); goto a6013; e50bf: $domainName = $this->site->getDomainName(); goto Fe14b; D546d: $vhostTemplate->removeEmptyPlaceholders(); goto d69a1; b106d: $writeVhostFileCommand->setContent($vhostContent); goto A2bcf; D4612: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto Dc257; b239a: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto C5239; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto C5239; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto C5239; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto C5239; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto C5239; } goto B8adf; ff98d: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto C9ab3; A6701: $vhostFile = sprintf("\x25\x73\x2f\x25\x73\x2e\143\157\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto a14aa; B8adf: F0812: goto B104a; d69a1: $vhostContent = $vhostTemplate->getContent(); goto a127b; Dc257: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto ff98d; eb23c: $reloadNginxServiceCommand->setServiceName("\x6e\147\151\x6e\x78"); goto e7aa2; a6013: $writeVhostFileCommand->setFile($vhostFile); goto b106d; ac776: $copyVhostBackupFileCommand = new CopyFileCommand(); goto Aa34f; B104a: C5239: goto c5973; A2bcf: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto D4612; Fe14b: $vhostFileContent = $this->site->getVhostTemplate(); goto b239a; cdd0e: if (!("\144\145\166" != $_ENV["\101\120\x50\137\105\x4e\x56"])) { goto Dfc11; } goto a4860; Cc605: Dfc11: goto cd4f3; a4860: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto eb23c; a14aa: $vhostTemplate->build(); goto D546d; a127b: $vhostBackupFile = sprintf("\x25\x73\x2f\45\163\56\143\157\156\146\56\142\141\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto ac776; Aa34f: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto Af687; Af687: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto bc112; C9ab3: $this->commandExecutor->execute($writeVhostFileCommand); goto Fcdd5; Fcdd5: $this->commandExecutor->execute($nginxConfigTestCommand); goto cdd0e; c5973: $vhostTemplate->setContent($vhostFileContent); goto A6701; cd4f3: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto d873e; d873e: } catch (\Exception $e) { goto fda9a; Ad844: $this->commandExecutor->execute($reloadNginxServiceCommand); goto d5512; d5512: b2cb8: goto cdc01; ab2f9: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto e7a7b; cdc01: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto A45e0; eeefe: $restoreBackupFileCommand = new CopyFileCommand(); goto ab2f9; A58e9: if (!(true === isset($reloadNginxServiceCommand))) { goto b2cb8; } goto Ad844; A45e0: throw new InvalidVhostException($errorMessage); goto Fb1b1; cfa4c: a98e7: goto eeefe; fda9a: $errorMessage = $e->getMessage(); goto b8880; dba60: $this->commandExecutor->execute($restoreBackupFileCommand); goto A58e9; e7a7b: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto dba60; b8880: if (!(true === isset($nginxConfigTestCommand))) { goto a98e7; } goto cc4ae; cc4ae: $errorMessage = $nginxConfigTestCommand->getOutput(); goto cfa4c; Fb1b1: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto Fa443; b547a: $this->commandExecutor->execute($createUserCommand); goto C8b86; ff9b4: $sshDirectoryChmodCommand = new FindChmodCommand(); goto f9292; bfc84: $sshDirectoryChmodCommand->setFileChmod(600); goto Ae823; f2bae: $createUserCommand->setUserName($sshUserName); goto dd7d1; fec69: $sshUserName = $sshUserEntity->getUserName(); goto f4d8c; D5ec0: foreach ($symlinkDirectories as $symlinkDirectory) { goto Ba8db; b0e2d: $symlinkCommand->setSource($source); goto Fa378; Fefd7: if (!("\x64\x65\166" != $_ENV["\101\120\x50\x5f\105\116\126"])) { goto Dbebc; } goto c01a6; b22b4: Dbebc: goto ccd52; B08c7: $symlinkCommand = new CreateSymlinkCommand(); goto b3b38; Fa378: $symlinkCommand->setDestination($destination); goto Fefd7; ccd52: c4d61: goto b0962; b3b38: $symlinkCommand->setRunAsUser($sshUserName); goto b0e2d; Cae04: $destination = sprintf("\57\150\x6f\x6d\145\x2f\x25\163\x2f\x25\163", $sshUserName, $symlinkDirectory); goto B08c7; Ba8db: $source = sprintf("\x2f\x68\x6f\155\145\57\45\163\57\x25\x73", $siteUser, $symlinkDirectory); goto Cae04; c01a6: $this->commandExecutor->execute($symlinkCommand); goto b22b4; b0962: } goto F3819; c5c1f: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto af78b; dd7d1: $createUserCommand->setPassword($sshUserPassword); goto ff952; c2349: $createUserCommand->createHomeDirectory(true); goto b547a; ea3be: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto adad0; dbdce: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto bfc84; A84c0: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto F0a2d; f0ca7: $createUserCommand = new CreateUserCommand(); goto f2bae; Fa917: $siteUser = $site->getUser(); goto fec69; Ca245: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\56\x2f\x2e\x2e\57\162\x65\163\157\x75\162\x63\145\x73\x2f\145\x74\143\57\163\153\x65\154\57\x73\163\150\55\x75\x73\x65\162\57"); goto f0ca7; C8b86: $symlinkDirectories = ["\142\141\143\x6b\x75\160\x73", "\150\164\144\157\x63\x73", "\x6c\x6f\x67\163"]; goto D5ec0; Eea39: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Eb57a; B07b5: $homeDirectory = sprintf("\x2f\150\x6f\155\145\x2f\45\x73", $sshUserName); goto Ca245; Eb57a: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto ea3be; F3819: b1074: goto b6a7e; f9292: $sshDirectoryChmodCommand->setFile($sshDirectory); goto dbdce; b6a7e: $sshDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\45\163\x2f\x2e\x73\163\x68", $sshUserName); goto ff9b4; F0a2d: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto E8d9a; f4d8c: $sshUserPassword = $sshUserEntity->getPassword(); goto B07b5; E8d9a: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto Eea39; E2eb6: $createUserCommand->setShell("\57\x62\x69\156\x2f\142\x61\x73\150"); goto c5c1f; Ae823: $siteUserHomeDirectory = sprintf("\57\x68\157\155\145\57\45\x73", $siteUser); goto A84c0; Fa443: $site = $sshUserEntity->getSite(); goto Fa917; ff952: $createUserCommand->setGroup($siteUser); goto E2eb6; af78b: $createUserCommand->setHomeDirectory($homeDirectory); goto c2349; adad0: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto c3bc2; E6cf9: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto e22d2; e9b92: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto a6fd8; e993d: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto E6cf9; Fcc76: $createUserCommand->createHomeDirectory(false); goto d8985; d8985: $siteUserHomeDirectory = sprintf("\x2f\x68\157\155\145\x2f\x25\x73", $siteUser); goto De864; B6021: $siteUser = $site->getUser(); goto bb8c8; bb8c8: $ftpUserName = $ftpUserEntity->getUserName(); goto Ba53d; C32bf: $createUserCommand->setHomeDirectory($homeDirectory); goto Fcc76; b8aac: $createUserCommand->setUserName($ftpUserName); goto Ae44f; c3bc2: $site = $ftpUserEntity->getSite(); goto B6021; c419e: $createUserCommand->setGroup($siteUser); goto Ab0b1; d7123: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto f7f84; De864: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto e993d; Ae44f: $createUserCommand->setPassword($ftpUserPassword); goto c419e; Ab0b1: $createUserCommand->setGroups(["\x66\164\160\x2d\165\163\145\162"]); goto E40fd; e22d2: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto c0a97; Ba53d: $ftpUserPassword = $ftpUserEntity->getPassword(); goto e9b92; c0a97: $this->commandExecutor->execute($createUserCommand); goto d7123; E40fd: $createUserCommand->setShell("\x2f\x62\x69\x6e\x2f\146\141\x6c\163\x65"); goto C32bf; a6fd8: $createUserCommand = new CreateUserCommand(); goto b8aac; f7f84: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto f3232; aa79c: $deleteUserCommand->setUserName($userName); goto D952d; D952d: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto Dd886; Dd886: $this->commandExecutor->execute($deleteUserCommand); goto e4fd2; f3232: $deleteUserCommand = new DeleteUserCommand(); goto aa79c; e4fd2: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto a99b0; Ae60b: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto A9978; f8d3f: $certificate = $certificateEntity->getCertificate(); goto B80b4; A9978: $this->commandExecutor->execute($writeCertificateFileCommand); goto bd441; c95cf: $writePrivateKeyFileCommand = new WriteFileCommand(); goto E5071; beeb3: $writeCertificateFileCommand->setContent($certificate); goto Ae60b; bd441: $this->reloadService("\x6e\147\x69\x6e\x78"); goto Abd32; bd214: $certificate .= sprintf("\45\163\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto C7c33; C7c33: a7877: goto c95cf; Eff37: $writeCertificateFileCommand = new WriteFileCommand(); goto b5ca1; E5071: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto a809e; a809e: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto Eff37; Efb9f: $certificateFile = sprintf("\45\163\57\45\163\56\x63\x72\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto f8d3f; B80b4: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto a7877; } goto bd214; a99b0: $domainName = $this->site->getDomainName(); goto Ee776; Ee776: $privateKeyFile = sprintf("\x25\163\57\45\x73\x2e\x6b\x65\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto Efb9f; b5ca1: $writeCertificateFileCommand->setFile($certificateFile); goto beeb3; Abd32: } public function deleteLetsEncryptChallengeDirectory() : void { goto d4f4b; B5cbe: $acemeChallengeDirectory = sprintf("\45\x73\x2f\x2e\x77\145\154\154\55\153\156\157\167\x6e\57\x61\x63\155\x65\x2d\143\150\x61\x6c\154\x65\156\147\x65\57", rtrim($rootDirectory, "\57")); goto ba0c8; ba0c8: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto ac20b; b6699: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto Eb154; d4f4b: $rootDirectory = $this->getRootDirectory(); goto B5cbe; ac20b: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto b6699; Eb154: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Fb969; Cb157: $basicAuthFileContent = sprintf("\45\x73\x3a\45\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto ca94a; Fb969: $basicAuthFile = sprintf("\x25\163\57\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto Cb157; b8926: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto ef73c; faefd: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto b8926; c8d23: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto faefd; ca94a: $writeBasicAuthFileCommand = new WriteFileCommand(); goto c8d23; ef73c: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto cb9cd; C281f: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto Cbc71; Ee500: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto E1cc5; d2d1c: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto Ee500; Ea26b: Ed0cb: goto A9d2c; ade06: $rootDirectory = $this->getRootDirectory(); goto af97f; Cc2e0: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto ecd78; f35fd: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto D30e2; a54b4: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto Cc2e0; D0195: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto a1812; Cbc71: if (!count($challenges)) { goto c6aa9; } goto C3428; cb9cd: $siteUser = $this->site->getUser(); goto ade06; C3428: foreach ($challenges as $challenge) { goto ab355; Efda1: $challengeWriteFileCommand->setFile($challengeFile); goto Bb612; C4312: $challengeFile = sprintf("\45\163\57\x25\x73", rtrim($acemeChallengeDirectory, "\57"), $token); goto A15cf; aaf22: $this->commandExecutor->execute($challengeWriteFileCommand); goto Dce19; Ce25c: $verificationContent = $challenge["\x76\x65\162\151\x66\151\143\141\164\x69\157\x6e\103\x6f\156\x74\x65\156\x74"] ?? null; goto C3b39; C3b39: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto bd782; } goto C4312; Bb612: $challengeWriteFileCommand->setContent($verificationContent); goto aaf22; Dce19: bd782: goto ef012; ab355: $token = $challenge["\164\x6f\x6b\145\156"] ?? null; goto Ce25c; A15cf: $challengeWriteFileCommand = new WriteFileCommand(); goto Efda1; ef012: f17e2: goto Eabd8; Eabd8: } goto Ea26b; E1cc5: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto f35fd; caea7: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto f0978; D30e2: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto D0195; d21dc: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto C281f; cc935: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto a54b4; af97f: $wellKnownDirectory = sprintf("\45\x73\57\56\x77\x65\154\x6c\55\153\156\157\x77\156\57", rtrim($rootDirectory, "\57")); goto A3f43; A3f43: $acemeChallengeDirectory = sprintf("\x25\163\57\x2e\167\x65\x6c\x6c\x2d\153\156\x6f\167\156\x2f\141\143\155\145\55\143\x68\x61\154\154\145\x6e\147\145\x2f", rtrim($rootDirectory, "\57")); goto caea7; f0978: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto d21dc; bba8a: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto cc935; a1812: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto bba8a; A9d2c: c6aa9: goto d2d1c; ecd78: } public function updateUserCrontab() : void { goto a1e6e; Eabe1: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); A0a8a: } goto b17ae; A897d: $writeCrontabFileCommand->setFile($crontabFile); goto af97a; b9e3e: $cronJobs = $this->site->getCronJobs(); goto E88fd; D0fc9: $crontabEntries = ["\115\101\111\114\x54\x4f\x3d\42\x22"]; goto b9e3e; eae3e: $this->commandExecutor->execute($writeCrontabFileCommand); goto C7808; D1dae: $writeCrontabFileCommand = new WriteFileCommand(); goto A897d; E88fd: if (!count($cronJobs)) { goto Ef2a1; } goto Eabe1; b17ae: d6aaf: goto d1a2b; af97a: $writeCrontabFileCommand->setContent($crontabContent); goto eae3e; a1e6e: $siteUser = $this->site->getUser(); goto a3728; B52ef: $crontabContent = implode(PHP_EOL, $crontabEntries); goto D1dae; a3728: $crontabFile = sprintf("\x25\163\x2f\x25\x73", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto D0fc9; d1a2b: Ef2a1: goto B52ef; C7808: } public function purgePageSpeedCache() : void { goto def5b; def5b: $siteUser = $this->site->getUser(); goto A426c; A426c: $cacheDirectory = sprintf("\57\150\157\155\145\57\45\163\x2f\x74\x6d\160\57\160\141\147\145\163\160\x65\x65\x64\x5f\x63\x61\x63\150\x65", $siteUser); goto d7b29; Aa23d: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto f5175; f5175: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto e5d41; d7b29: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto Aa23d; e5d41: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto Fcd1e; F97c7: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto F5b5e; D6aac: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto d7587; Fcd1e: $authorizedKeysFile = sprintf("\57\150\x6f\x6d\145\57\45\163\x2f\56\x73\x73\150\x2f\141\165\164\x68\157\x72\x69\x7a\145\x64\x5f\153\145\x79\163", $userName); goto b906f; a35a0: $this->commandExecutor->execute($readLinkCommand); goto a67ab; a67ab: $readLinkPath = $readLinkCommand->getOutput(); goto e0386; A5e2a: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto D6aac; b906f: $readLinkCommand = new ReadLinkCommand(); goto da976; e0386: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto C6a72; } goto A5e2a; da976: $readLinkCommand->setFile($authorizedKeysFile); goto a35a0; d7587: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto F97c7; F5b5e: C6a72: goto F458b; F458b: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto Ac03c; d150a: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Ebb05; ff77b: $changeUserHomeDirectoryCommand->setUserName($userName); goto c23cf; c23cf: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto d150a; Ac03c: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto ff77b; Ebb05: } public function changeUserPassword(string $userName, string $password) : void { goto Ca80d; a00ed: $changeUserPasswordCommand->setUserName($userName); goto a5583; a5583: $changeUserPasswordCommand->setPassword($password); goto E0945; Ca80d: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto a00ed; E0945: $this->commandExecutor->execute($changeUserPasswordCommand); goto Fba49; Fba49: } protected function getRootDirectory() : string { goto C1342; ec568: $rootDirectory = sprintf("\57\150\x6f\x6d\145\57\x25\x73\x2f\150\164\144\157\x63\163\x2f\x25\x73", $siteUser, $rootDirectory); goto e7ebe; e7ebe: return $rootDirectory; goto c12f6; C1342: $siteUser = $this->site->getUser(); goto ac0e0; ac0e0: $rootDirectory = $this->site->getRootDirectory(); goto ec568; c12f6: } public function reloadNginxService() : void { $this->reloadService("\156\147\151\156\170"); } public function reloadService($serviceName) { goto d9420; F4305: $reloadServiceCommand = new ServiceReloadCommand(); goto Eaedf; C34ab: b1f3b: goto Ba8f1; d9420: if (!("\x64\x65\x76" != $_ENV["\x41\x50\120\x5f\105\116\126"])) { goto b1f3b; } goto F4305; Eaedf: $reloadServiceCommand->setServiceName($serviceName); goto Ba3e7; Ba3e7: $this->commandExecutor->execute($reloadServiceCommand); goto C34ab; Ba8f1: } }
